commit 48cecb226f710c7dd46aff4b0e9a8bb4666a80aa
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Mar 12 19:26:44 2022 +0100

    Prepare release 2.6

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 41b5dbdab36cdc6d83b00186e31bb0f347ca5b7d
Merge: e306fff 56fe2e3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Mar 12 19:23:28 2022 +0100

    Merge branch 'development'

commit 56fe2e3254e32781f3e8f3c29e767c6eeef03cde
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Mar 12 19:18:11 2022 +0100

    Update NEWS

 doc/NEWS.adoc.in | 2 ++
 1 file changed, 2 insertions(+)

commit be9869d5042cd85f4ff4b47acff73d9db040239b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Mar 7 20:58:29 2022 +0100

    Support OpenSSL 3

 src/converters/csv2yapet/main.cc   |  3 +++
 src/converters/yapet2csv/main.cc   |  3 +++
 src/libs/crypt/Makefile.am         |  2 +-
 src/libs/crypt/openssl.cc          | 43 ++++++++++++++++++++++++++++++++++++++
 src/libs/crypt/openssl.hh          | 40 +++++++++++++++++++++++++++++++++++
 src/yapet/main.cc                  |  6 +++---
 tests/crypt/blowfish.cc            |  2 ++
 tests/crypt/blowfishfactory.cc     |  2 ++
 tests/crypt/cryptofactoryhelper.cc |  2 ++
 tests/crypt/file_blowfish.cc       |  2 ++
 tests/crypt/foreign.cc             |  2 ++
 tests/crypt/key448.cc              |  5 ++++-
 12 files changed, 107 insertions(+), 5 deletions(-)

commit e03f61ce654ebc7349fee6b46bba828192394388
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Mar 7 20:16:58 2022 +0100

    rename file.h to file.hh

 src/converters/csv2yapet/csvimport.cc   | 2 +-
 src/converters/yapet2csv/csvexport.cc   | 5 +++--
 src/libs/crypt/Makefile.am              | 2 +-
 src/libs/crypt/file.cc                  | 2 +-
 src/libs/crypt/{file.h => file.hh}      | 6 +++---
 src/libs/glue/opencmdlinefile.cc        | 5 +++--
 src/libs/glue/promptpassword.cc         | 5 +++--
 src/libs/ui/mainwindow.h                | 2 +-
 src/libs/ui/passwordrecord.h            | 3 ++-
 tests/converters/import/import.cc       | 2 +-
 tests/converters/import/import2.cc      | 2 +-
 tests/crypt/blowfish.cc                 | 3 ++-
 tests/crypt/file_aes256.cc              | 2 +-
 tests/crypt/file_blowfish.cc            | 2 +-
 tests/crypt/foreign.cc                  | 2 +-
 tests/crypt/passwordchange_exerciser.cc | 2 +-
 tests/preload/checkmasterpwchange.cc    | 2 +-
 tests/preload/checktestpwrecord.cc      | 2 +-
 18 files changed, 28 insertions(+), 23 deletions(-)

commit 41efaed313566c76c57dd9649b951ce190c16d8c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Mar 5 17:17:35 2022 +0100

    Drop vscode

 .gitignore                    |  5 +++
 .vscode/c_cpp_properties.json | 14 -------
 .vscode/settings.json         | 86 -------------------------------------------
 .vscode/tasks.json            | 16 --------
 4 files changed, 5 insertions(+), 116 deletions(-)

commit e306fff7df613b0e1c5f1ec1db09df0780fd7db7
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jan 10 09:42:13 2022 +0100

    Update LD_PRELOAD on Linux

 Jenkinsfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1a2d000b245c64fe1c17dc5ed56c17634de9553e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jan 26 20:40:47 2021 +0100

    Use ruby 2.7 path

 Jenkinsfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 56213b0ea799e4e4ed6c99914b5366999975818f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 8 20:11:07 2020 +0100

    Prepare next development cycle

 configure.ac     | 2 +-
 doc/NEWS.adoc.in | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 57c19f841179e1c816f251d43b4f9fa1d1f69059
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 8 19:25:33 2020 +0100

    Bump to version 2.5

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d2dd3795d7b08a11143a09a03724f9d2265e07e9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 8 18:58:17 2020 +0100

    Remove deprecated constructs

 Jenkinsfile        |  2 +-
 src/libs/cfg/cfg.h | 29 ++---------------------------
 2 files changed, 3 insertions(+), 28 deletions(-)

commit 2ab98dfdc13051bd01b199d53137a7ea8e8bd9b8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 8 18:07:59 2020 +0100

    Use libyacurs 1.0.2

 doc/NEWS.adoc.in | 2 ++
 libyacurs        | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 4e3565026faa89b2e13fc952ffaeb8262534bb4b
Merge: 6ad761d 517f0e4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Aug 6 19:20:04 2020 +0200

    Merge branch 'master' into development

commit 517f0e4fcaf3cc912aec843bbd794dfbce621df0
Merge: 9ffb8d8 5771be4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Aug 6 19:19:21 2020 +0200

    Merge branch 'release/2.4'

commit 5771be478cc91485b4d661e19d51146c528127fc
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Aug 6 19:18:56 2020 +0200

    Fix Jenkinsfile

 Jenkinsfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6ad761dd61e0718b762c0eca13da726a5629cc3f
Merge: 1265f80 9ffb8d8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Aug 6 19:11:05 2020 +0200

    Merge branch 'master' into development

commit 9ffb8d8abbdb37868c4bfb5d83ea9d9e0ee01d4d
Merge: a921acd 0475546
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Aug 6 19:09:51 2020 +0200

    Merge branch 'release/2.4'

commit 047554684e453bbd13c8cc0a5df70dd808719aa1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Aug 6 19:09:19 2020 +0200

    Only send email on failure

 Jenkinsfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit da1a612aabd87575fbeb035986b93308c16b0db5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Aug 6 18:47:37 2020 +0200

    Guard release by parameter

 Jenkinsfile | 57 +++++----------------------------------------------------
 1 file changed, 5 insertions(+), 52 deletions(-)

commit 1265f800f1cf0376b0563dd0d0ed5d33a4bcad3a
Merge: 19572be a921acd
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Aug 6 18:30:41 2020 +0200

    Merge branch 'master' into development

commit a921acd62c9c62fd908c9b5f3739e250bc711838
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Aug 6 18:28:42 2020 +0200

    Remove NetBSD build

 Jenkinsfile | 52 ----------------------------------------------------
 1 file changed, 52 deletions(-)

commit 19572be58986682a8f4c2542d96aabbe1124f6a0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Aug 6 18:20:35 2020 +0200

    Remove NetBSD build

 Jenkinsfile | 52 ----------------------------------------------------
 1 file changed, 52 deletions(-)

commit 3c6558616aaeaa6da1f63c2bc6447aea584fa88b
Author: rafi@guengel.ch <rafi@guengel.ch>
Date:   Tue Apr 21 19:40:59 2020 +0200

    Do not build release when building daily

 Jenkinsfile | 3 +++
 1 file changed, 3 insertions(+)

commit 5445ab54b26f288f24391d4b1e64bf08bb08943d
Author: rafi@guengel.ch <rafi@guengel.ch>
Date:   Tue Apr 21 19:47:35 2020 +0200

    Do not build distribution when time triggered

 Jenkinsfile | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 8c4c1e48d70f10000257d0c1a54e4e7379193c42
Author: rafi@guengel.ch <rafi@guengel.ch>
Date:   Tue Apr 21 19:39:21 2020 +0200

    Prepare dev branch after release

 configure.ac     | 2 +-
 doc/NEWS.adoc.in | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 0369eeb23c0d64dec7f5d0a5c43461feada1394f
Merge: 4ae4657 34766ba
Author: rafi@guengel.ch <rafi@guengel.ch>
Date:   Tue Apr 21 19:38:25 2020 +0200

    Merge branch 'master' into development

commit 34766ba19581128efeb72b43b6645c6cd106c559
Merge: cb33ea9 24005c9
Author: rafi@guengel.ch <rafi@guengel.ch>
Date:   Tue Apr 21 19:24:06 2020 +0200

    Merge branch 'release/2.4'

commit 24005c90f4d61708f3c263a6d96d4947aa2155fa
Author: rafi@guengel.ch <rafi@guengel.ch>
Date:   Tue Apr 21 18:59:10 2020 +0200

    Prepare release 2.4

 Jenkinsfile                      | 5 +++--
 configure.ac                     | 2 +-
 doc/NEWS.adoc.in                 | 2 ++
 src/converters/yapet2csv/main.cc | 3 ++-
 src/libs/pwgen/pwgen.cc          | 3 ++-
 src/libs/pwgen/rngengine.cc      | 8 ++++----
 6 files changed, 14 insertions(+), 9 deletions(-)

commit 4ae465743d6d755140c042077e93d7b431cbeee7
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Apr 20 15:19:32 2020 +0200

    Fix build for gcc10 (#21)
    
    Include <stdexcept> where needed

 Jenkinsfile                      | 5 +++--
 doc/NEWS.adoc.in                 | 2 ++
 src/converters/yapet2csv/main.cc | 3 ++-
 src/libs/pwgen/pwgen.cc          | 3 ++-
 src/libs/pwgen/rngengine.cc      | 8 ++++----
 5 files changed, 13 insertions(+), 8 deletions(-)

commit 224d65042b2fab5eb4cf952eb8fea649bccc38fb
Author: rafi@guengel.ch <rafi@guengel.ch>
Date:   Sat Aug 31 14:24:46 2019 +0200

    Agent selection for netbsd build

 Jenkinsfile | 3 +++
 1 file changed, 3 insertions(+)

commit 4ade5578967f8e3ddd0b46f7d5d8bcdb0b74698f
Author: rafi@guengel.ch <rafi@guengel.ch>
Date:   Sat Aug 31 13:26:23 2019 +0200

    Enable NetBSD build

 Jenkinsfile | 90 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 45 insertions(+), 45 deletions(-)

commit 58999e2bd4dbb1e8e80672a73c937b17048ad9dc
Author: rafi@guengel.ch <rafi@guengel.ch>
Date:   Fri Aug 30 10:55:50 2019 +0200

    Remove leftovers

 Jenkinsfile | 6 ------
 1 file changed, 6 deletions(-)

commit bd061c13d222faf43b8b07ef7d174f1093aea471
Author: rafi@guengel.ch <rafi@guengel.ch>
Date:   Fri Aug 30 10:53:56 2019 +0200

    Add files to .gitignore

 .gitignore | 7 +++++++
 1 file changed, 7 insertions(+)

commit 5ee620f69c076e34eb662711b30fb5670e0947c5
Author: rafi@guengel.ch <rafi@guengel.ch>
Date:   Fri Aug 30 10:46:01 2019 +0200

    Remove i386 builds

 Jenkinsfile | 45 ---------------------------------------------
 1 file changed, 45 deletions(-)

commit 6c215e616e3b46f301fff7c6f49307258b778deb
Author: rafi@guengel.ch <rafi@guengel.ch>
Date:   Sun Aug 11 17:52:18 2019 +0200

    notify on build status

 Jenkinsfile | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 6376456b97161bc72c132a7d3b35556103bef2fc
Author: rafi@guengel.ch <rafi@guengel.ch>
Date:   Sun Aug 11 17:50:18 2019 +0200

    Fix buffer overrun

 src/converters/csv2yapet/main.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 32ff81c133c3e367840001142891fb7bc122558d
Author: rafi@guengel.ch <rafi@guengel.ch>
Date:   Sun Aug 11 14:46:41 2019 +0200

    Fix buffer overrun

 src/converters/yapet2csv/main.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c89c7b317950cef58389aecff64680a4cc543a17
Author: rafi@guengel.ch <rafi@guengel.ch>
Date:   Sun Aug 11 10:54:34 2019 +0200

    Fix buffer overrun

 src/converters/csv2yapet/main.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cb87ea30b8747a5df4864e62abdefd3c1d117083
Author: rafi@guengel.ch <rafi@guengel.ch>
Date:   Sun Aug 11 10:23:26 2019 +0200

    Switch to ec2 for deployment

 Jenkinsfile | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 0606998cb281a6f8bb3abede1bcfa9a9d667c75f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Feb 20 19:27:07 2019 +0100

    Prepare development branch for 2.4-dev

 configure.ac     | 2 +-
 doc/NEWS.adoc.in | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 5413e2d146bbdfd7b6fef152ff31cca4c2d181fc
Merge: 72f95de cb33ea9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Feb 20 19:25:46 2019 +0100

    Merge branch 'master' into development

commit cb33ea968935e9fe44fb00820508799baa3107f6
Merge: b530683 f9e9379
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Feb 20 19:24:34 2019 +0100

    Merge branch 'release/2.3'

commit f9e9379f3a14f5624f125599c80670d194f69895
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 19 21:00:13 2019 +0100

    Prepare release 2.3

 configure.ac     | 5 ++---
 doc/NEWS.adoc.in | 4 ++--
 2 files changed, 4 insertions(+), 5 deletions(-)

commit 72f95deedbd56a10c4f42efc3ad764cd312d386a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Feb 18 21:32:03 2019 +0100

    Fix issue #17

 src/libs/ui/info.cc | 27 +++++++++++++++++++++------
 1 file changed, 21 insertions(+), 6 deletions(-)

commit f767d2f10f65f295678707d0010c0b070fead828
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Feb 18 21:09:04 2019 +0100

    Comment out NetBSD stage and disable concurrent builds

 Jenkinsfile | 94 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 47 insertions(+), 47 deletions(-)

commit a4f44c1d52b52cdef68fed2e0efbdc626fc953ca
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Feb 18 20:46:50 2019 +0100

    Rephrase

 doc/NEWS.adoc.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 68a7b09a0ab18d36f2eaa894998a9309d8818a5a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Feb 18 20:12:54 2019 +0100

    Disable NetBSD build
    
    NetBSD is currently unavailable

 Jenkinsfile | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit ad17594cea81189de58bc00f17311f21ba884e16
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 4 15:36:56 2018 +0100

    Prepare development branch

 configure.ac     | 2 +-
 doc/NEWS.adoc.in | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

commit d11a0cbd6fd491e0c812232930fcf1b92e762b75
Merge: 4c13def 8072663
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 4 15:35:29 2018 +0100

    Merge branch 'master' into development

commit 8072663813407a485362db052f7d439776536ce4
Merge: b530683 7602f38
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 4 15:34:26 2018 +0100

    Merge branch 'release/2.2'

commit 7602f3845c869e503ada03895bd2bc0db9898475
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 4 14:06:39 2018 +0100

    Bump to version 2.2

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4c13def7873cdbdf11dfc7a344a6e32e562786d5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 4 14:05:49 2018 +0100

    Update

 doc/NEWS.adoc.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit dfee4459789b8a3b13a2d7430519f81a1835b4a7
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 4 14:03:32 2018 +0100

    Use libyacurs 1.0.1

 libyacurs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6d15b4aab375a8c6afd58acbc5141583b9150b17
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 4 12:10:10 2018 +0100

    Use int64_t when comparing time

 tests/file/fileutils.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 46e596cc923b70d29996ab256c6d5c636e68cf8e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 4 11:51:20 2018 +0100

    Add password change exerciser

 tests/crypt/passwordchange_exerciser.cc | 131 ++++++++++++++++++++++++++++++++
 tests/file/fileutils.cc                 |   2 +-
 2 files changed, 132 insertions(+), 1 deletion(-)

commit be73096e58bbc9070867211045a5ca7243a88487
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 4 10:58:09 2018 +0100

    Fix syntax error

 tests/crypt/Makefile.am | 9 ++++++---
 tests/file/fileutils.cc | 4 ++--
 2 files changed, 8 insertions(+), 5 deletions(-)

commit bd185584a19f28af68c08db6b6efc5c63ecd653b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 4 09:53:50 2018 +0100

    Use code instrumentation only on NetBSD and Linux

 Jenkinsfile | 14 ++++----------
 1 file changed, 4 insertions(+), 10 deletions(-)

commit c416f11785572dfb8850ae27d9ecba80b91f0db9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 4 09:50:31 2018 +0100

    Fix syntax

 tests/preload/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 27e5b3b96a407e5a056e37b78fb05d1ce46a7b98
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 4 09:48:38 2018 +0100

    Include test in then-block of if statement

 tests/preload/Makefile.am | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 207321c7dfee50bf211dc3ffa1e9a3a64057baa6
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 4 09:43:54 2018 +0100

    CPPUNIT_ASSERT_LESSEQUAL not available on Debian 9.x

 tests/file/fileutils.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit b5a04b7ee6cc147312a3ec4f07608d3d4fe86e28
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 3 17:35:51 2018 +0100

    Add EXTRA_LD_PRELOAD env var

 Jenkinsfile | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 486d72379deaefde62acffd320e24958ddd1541e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 3 17:07:39 2018 +0100

    Update to latest development version

 libyacurs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 966cdc41f5e3fdc69716d9170b1d48e3696d5318
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 3 17:07:24 2018 +0100

    EXTRA_LD_PRELOAD value must provide terminating colon

 README.md                 | 3 ++-
 tests/preload/Makefile.am | 6 +++---
 2 files changed, 5 insertions(+), 4 deletions(-)

commit 857ae69b1ae94e141ccbcafc45f10260ace719a6
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 3 16:41:35 2018 +0100

    Update

 README.md | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 006cb38e6af8bb9588937f8461438543ce931715
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 3 16:41:26 2018 +0100

    Throw ControlStringMismatch

 src/libs/exceptions/headererror.hh | 5 +++++
 src/libs/file/header10.cc          | 8 ++++++--
 tests/file/header10.cc             | 2 +-
 3 files changed, 12 insertions(+), 3 deletions(-)

commit cafb590ef071962e91566e3820e661161b073f23
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 3 16:40:57 2018 +0100

    Use DEBUG_LOG to enable debug log

 src/libs/crypt/key256.cc      | 6 +++---
 src/libs/logger.cc            | 2 +-
 src/libs/logger.hh            | 2 +-
 src/libs/metadata/metadata.cc | 6 +++---
 src/yapet/Makefile.am         | 1 +
 5 files changed, 9 insertions(+), 8 deletions(-)

commit cb869d0684b98f9a03810948624a96287524daaa
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 3 16:20:06 2018 +0100

    Reformat code

 tests/crypt/file_aes256.cc | 133 ++++++++++++++++++++++-----------------------
 1 file changed, 65 insertions(+), 68 deletions(-)

commit a61678b31937611dbf0fdd770198a635736e7f29
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 3 16:19:39 2018 +0100

    Add logging

 src/converters/csv2yapet/Makefile.am |  1 +
 src/converters/yapet2csv/Makefile.am |  1 +
 src/libs/crypt/Makefile.am           |  1 +
 src/libs/crypt/aes256.cc             | 26 +++++++++++
 src/libs/crypt/file.cc               | 28 ++++++++++--
 src/libs/crypt/key256.cc             | 83 ++++++++++++++++++++++++++++++++----
 src/libs/file/Makefile.am            |  1 +
 src/libs/file/rawfile.cc             |  9 ++++
 src/libs/file/yapet10file.cc         | 12 ++++++
 src/libs/file/yapet20file.cc         |  3 ++
 src/libs/glue/Makefile.am            |  1 +
 src/libs/glue/changepassword.cc      |  6 +++
 src/libs/metadata/Makefile.am        |  1 +
 src/libs/metadata/metadata.cc        | 24 ++++++++++-
 src/libs/ui/Makefile.am              |  1 +
 src/libs/ui/mainwindow.cc            |  2 +
 src/libs/ui/newpassworddialog.cc     |  1 +
 tests/converters/import/Makefile.am  |  1 +
 tests/crypt/Makefile.am              |  1 +
 tests/file/Makefile.am               |  1 +
 tests/metadata/Makefile.am           |  1 +
 tests/preload/Makefile.am            | 22 +++++-----
 22 files changed, 203 insertions(+), 24 deletions(-)

commit 51d40b0464a16b2be967f2d3a0f1af29952434e8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 3 16:12:27 2018 +0100

    Add logger

 src/libs/Makefile.am | 18 +++++++++++-
 src/libs/logger.cc   | 34 ++++++++++++++++++++++
 src/libs/logger.hh   | 79 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 130 insertions(+), 1 deletion(-)

commit 66878fa6b103065ff3322a95d745152f364cb47c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Nov 2 06:42:25 2018 +0100

    Reorder includes

 src/libs/ui/newpassworddialog.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 77387aaf2212110fc0e082cf70e032812ef89ff0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Oct 31 17:53:44 2018 +0100

    Use libyacurs development branch

 libyacurs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1616e5d9089076ff4bc5f74232816f192da31786
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Oct 31 11:33:02 2018 +0100

    Introduce $EXTRA_LD_PRELOAD
    
    This environment variable allows to add extra preload
    libraries which is required when using code instrumentation
    to load libasan before the test preload libraries

 tests/preload/Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 708f78855ec9502ba62753d0414fdd3907014ede
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Oct 31 09:14:40 2018 +0100

    Do not use code instrumentation when building on OpenBSD

 Jenkinsfile | 21 ++++++++++++---------
 1 file changed, 12 insertions(+), 9 deletions(-)

commit 7efe5cb63796e3e5b4980fc56602630e16c5b69c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Oct 31 09:01:34 2018 +0100

    Use proper assertion macro

 tests/file/fileutils.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8f3bf56d2f9a30f039da2ece68b814bec01d36e4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Oct 31 07:54:25 2018 +0100

    Use uniform distribution to not waste random numbers

 src/libs/pwgen/Makefile.am  |   2 +-
 src/libs/pwgen/rng.cc       | 107 +++---------------------------------
 src/libs/pwgen/rng.hh       |  17 ++----
 src/libs/pwgen/rngengine.cc | 131 ++++++++++++++++++++++++++++++++++++++++++++
 src/libs/pwgen/rngengine.hh |  70 +++++++++++++++++++++++
 tests/pwgen/Makefile.am     |   5 +-
 tests/pwgen/rng_engine.cc   |  69 +++++++++++++++++++++++
 7 files changed, 289 insertions(+), 112 deletions(-)

commit d0e457f15dce4e8d203521c1f0511c29aa52da2e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Oct 30 07:22:44 2018 +0100

    Use deterministic keying parameters

 tests/crypt/aes256.cc | 22 ++++++++++++++++++----
 1 file changed, 18 insertions(+), 4 deletions(-)

commit 83ff9bfefdb46c2057477fbca467e7324014fec1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Oct 30 06:56:08 2018 +0100

    Delete stale README

 src/libs/file/README.md | 1 -
 1 file changed, 1 deletion(-)

commit 25d864dae2c9e02b80d448b338c49644d93ee07b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Oct 30 06:54:36 2018 +0100

    Fix typo in comment

 src/libs/file/yapet10file.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dcdbf53d32fb16639615c5fb4968ae7dce939cba
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Oct 29 19:50:28 2018 +0100

    Fix memory leak

 src/converters/yapet2csv/csvexport.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5fc332e2d08b641fa77a318d9cafbbb3782ab75d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Oct 29 18:28:33 2018 +0100

    Disable test that will fail with address sanitizer enabled

 tests/utils/securearray.cc | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit d1876d4f59cea85fde3cac82989eb08b1714a5fb
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Oct 29 06:50:25 2018 +0100

    Guarantee string termination

 src/converters/csv2yapet/main.cc | 1 +
 1 file changed, 1 insertion(+)

commit e288694957041791d8e6cf027fef369f9f8d4f07
Merge: 7cad798 2ad97b5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Oct 28 02:27:47 2018 +0200

    Merge branch 'development' of github.com:RafaelOstertag/yapet into development

commit 7cad7986e2a0a67e8ea5b0d4ccb0f336e9438c4e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Oct 28 02:27:26 2018 +0200

    Update

 doc/NEWS.adoc.in | 2 ++
 1 file changed, 2 insertions(+)

commit 2ad97b53bfcc76853d1a67deb60fc3931d44abf5
Author: carnil <carnil@debian.org>
Date:   Sun Oct 28 02:18:33 2018 +0200

    Fix small typos for "Mismatch" word (#14)
    
    In the binary and the pot/po files there were some occurences of the
    word "Missmatch" which should be "Mismatch" accordingly.
    
    This was spotted by lintian, the "Debian package checker" which dissects
    Debian packages and reports bugs and policy violations.
    
    https://lintian.debian.org/tags/spelling-error-in-binary.html

 po/de.po                         | 2 +-
 po/yapet.pot                     | 2 +-
 src/libs/ui/newpassworddialog.cc | 4 ++--
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 0f05aec1c82e1f03329917bdc7ba49d0f587b11e
Merge: 9a7d86c b530683
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Oct 27 15:22:24 2018 +0200

    Merge branch 'master' into development

commit b5306833451200de12b09f4892d9db42bd0f3c09
Merge: 5dd8268 115b3ce
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Oct 27 15:18:30 2018 +0200

    Merge branch 'release/2.1'

commit 115b3ce885a8dafcfb5b051f739b643c732750e8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Oct 27 14:53:31 2018 +0200

    Add version 2.1 news

 doc/NEWS.adoc.in | 103 +++++++++++++++++++++++++++++--------------------------
 1 file changed, 54 insertions(+), 49 deletions(-)

commit afe4236ee3dd19c5e868b03394b4bd150ffa6c3f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Oct 27 14:43:48 2018 +0200

    Bump version to 2.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 65435ca958d31e124a0893fa9d0518363f8e9ea9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Oct 27 14:40:54 2018 +0200

    Properly cleanup source in move assignment. Fixes #13

 Jenkinsfile                  |  2 +-
 configure.ac                 |  2 +-
 src/libs/pwgen/rng.cc        |  3 +++
 tests/crypt/file_aes256.cc   | 50 +++++++++-----------------------------------
 tests/crypt/file_blowfish.cc | 50 +++++++++-----------------------------------
 tests/pwgen/rng.cc           |  2 +-
 6 files changed, 26 insertions(+), 83 deletions(-)

commit 9a7d86c0fca059cbfaaad3b0ea01d63cdda12119
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Oct 22 20:34:35 2018 +0200

    Use -fsanitize=address

 Jenkinsfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 64e85e2f6280f572cb25af2df463cb9f9ff5acbd
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 22:36:21 2018 +0200

    Remove TODO

 TODO | 10 ----------
 1 file changed, 10 deletions(-)

commit 16712ea0b338235a4bcc5f9635a1901817e460dd
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 22:28:35 2018 +0200

    Prepare development branch after merge

 configure.ac     | 2 +-
 doc/NEWS.adoc.in | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

commit ac2fca59cc25e5e7fbd81081019f0f494f908e6d
Merge: c139d8a 5dd8268
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 22:27:33 2018 +0200

    Merge branch 'master' into development

commit 5dd8268a1fb1a449303a5876f4852aabf81222c7
Merge: 037d174 a7b83d7
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 22:24:58 2018 +0200

    Merge branch 'release/2.0'

commit a7b83d7d160a5431d3b281b333719c66533c60fc
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 21:26:30 2018 +0200

    Add distcheck configure flags

 Jenkinsfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9036163af5ee30667cbdd9adf811802c9e6f629d
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 21:12:58 2018 +0200

    Do not build on OpenBSD 32bit
    
    32bit is covered by FreeBSD 32bit

 Jenkinsfile | 50 --------------------------------------------------
 1 file changed, 50 deletions(-)

commit c8942824b16c4356ea622ead954b321f306e63a2
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 21:02:21 2018 +0200

    Remove README.Cygwin from EXTRA_DIST

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6477dc94febe464ed99a97a1d70ecf75d91806e5
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 20:54:47 2018 +0200

    Add correct bug reporting address

 configure.ac | 2 +-
 po/Makevars  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 699383fe470c9fdc08fb40beff6c6eb5118bf545
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 20:49:23 2018 +0200

    Update translations

 po/de.po     | 552 ++++++++++++++++++++++++++++-------------------------------
 po/yapet.pot | 534 ++++++++++++++++++++++++++++-----------------------------
 2 files changed, 533 insertions(+), 553 deletions(-)

commit 8d52a77b22ea947ddf1e9896873f3d07d652b6e8
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 20:48:04 2018 +0200

    Bug reporting on Github

 BUGS              | 6 ++----
 doc/man-bugs.adoc | 2 +-
 2 files changed, 3 insertions(+), 5 deletions(-)

commit c139d8a0f521949b549746e5c77bdb204ad0b99a
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 20:33:57 2018 +0200

    Update copyright

 intl.h                                      | 49 +++++++++++--------
 src/converters/csv/csvline.cc               | 29 +++++++++++
 src/converters/csv/csvline.hh               | 29 +++++++++++
 src/converters/csv/csvstringfield.cc        | 29 +++++++++++
 src/converters/csv/csvstringfield.hh        | 29 +++++++++++
 src/converters/csv2yapet/csvimport.cc       | 57 +++++++++++-----------
 src/converters/csv2yapet/csvimport.h        | 47 ++++++++++--------
 src/converters/csv2yapet/main.cc            | 57 +++++++++++-----------
 src/converters/yapet2csv/csvexport.cc       | 57 +++++++++++-----------
 src/converters/yapet2csv/csvexport.h        | 47 ++++++++++--------
 src/converters/yapet2csv/main.cc            | 57 +++++++++++-----------
 src/libs/cfg/cfg.cc                         | 47 ++++++++++--------
 src/libs/cfg/cfg.h                          | 49 +++++++++++--------
 src/libs/cfg/cfgfile.cc                     | 47 ++++++++++--------
 src/libs/cfg/cfgfile.h                      | 49 +++++++++++--------
 src/libs/consts/consts.cc                   | 48 +++++++++++--------
 src/libs/consts/consts.h                    | 49 +++++++++++--------
 src/libs/crypt/abstractcryptofactory.hh     | 29 +++++++++++
 src/libs/crypt/aes256.cc                    | 57 +++++++++++-----------
 src/libs/crypt/aes256.hh                    | 59 +++++++++++------------
 src/libs/crypt/aes256factory.cc             | 29 +++++++++++
 src/libs/crypt/aes256factory.hh             | 29 +++++++++++
 src/libs/crypt/blowfish.cc                  | 57 +++++++++++-----------
 src/libs/crypt/blowfish.hh                  | 59 +++++++++++------------
 src/libs/crypt/blowfishfactory.cc           | 29 +++++++++++
 src/libs/crypt/blowfishfactory.hh           | 29 +++++++++++
 src/libs/crypt/crypto.cc                    | 29 +++++++++++
 src/libs/crypt/crypto.hh                    | 29 +++++++++++
 src/libs/crypt/cryptofactoryhelper.cc       | 29 +++++++++++
 src/libs/crypt/cryptofactoryhelper.hh       | 29 +++++++++++
 src/libs/crypt/file.cc                      | 57 +++++++++++-----------
 src/libs/crypt/file.h                       | 59 +++++++++++------------
 src/libs/crypt/key.hh                       | 29 +++++++++++
 src/libs/crypt/key256.cc                    | 55 ++++++++++-----------
 src/libs/crypt/key256.hh                    | 59 +++++++++++------------
 src/libs/crypt/key448.cc                    | 57 +++++++++++-----------
 src/libs/crypt/key448.hh                    | 59 +++++++++++------------
 src/libs/exceptions/baseerror.hh            | 59 +++++++++++------------
 src/libs/exceptions/cryptoerror.hh          | 29 +++++++++++
 src/libs/exceptions/fileerror.hh            | 29 +++++++++++
 src/libs/exceptions/headererror.hh          | 29 +++++++++++
 src/libs/exceptions/yapeterror.hh           | 29 +++++++++++
 src/libs/file/filehelper.cc                 | 29 +++++++++++
 src/libs/file/filehelper.hh                 | 29 +++++++++++
 src/libs/file/fileutils.cc                  | 29 +++++++++++
 src/libs/file/fileutils.hh                  | 29 +++++++++++
 src/libs/file/header10.cc                   | 29 +++++++++++
 src/libs/file/header10.hh                   | 29 +++++++++++
 src/libs/file/headerversion.hh              | 29 +++++++++++
 src/libs/file/rawfile.cc                    | 29 +++++++++++
 src/libs/file/rawfile.hh                    | 29 +++++++++++
 src/libs/file/yapet10file.cc                | 57 ++++++++++------------
 src/libs/file/yapet10file.hh                | 56 +++++++++++-----------
 src/libs/file/yapet20file.cc                | 56 +++++++++++-----------
 src/libs/file/yapet20file.hh                | 56 +++++++++++-----------
 src/libs/file/yapetfile.cc                  | 55 ++++++++++-----------
 src/libs/file/yapetfile.hh                  | 24 +++++-----
 src/libs/globals/globals.cc                 | 47 ++++++++++--------
 src/libs/globals/globals.h                  | 49 +++++++++++--------
 src/libs/glue/changepassword.cc             | 47 ++++++++++--------
 src/libs/glue/changepassword.h              | 49 +++++++++++--------
 src/libs/glue/createfile.cc                 | 47 ++++++++++--------
 src/libs/glue/createfile.h                  | 49 +++++++++++--------
 src/libs/glue/loadfile.cc                   | 47 ++++++++++--------
 src/libs/glue/loadfile.h                    | 49 +++++++++++--------
 src/libs/glue/opencmdlinefile.cc            | 47 ++++++++++--------
 src/libs/glue/opencmdlinefile.h             | 49 +++++++++++--------
 src/libs/glue/promptpassword.cc             | 47 ++++++++++--------
 src/libs/glue/promptpassword.h              | 49 +++++++++++--------
 src/libs/interfaces/serializable.hh         | 29 +++++++++++
 src/libs/metadata/metadata.cc               | 29 +++++++++++
 src/libs/metadata/metadata.hh               | 29 +++++++++++
 src/libs/passwordrecord/passwordlistitem.cc | 29 +++++++++++
 src/libs/passwordrecord/passwordlistitem.hh | 29 +++++++++++
 src/libs/passwordrecord/passwordrecord.cc   | 29 +++++++++++
 src/libs/passwordrecord/passwordrecord.hh   | 29 +++++++++++
 src/libs/pwgen/characterpool.cc             | 29 +++++++++++
 src/libs/pwgen/characterpool.hh             | 29 +++++++++++
 src/libs/pwgen/pwgen.cc                     | 47 ++++++++++--------
 src/libs/pwgen/pwgen.hh                     | 29 +++++++++++
 src/libs/pwgen/rng.cc                       | 47 ++++++++++--------
 src/libs/pwgen/rng.hh                       | 29 +++++++++++
 src/libs/ui/help.cc                         | 47 ++++++++++--------
 src/libs/ui/help.h                          | 49 +++++++++++--------
 src/libs/ui/info.cc                         | 47 ++++++++++--------
 src/libs/ui/info.h                          | 49 +++++++++++--------
 src/libs/ui/mainwindow.cc                   | 47 ++++++++++--------
 src/libs/ui/mainwindow.h                    | 49 +++++++++++--------
 src/libs/ui/mainwindowhotkeys.h             | 49 +++++++++++--------
 src/libs/ui/newpassworddialog.cc            | 47 ++++++++++--------
 src/libs/ui/newpassworddialog.h             | 49 +++++++++++--------
 src/libs/ui/passworddialog.cc               | 47 ++++++++++--------
 src/libs/ui/passworddialog.h                | 49 +++++++++++--------
 src/libs/ui/passwordrecord.cc               | 47 ++++++++++--------
 src/libs/ui/passwordrecord.h                | 49 +++++++++++--------
 src/libs/ui/pwgendialog.cc                  | 47 ++++++++++--------
 src/libs/ui/pwgendialog.h                   | 49 +++++++++++--------
 src/libs/ui/yapetlockscreen.cc              | 47 ++++++++++--------
 src/libs/ui/yapetlockscreen.h               | 49 +++++++++++--------
 src/libs/ui/yapetunlockdialog.cc            | 47 ++++++++++--------
 src/libs/ui/yapetunlockdialog.h             | 49 +++++++++++--------
 src/libs/utils/ods.hh                       | 29 +++++++++++
 src/libs/utils/securearray.cc               | 28 +++++++++++
 src/libs/utils/securearray.hh               | 29 +++++++++++
 src/libs/utils/utils.hh                     | 29 +++++++++++
 src/yapet/main.cc                           | 74 +++++++++++++++++------------
 106 files changed, 3003 insertions(+), 1472 deletions(-)

commit df2e58619cb396318fbb78fe859cceff9d128d96
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 20:09:20 2018 +0200

    Make sure selected character pools are used

 src/libs/pwgen/pwgen.cc | 85 ++++++++++++++++++++++++++++++++++++++++++++++---
 tests/pwgen/pwgen.cc    | 28 +++++++++++++---
 2 files changed, 104 insertions(+), 9 deletions(-)

commit 623697bb984eb3b8d12b434d0313786e1d27f657
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 19:34:07 2018 +0200

    Read 8 random bytes and serve from memory

 src/libs/pwgen/rng.cc | 55 +++++++++++++++++++++++++++++++++++++--------------
 src/libs/pwgen/rng.hh | 11 ++++++++---
 tests/pwgen/rng.cc    | 14 ++++++-------
 3 files changed, 55 insertions(+), 25 deletions(-)

commit ae819ebd208d57f4abc5981e20440a25fa3451b0
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 18:28:44 2018 +0200

    Update documentation

 README.md                | 2 +-
 doc/INSTALL.adoc.in      | 5 ++---
 doc/NEWS.adoc.in         | 2 +-
 doc/attributes.adoc      | 2 ++
 doc/csv2yapet.adoc.in    | 2 +-
 doc/yapet.adoc.in        | 2 +-
 doc/yapet2csv.adoc.in    | 2 +-
 doc/yapet_colors.adoc.in | 4 ++--
 doc/yapet_config.adoc.in | 2 +-
 9 files changed, 12 insertions(+), 11 deletions(-)

commit 52bb36adfe78bfaf231605ffbf3a2f7b75736868
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 17:02:38 2018 +0200

    Build bz2 dist

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a0bb1d5fd6f3df2a8bb63c1fa12201d7e2edafcd
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 17:02:19 2018 +0200

    Add deployment of release

 Jenkinsfile | 7 +++++++
 1 file changed, 7 insertions(+)

commit 29af19795b0a0b8aa7553d5a9417947b4a8cb7e7
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 16:32:59 2018 +0200

    Fix Makefile warnings

 src/libs/pwgen/Makefile.am | 2 +-
 tests/pwgen/Makefile.am    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit e7bfd5559c58caeaad64217d95b7990fe3a02758
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 16:31:27 2018 +0200

    Drop BUGS, MAINTAINER, THANKS

 BUGS        |  6 ------
 MAINTAINER  | 20 --------------------
 Makefile.am |  4 ++--
 THANKS      | 14 --------------
 4 files changed, 2 insertions(+), 42 deletions(-)

commit 13607a4f5e9d3c71221016cb3d18226070e36284
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 16:26:52 2018 +0200

    Bump to version 2.0

 configure.ac     | 2 +-
 doc/NEWS.adoc.in | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 1b1f9ba62ed7e9b87aa009a9238f3422f004a9ce
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 11:29:19 2018 +0200

    Refactor

 src/libs/pwgen/pwgen.cc         |  2 +-
 src/libs/pwgen/rng.cc           | 44 +++++++++++++++++++----------------------
 src/libs/pwgen/rng.hh           | 23 ++-------------------
 tests/pwgen/rng.cc              | 10 ++++------
 tests/pwgen/rng_distribution.cc |  2 +-
 5 files changed, 28 insertions(+), 53 deletions(-)

commit 8d636c5a6a28b0abc654a1fae24f25821e56f8e9
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 10:10:47 2018 +0200

    Fix pipeline

 Jenkinsfile | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit bf249a8eef0f91e2d53a67da1b7a383c71b7f396
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 10:01:06 2018 +0200

    Fix build errors

 src/libs/pwgen/rng.hh | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 96fd8e5b03057c639e736a26ad22cf1bf026c7b1
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 09:34:39 2018 +0200

    Fix build errors

 src/libs/pwgen/rng.hh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 44ef998c904d3cec4690c5cb7d1789d362143e9e
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 09:12:01 2018 +0200

    Update translations

 po/de.po          | 101 +++++++++++++++++++++++++++---------------------------
 po/yapet.pot      |  74 +++++++++++++++------------------------
 src/yapet/main.cc |   8 ++---
 3 files changed, 81 insertions(+), 102 deletions(-)

commit 263bfa3b1fe6c0d256d971d50332855cb60bba9d
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Oct 13 09:01:06 2018 +0200

    Refactor password generator

 doc/Makefile.am                   |  4 +-
 doc/NEWS.adoc.in                  |  3 +-
 doc/yapet_config.adoc.in          | 15 -------
 src/libs/cfg/cfg.cc               | 38 ----------------
 src/libs/cfg/cfg.h                | 18 --------
 src/libs/consts/consts.h          |  2 -
 src/libs/pwgen/characterpool.cc   | 16 +++----
 src/libs/pwgen/characterpool.hh   | 64 +++------------------------
 src/libs/pwgen/pwgen.cc           | 29 ++++++------
 src/libs/pwgen/pwgen.hh           |  9 +---
 src/libs/pwgen/rng.cc             | 93 +++++++++++++++++----------------------
 src/libs/pwgen/rng.hh             | 55 +++++++++++------------
 src/libs/ui/pwgendialog.cc        | 47 +-------------------
 src/libs/ui/pwgendialog.h         |  4 --
 tests/cfg/cfg1.cc                 | 64 +--------------------------
 tests/cfg/cfgfile1.cc             | 15 -------
 tests/cfg/cfgfile2.rc             |  1 -
 tests/cfg/cfgfile3.rc             |  1 -
 tests/pwgen/Makefile.am           |  8 ++--
 tests/pwgen/characterpool.cc      | 40 -----------------
 tests/pwgen/pwgen.cc              | 16 +++----
 tests/pwgen/pwgen_distribution.cc | 20 +++++++++
 tests/pwgen/rng.cc                | 87 ++++++++++++------------------------
 tests/pwgen/rng_distribution.cc   | 20 +++++++++
 24 files changed, 180 insertions(+), 489 deletions(-)

commit 4b8e0d512fb02363f1c36040edf9745f195d2c09
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Oct 9 06:52:25 2018 +0200

    Remove erroneous character

 doc/csv2yapet.adoc.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9eb81e3f035638be02edfc6a3ecfdf156fa22994
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Oct 7 19:12:49 2018 +0200

    Fix Jenkinsfile

 Jenkinsfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ac18400669c8c3f530236983004be93aeaf50455
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Oct 7 18:58:52 2018 +0200

    Update documentation (#12)

 .gitignore                   |  24 +-
 .vscode/settings.json        |  12 +-
 Jenkinsfile                  |  33 +-
 Makefile.am                  |   4 +-
 NEWS                         | 170 ----------
 README.md                    |  12 +-
 doc/DESIGN.sgml.in           | 694 --------------------------------------
 doc/INSTALL.adoc.in          |  50 +++
 doc/INSTALL.sgml.in          | 333 ------------------
 doc/Makefile.am              |   4 +-
 doc/Makefile.doc.am          |  86 ++---
 doc/NEWS.adoc.in             | 131 ++++++++
 doc/README.Cygwin.sgml.in    |  85 -----
 doc/README.adoc.in           |  47 +++
 doc/README.sgml.in           | 385 ---------------------
 doc/attributes.adoc          |   9 +
 doc/bugreport.sgml           |   5 -
 doc/caution.sgml             |   7 -
 doc/copyright.sgml           |  12 -
 doc/csv2yapet.adoc.in        | 108 ++++++
 doc/csv2yapet.sgml.in        | 452 -------------------------
 doc/license.sgml             |  39 ---
 doc/man-authors.adoc         |   3 +
 doc/man-bugs.adoc            |   3 +
 doc/pwrecord.sgml            |  39 ---
 doc/supportedplatforms.sgml  |  13 -
 doc/yapet.adoc.in            | 178 ++++++++++
 doc/yapet.sgml.in            | 784 -------------------------------------------
 doc/yapet2csv.adoc.in        |  68 ++++
 doc/yapet2csv.sgml.in        | 356 --------------------
 doc/yapet_colors.adoc.in     | 101 ++++++
 doc/yapet_colors.sgml.in     | 275 ---------------
 doc/yapet_config.adoc.in     | 181 ++++++++++
 doc/yapet_config.sgml.in     | 514 ----------------------------
 src/libs/file/yapet10file.hh | 120 +------
 src/libs/file/yapet20file.hh | 103 +-----
 36 files changed, 951 insertions(+), 4489 deletions(-)

commit b982e5e1f67822e70511c4ee03acb89d400fb3d6
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Oct 6 12:50:03 2018 +0200

    Improve password generator

 src/libs/pwgen/characterpool.cc | 19 +++++------
 src/libs/pwgen/characterpool.hh | 15 +++++++--
 src/libs/pwgen/pwgen.cc         | 33 ++++---------------
 src/libs/pwgen/pwgen.hh         |  4 ---
 tests/pwgen/characterpool.cc    | 73 ++++++++++++++++++++---------------------
 5 files changed, 63 insertions(+), 81 deletions(-)

commit f3077419f235211e8141e866aec6c4b9905670fa
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Wed Oct 3 19:40:05 2018 +0200

    Fix build errors on various platforms

 src/libs/pwgen/characterpool.cc | 2 +-
 src/libs/pwgen/rng.cc           | 8 +++++---
 2 files changed, 6 insertions(+), 4 deletions(-)

commit f62d7cdb9bd486e939cb457d73d190f9b56680b6
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Wed Oct 3 19:19:28 2018 +0200

    Update po files

 po/POTFILES.in |  10 +-
 po/de.po       | 465 +++++++++++++++++++++++++++++----------------------------
 po/yapet.pot   | 438 +++++++++++++++++++++++++++--------------------------
 3 files changed, 472 insertions(+), 441 deletions(-)

commit c77ac24e0588f9af196ed6eff6aed89f0f6b32a9
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Wed Oct 3 19:01:44 2018 +0200

    Fix due to refactoring

 src/libs/cfg/cfg.cc   | 12 ++++-----
 tests/cfg/cfg1.cc     | 69 +++++++++++++++++++++++----------------------------
 tests/cfg/cfgfile1.cc |  6 ++---
 3 files changed, 40 insertions(+), 47 deletions(-)

commit a311556f1f5121453003766ab9be4992fdad85c5
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Wed Oct 3 18:26:14 2018 +0200

    Use new password generator

 src/converters/csv/csvline.cc        |  8 +++-
 src/converters/csv/csvstringfield.cc |  5 +++
 src/converters/csv2yapet/main.cc     |  1 +
 src/converters/yapet2csv/main.cc     |  1 +
 src/libs/cfg/cfg.cc                  | 50 +++++++++++------------
 src/libs/cfg/cfg.h                   | 16 ++++----
 src/libs/cfg/cfgfile.cc              |  2 +
 src/libs/cfg/cfgfile.h               |  2 +-
 src/libs/consts/consts.h             | 11 ++---
 src/libs/metadata/metadata.cc        |  5 +++
 src/libs/ui/pwgendialog.cc           | 78 +++++++++++++-----------------------
 src/libs/ui/pwgendialog.h            |  4 +-
 12 files changed, 88 insertions(+), 95 deletions(-)

commit 6205c14dc30f1412571f14faef63b6c76073db8e
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Wed Oct 3 18:23:35 2018 +0200

    Fix seeding of rand()

 src/libs/pwgen/rng.cc | 3 ++-
 src/libs/pwgen/rng.hh | 7 ++-----
 tests/pwgen/pwgen.cc  | 6 ++++++
 3 files changed, 10 insertions(+), 6 deletions(-)

commit 4e09192aabc35ea8c7d302a85244c940ee15e9b3
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Wed Oct 3 18:16:05 2018 +0200

    Drop old code and AUTO RNGENGINE

 src/libs/pwgen/Makefile.am      |   4 +-
 src/libs/pwgen/charpool.cc      | 296 ------------------------------------
 src/libs/pwgen/charpool.h       | 222 ---------------------------
 src/libs/pwgen/pwgen.cc         | 253 -------------------------------
 src/libs/pwgen/pwgen.h          |  91 -----------
 src/libs/pwgen/pwgenexception.h | 109 --------------
 src/libs/pwgen/rng.cc           | 327 ----------------------------------------
 src/libs/pwgen/rng.h            | 124 ---------------
 src/libs/pwgen/rng.hh           |   3 +-
 tests/pwgen/Makefile.am         |   6 +-
 tests/pwgen/charpool1.cc        | 188 -----------------------
 tests/pwgen/charpool2.cc        |  82 ----------
 tests/pwgen/pwgen1.cc           | 179 ----------------------
 tests/pwgen/rng1.cc             | 110 --------------
 14 files changed, 4 insertions(+), 1990 deletions(-)

commit 4ded95348904607130093185b7bdd28ee66da977
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Wed Oct 3 06:54:09 2018 +0200

    Refactored PwGen

 configure.ac                    |   2 +-
 src/libs/pwgen/Makefile.am      |   5 +-
 src/libs/pwgen/characterpool.cc |  43 ++++++++++++++++
 src/libs/pwgen/characterpool.hh |  98 +++++++++++++++++++++++++++++++++++
 src/libs/pwgen/pwgen.cc         |  74 ++++++++++++++++++++++++++-
 src/libs/pwgen/pwgen.hh         |  48 ++++++++++++++++++
 src/libs/pwgen/rng.cc           |  93 +++++++++++++++++++++++++++++++++
 src/libs/pwgen/rng.hh           |  52 +++++++++++++++++++
 tests/pwgen/Makefile.am         |  15 ++++--
 tests/pwgen/characterpool.cc    | 110 ++++++++++++++++++++++++++++++++++++++++
 tests/pwgen/pwgen.cc            |  97 +++++++++++++++++++++++++++++++++++
 tests/pwgen/rng.cc              | 106 ++++++++++++++++++++++++++++++++++++++
 12 files changed, 734 insertions(+), 9 deletions(-)

commit ce3cc7e1ecadb03d55e69863a8bd36b20bd20bb1
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Oct 2 20:32:15 2018 +0200

    Refactoring

 src/libs/utils/securearray.cc | 25 +++++++++++--------------
 src/libs/utils/securearray.hh |  1 +
 2 files changed, 12 insertions(+), 14 deletions(-)

commit cebada6973b3ceee8f77033d60f0d428c7d8b457
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Oct 2 20:28:46 2018 +0200

    Implement writable index operator

 src/libs/utils/securearray.cc | 11 +++++++++++
 src/libs/utils/securearray.hh |  1 +
 tests/utils/securearray.cc    |  5 ++++-
 3 files changed, 16 insertions(+), 1 deletion(-)

commit 9e2f1a2c5b78077fe61f9284cfc141d4172ab100
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 23 20:21:41 2018 +0200

    Add 32bit architectures

 Jenkinsfile | 137 ++++++++++++++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 120 insertions(+), 17 deletions(-)

commit bdb15ac425ff0392b654d43d39507e6a3c1cae33
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 23 19:34:41 2018 +0200

    Display Argon2 information in info dialog

 src/libs/ui/info.cc | 50 +++++++++++++++++++++++++++++++++++++++++++-------
 src/libs/ui/info.h  |  9 +++++++++
 2 files changed, 52 insertions(+), 7 deletions(-)

commit 4c03b2a1ac54707a118612ba8394571732eafad0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 23 19:02:46 2018 +0200

    Allow setting argon2 settings in yapet config file

 configure.ac                           |   1 +
 src/converters/csv2yapet/Makefile.am   |   8 +-
 src/converters/yapet2csv/Makefile.am   |   8 +-
 src/libs/Makefile.am                   |   2 +-
 src/libs/cfg/cfg.cc                    | 130 +++++++++++++++++++--------------
 src/libs/cfg/cfg.h                     |  10 ++-
 src/libs/consts/consts.h               |  12 +++
 src/libs/crypt/Makefile.am             |   8 +-
 src/libs/crypt/key256.cc               |   7 +-
 src/libs/globals/Makefile.am           |  22 ++++++
 src/{yapet => libs/globals}/globals.cc |   0
 src/{yapet => libs/globals}/globals.h  |   3 -
 src/libs/glue/Makefile.am              |   2 +-
 src/libs/ui/Makefile.am                |   2 +-
 src/yapet/Makefile.am                  |   7 +-
 tests/cfg/cfgfile1.cc                  |  15 ++++
 tests/cfg/cfgfile1.rc                  |   3 +
 tests/converters/import/Makefile.am    |   5 +-
 tests/crypt/Makefile.am                |   3 +
 tests/metadata/Makefile.am             |   4 +-
 tests/preload/Makefile.am              |   6 ++
 21 files changed, 185 insertions(+), 73 deletions(-)

commit 9993f4282c536ea20fbe4977e02f1da0b45ddaeb
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 23 17:29:20 2018 +0200

    Pass -largon2 to linker on NetBSD

 Jenkinsfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 96a356259a03309b31e22e50bd47e564795e4b14
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 23 17:28:56 2018 +0200

    Revert "Add argon2 lib to LDFLAGS to fix build on NetBSD"
    
    This reverts commit e358af0d494a85f0d88fa12fc6a153842daa78f2.

 src/yapet/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e358af0d494a85f0d88fa12fc6a153842daa78f2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 23 16:54:58 2018 +0200

    Add argon2 lib to LDFLAGS to fix build on NetBSD

 src/yapet/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 38a5fa25938c2878e97e7232807a2e9ed8223b99
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 23 16:41:14 2018 +0200

    Refactor for new Key256

 src/converters/csv2yapet/csvimport.cc      |   3 +-
 src/libs/crypt/abstractcryptofactory.hh    |   4 +-
 src/libs/crypt/aes256factory.cc            |   9 +++--
 src/libs/crypt/aes256factory.hh            |   5 ++-
 src/libs/crypt/blowfishfactory.cc          |   8 ++--
 src/libs/crypt/blowfishfactory.hh          |   5 ++-
 src/libs/crypt/crypto.hh                   |   4 +-
 src/libs/crypt/cryptofactoryhelper.cc      |   5 ++-
 src/libs/crypt/file.cc                     |   1 +
 src/libs/crypt/key256.cc                   |  25 ++++++++++++
 src/libs/crypt/key256.hh                   |   2 +
 src/libs/glue/changepassword.cc            |  11 +++++-
 src/libs/glue/createfile.cc                |   3 +-
 src/libs/glue/opencmdlinefile.cc           |   4 +-
 src/libs/ui/mainwindow.cc                  |   6 ++-
 tests/converters/import/import.cc          |  16 +++++---
 tests/converters/import/import2.cc         |   4 +-
 tests/crypt/aes256.cc                      |   2 +
 tests/crypt/aes256factory.cc               |  10 +++--
 tests/crypt/blowfishfactory.cc             |   4 +-
 tests/crypt/corrupt_aes256.pet.in          | Bin 14500 -> 14574 bytes
 tests/crypt/cryptofactoryhelper-2.0.pet.in | Bin 8 -> 83 bytes
 tests/crypt/file_aes256.cc                 |  59 ++++++++++++++++++-----------
 tests/crypt/file_blowfish.cc               |  34 ++++++++---------
 tests/crypt/foreign.cc                     |   2 +-
 tests/file/yapet10file.cc                  |   1 +
 tests/preload/checkmasterpwchange.cc       |  15 ++++----
 tests/preload/checktestpwrecord.cc         |  15 ++++----
 tests/preload/masterpwchange.cc            |  12 ++++++
 29 files changed, 183 insertions(+), 86 deletions(-)

commit f149766a11449cb0e4a69f4fefb0f4d63b4caca4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 23 12:29:12 2018 +0200

    Refactor to use filehelper

 src/libs/crypt/cryptofactoryhelper.cc | 22 +++-------------------
 1 file changed, 3 insertions(+), 19 deletions(-)

commit 3d0ae5cb56cb9b369c9b0e44039858b32c5d4bff
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 23 12:25:18 2018 +0200

    Add filehelper. Implement Meta Data support for Yapet 2.0 files

 src/libs/file/Makefile.am    |   3 +-
 src/libs/file/filehelper.cc  |  66 ++++++++++++
 src/libs/file/filehelper.hh  |  17 ++++
 src/libs/file/yapet10file.cc |  17 +++-
 src/libs/file/yapet20file.cc |  28 ++++++
 src/libs/file/yapet20file.hh |   3 +
 tests/file/Makefile.am       |  10 +-
 tests/file/filehelper.cc     | 232 +++++++++++++++++++++++++++++++++++++++++++
 tests/file/yapet20file.cc    |  57 +++++++++--
 9 files changed, 417 insertions(+), 16 deletions(-)

commit be80627862a4a410665b28b2d0dea1ec7bcf6521
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 22 20:51:06 2018 +0200

    Use argon2 for Key256

 src/libs/consts/consts.cc          | 11 ++++-
 src/libs/consts/consts.h           |  7 +++
 src/libs/crypt/Makefile.am         |  3 +-
 src/libs/crypt/key256.cc           | 94 ++++++++++++++++++--------------------
 src/libs/crypt/key256.hh           |  4 --
 src/libs/crypt/key448.cc           | 12 ++---
 src/libs/exceptions/cryptoerror.hh |  6 +++
 tests/crypt/Makefile.am            |  1 +
 tests/crypt/key256.cc              | 25 ++++++++--
 tests/preload/Makefile.am          |  2 +
 10 files changed, 99 insertions(+), 66 deletions(-)

commit 718d4bdde07927f21d47529337f6d3783f583ef6
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 22 20:50:40 2018 +0200

    Drop, not used

 src/libs/file/yapet20metadata.hh | 6 ------
 1 file changed, 6 deletions(-)

commit 8e2edbcd641ca528f82e7cadbcfcd0ff3bb45d49
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 22 17:53:45 2018 +0200

    Move headers to .cc file

 src/libs/crypt/key448.cc | 2 ++
 src/libs/crypt/key448.hh | 4 ----
 2 files changed, 2 insertions(+), 4 deletions(-)

commit e9bc32711abff3661271b2a8bf3fadac08ae2c4e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 22 17:48:29 2018 +0200

    Add ARGON2_* flags to configure for NetBSD

 Jenkinsfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 12ec0a59c4f0f9fd2cffd4b35f89970b2e5febc5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 22 17:36:24 2018 +0200

    Add PKG_CHECK for libargon2

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit 9cfc2582419b33580e1a7e264d6414b5c908858b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 22 17:30:19 2018 +0200

    Add keyingParameters() function to Key

 src/converters/csv2yapet/Makefile.am |  2 ++
 src/converters/yapet2csv/Makefile.am |  2 ++
 src/libs/crypt/Makefile.am           |  1 +
 src/libs/crypt/key.hh                | 20 +++++++++++++---
 src/libs/crypt/key256.cc             | 19 ++++++++++++---
 src/libs/crypt/key256.hh             |  6 +++++
 src/libs/crypt/key448.cc             | 19 ++++++++++++---
 src/libs/crypt/key448.hh             | 15 ++++++++++++
 src/libs/glue/Makefile.am            |  1 +
 src/libs/ui/Makefile.am              |  1 +
 src/yapet/Makefile.am                | 46 +++++++++++++++++++-----------------
 tests/converters/import/Makefile.am  |  2 ++
 tests/crypt/Makefile.am              |  2 ++
 tests/crypt/key448.cc                | 10 ++++++++
 tests/preload/Makefile.am            |  4 ++++
 15 files changed, 119 insertions(+), 31 deletions(-)

commit 0110bc143ae3bf0cea136564c25212ebb38b1e49
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 22 16:55:50 2018 +0200

    Add size() function

 src/libs/metadata/metadata.cc |  4 ++++
 src/libs/metadata/metadata.hh |  2 ++
 tests/metadata/metadata.cc    | 14 +++++++++++++-
 3 files changed, 19 insertions(+), 1 deletion(-)

commit fcb69a0683394a8886219f8156ad57fad64355bf
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 22 16:42:27 2018 +0200

    Completed Meta Data. Moved ods to utils library

 configure.ac                       |   2 +
 src/libs/Makefile.am               |   2 +-
 src/libs/file/Makefile.am          |   4 +-
 src/libs/file/metadatacontainer.hh |  43 -------------
 src/libs/metadata/Makefile.am      |  20 ++++++
 src/libs/metadata/metadata.cc      | 125 +++++++++++++++++++++++++++++++++++++
 src/libs/metadata/metadata.hh      |  28 +++++++++
 src/libs/utils/Makefile.am         |   2 +-
 src/libs/{file => utils}/ods.hh    |   0
 tests/Makefile.am                  |   2 +-
 tests/file/Makefile.am             |   3 +-
 tests/metadata/Makefile.am         |  20 ++++++
 tests/metadata/metadata.cc         |  79 +++++++++++++++++++++++
 tests/utils/Makefile.am            |   3 +-
 tests/{file => utils}/ods.cc       |   0
 15 files changed, 282 insertions(+), 51 deletions(-)

commit 40f2e5da2d993c556ed6788556845dba3756ba25
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 22 12:02:50 2018 +0200

    Fix spelling

 src/libs/utils/securearray.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c16aaeda92ffcbe860cbc17df1c73a88c19a3d6b
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Fri Sep 21 18:51:12 2018 +0200

    Work on meta data

 src/libs/file/metadatacontainer.hh | 43 ++++++++++++++++++++++++++++++++++++++
 src/libs/file/yapet20metadata.hh   |  6 ++++++
 2 files changed, 49 insertions(+)

commit 96dec91da6c258cc2c51f8351269f77b2f545a41
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Fri Sep 21 18:21:40 2018 +0200

    Introduce unencrypted meta data to yapetfile

 src/libs/file/yapet10file.cc |  6 ++++++
 src/libs/file/yapet10file.hh | 10 ++++++++++
 src/libs/file/yapetfile.hh   |  4 ++++
 tests/file/yapet10file.cc    | 11 +++++++++++
 tests/file/yapetfile.cc      |  8 ++++++++
 5 files changed, 39 insertions(+)

commit 39273c1a667e425075848f4b157ebe7211dcba27
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Fri Sep 21 18:03:25 2018 +0200

    Rename meta data to header

 src/libs/crypt/file.cc       |  8 ++++----
 src/libs/file/yapet10file.cc | 12 ++++++------
 src/libs/file/yapet10file.hh |  4 ++--
 src/libs/file/yapetfile.hh   | 10 +++++-----
 tests/file/yapet10file.cc    | 37 ++++++++++++++++++-------------------
 tests/file/yapet20file.cc    | 36 ++++++++++++++++++------------------
 tests/file/yapetfile.cc      |  4 ++--
 7 files changed, 55 insertions(+), 56 deletions(-)

commit bedd5b97ba9435f0ba9dc686cbb98f79dc02c01d
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Fri Sep 21 06:56:10 2018 +0200

    Fix line parsing in import

 src/converters/csv2yapet/csvimport.cc | 72 +++++++++++++++++++++++++++++------
 tests/converters/import/import.cc     |  2 +-
 2 files changed, 61 insertions(+), 13 deletions(-)

commit f53d9e3d4160b81014f8c55ad9ffd5fba2d96498
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Thu Sep 20 20:30:44 2018 +0200

    Add more tests

 tests/converters/csv/csvline.cc | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit a0920fb32dd1e49340ade56eded1efe2f7b4c9c7
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Thu Sep 20 06:52:12 2018 +0200

    Drop erroneous comment

 tests/converters/csv/csvline.cc | 1 -
 1 file changed, 1 deletion(-)

commit 71af842cc0c52950ca8df275015cd87604d9ba74
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Thu Sep 20 06:50:57 2018 +0200

    Use _separator for lookAhead

 src/converters/csv/csvline.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit ff02afb67eebab617254fc1c541a2aed0f76af02
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Wed Sep 19 19:45:45 2018 +0200

    Improved handling of escaping in CSV

 src/converters/csv/csvline.cc   |  8 ++++
 tests/converters/csv/csvline.cc | 94 ++++++++++++++++++++++++++++++++++-------
 2 files changed, 86 insertions(+), 16 deletions(-)

commit 597353619382116cdc569e897a31a05769157a1b
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Sep 18 19:48:46 2018 +0200

    Fix line parsing

 src/converters/csv/csvline.cc   | 33 ++++++++++++++++++---------
 tests/converters/csv/csvline.cc | 50 ++++++++++++++++++++++++++---------------
 2 files changed, 55 insertions(+), 28 deletions(-)

commit ea8d928c627c7c939072c1cb1e139ba071a38625
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Sep 18 19:47:54 2018 +0200

    Add test case

 tests/converters/import/test9.csv | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4fd01ed4292f9223df9defc3db269d1e370c0980
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Sep 18 19:47:44 2018 +0200

    Truncate to ten lines

 tests/converters/import/test5.csv | 190 --------------------------------------
 1 file changed, 190 deletions(-)

commit b68ec65bcce7b808957f0295ca69b73349119084
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Sep 17 22:09:32 2018 +0200

    Added some test cases

 tests/converters/testimport.csv | 2995 +--------------------------------------
 1 file changed, 2 insertions(+), 2993 deletions(-)

commit cc1bd31c74677ec30db704a0f91a994822af1f14
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Sep 17 22:07:44 2018 +0200

    Use only 10 entries per csv test file

 tests/converters/import/import.cc |   2 +-
 tests/converters/import/test1.csv | 190 --------------------------------------
 tests/converters/import/test4.csv | 190 --------------------------------------
 tests/converters/import/test6.csv | 190 --------------------------------------
 tests/converters/import/test7.csv | 190 --------------------------------------
 5 files changed, 1 insertion(+), 761 deletions(-)

commit 9ff5981ff6700a4c7f24bb9b0d64d28a42907cc4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Sep 17 22:04:09 2018 +0200

    Add test case

 tests/converters/import/test9.csv | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0dec8935e98f201405876c5ac96399603a436f5b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Sep 17 21:50:28 2018 +0200

    Add more csv tests

 tests/converters/csv/csvline.cc        |  5 +++++
 tests/converters/csv/csvstringfield.cc | 20 ++++++++++++++++++++
 2 files changed, 25 insertions(+)

commit 58d93b679328419677fc7cae9f5d941449d389a9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Sep 17 21:31:30 2018 +0200

    Remove whitespace in Makefile.am

 src/converters/csv/Makefile.am      | 2 +-
 tests/converters/import/Makefile.am | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit bf621ca2162462ae50e5790e2e9b963049c9722d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Sep 17 21:21:20 2018 +0200

    Drop coment

 src/libs/file/yapetfile.hh | 7 -------
 1 file changed, 7 deletions(-)

commit 38f9dc6bc3b144f5c30dfed7e4a534d0208bc74f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 21:10:23 2018 +0200

    Update

 NEWS | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit e4a681a5c97abbde49c269a16c0354b85f66b471
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 20:42:14 2018 +0200

    Remove unneeded clean-local

 Makefile.am       | 3 ---
 iconv/Makefile.am | 3 ---
 2 files changed, 6 deletions(-)

commit 7e19b91923e8e0345d563dd0543676ed00557b60
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 20:17:53 2018 +0200

    Exclude *.gcov

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 0d7d3c38c26ad756035e25f2e48d35eae176b6ea
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 20:11:38 2018 +0200

    Add ignores for internal build

 .gitignore | 72 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 71 insertions(+), 1 deletion(-)

commit d2742e10451b13cf6a2d517708e0759fd7b09ca7
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 20:03:12 2018 +0200

    Pull in latest changes of libyacurs 1.0.0

 libyacurs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3ae5dd7dd419de7e32de6b9999c19d7a6567fb04
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 20:02:48 2018 +0200

    Fix distcheck

 src/libs/crypt/Makefile.am                         |  2 +-
 src/libs/exceptions/Makefile.am                    |  2 +-
 tests/Makefile.am                                  |  2 +-
 tests/converters/Makefile.am                       |  2 +-
 tests/crypt/Makefile.am                            | 13 ++++++++++--
 ...lper-1.0.pet => cryptofactoryhelper-1.0.pet.in} |  0
 ...lper-2.0.pet => cryptofactoryhelper-2.0.pet.in} |  0
 ...ort.pet => cryptofactoryhelper-tooshort.pet.in} |  0
 ...nown.pet => cryptofactoryhelper-unknown.pet.in} |  0
 tests/crypt/cryptofactoryhelper.cc                 | 12 +++++++----
 tests/file/Makefile.am                             | 23 ++++++++++++++++++++--
 ...r.dat => yapet10file-corrupt-identifier.pet.in} |  0
 tests/file/yapet10file.cc                          |  2 +-
 ...r.dat => yapet20file-corrupt-identifier.pet.in} |  0
 tests/file/yapet20file.cc                          |  2 +-
 15 files changed, 46 insertions(+), 14 deletions(-)

commit bc9fda2f68408ce99d2c9749c594722e2dbe4148
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 17:00:10 2018 +0200

    Updated

 NEWS | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 35c0e31e8eb354a4bccec3671c623a00cd344bb6
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 16:51:19 2018 +0200

    Updated

 po/yapet.pot | 25 ++++++++++---------------
 1 file changed, 10 insertions(+), 15 deletions(-)

commit 72ab47961835e812950026105d092c24312480fb
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 16:51:13 2018 +0200

    Fixed fuzzy entries

 po/de.po | 44 ++++++++++++++++++++++++--------------------
 1 file changed, 24 insertions(+), 20 deletions(-)

commit aeb53ef9f9f73ec5e34a683ade3eb8099420181f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 16:27:09 2018 +0200

    Update Jenkinsfile

 Jenkinsfile | 44 ++++++++++++++++++++++++++++----------------
 1 file changed, 28 insertions(+), 16 deletions(-)

commit 83b561ab610751f9b3fe8af3d01bcaf7d7c4294e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 16:22:20 2018 +0200

    Reservce enough space

 src/libs/cfg/cfgfile.cc | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit c5509834f5ab348a4ad2f7a51abc394246c214b8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 15:44:24 2018 +0200

    Use libyapet release 1.0.0 branch

 libyacurs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 06f7f0fbc3fa19e5ba139fa7fe8a14892cdcef39
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 15:14:52 2018 +0200

    Use latest development version of libyacurs

 libyacurs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 91db1639ffc4fb03fc01439c0d0ed30eea867ca1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 16 15:14:36 2018 +0200

    Use reference to catch exception

 src/libs/crypt/cryptofactoryhelper.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 875946b3f3a14e95a6bea453ee8bf76747f4e7cf
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 15 22:07:57 2018 +0200

    Adjust to refactored csv

 tests/converters/testimport.csv | 6012 +++++++++++++++++++--------------------
 1 file changed, 3006 insertions(+), 3006 deletions(-)

commit 475b0283b04de3ef40c5e523d07cfe429ad45a11
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 15 21:45:56 2018 +0200

    Use cvs convenience lib

 src/converters/csv2yapet/Makefile.am  |  19 +-
 src/converters/csv2yapet/csvimport.cc | 259 ++++++++-------------
 src/converters/csv2yapet/csvimport.h  |  32 +--
 src/converters/yapet2csv/Makefile.am  |  19 +-
 src/converters/yapet2csv/csvexport.cc |  94 ++++----
 src/converters/yapet2csv/csvexport.h  |   9 +-
 tests/converters/import/Makefile.am   |  37 +--
 tests/converters/import/import.cc     | 414 ++++++++++++++++++++++++++++++++++
 tests/converters/import/import1.cc    |  26 ---
 tests/converters/import/import10.cc   |  49 ----
 tests/converters/import/import11.cc   |  30 ---
 tests/converters/import/import12.cc   |  49 ----
 tests/converters/import/import13.cc   |  35 ---
 tests/converters/import/import14.cc   |  31 ---
 tests/converters/import/import15.cc   | 259 ---------------------
 tests/converters/import/import2.cc    | 248 ++++++++++++++++++--
 tests/converters/import/import3.cc    |  39 ----
 tests/converters/import/import4.cc    |  26 ---
 tests/converters/import/import5.cc    |  25 --
 tests/converters/import/import6.cc    |  40 ----
 tests/converters/import/import7.cc    |  26 ---
 tests/converters/import/import8.cc    |  45 ----
 tests/converters/import/import9.cc    |  29 ---
 tests/converters/import/test10.csv    |   2 +-
 tests/converters/import/test3.csv     |   3 +-
 tests/converters/import/tests.h       | 118 ----------
 26 files changed, 839 insertions(+), 1124 deletions(-)

commit 70d2290410f90eef15d277fb27fec22ddc1e99f0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 15 19:34:04 2018 +0200

    Support newline character

 src/converters/csv/csvstringfield.cc   | 3 ++-
 tests/converters/csv/csvstringfield.cc | 8 +++++++-
 2 files changed, 9 insertions(+), 2 deletions(-)

commit 213235d5eae25f888d5b38b94141fe0073d50c26
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 15 17:54:56 2018 +0200

    Refactoring

 src/converters/csv/csvstringfield.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 04881a1d36a37187e514defd96516f37ae37b31e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 15 17:54:40 2018 +0200

    Fix exception message

 src/converters/csv/csvline.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 63590a0d8bc39529d51383d5400c8f4fcf00eeb7
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 15 16:47:53 2018 +0200

    Allow to change separator

 src/converters/csv/csvline.cc   | 23 +++++++++++++++--------
 src/converters/csv/csvline.hh   | 11 +++++++----
 tests/converters/csv/csvline.cc | 21 +++++++++++++++++++++
 3 files changed, 43 insertions(+), 12 deletions(-)

commit a37d16958d69fa3020a970f2919240a3714e1c86
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 15 16:31:21 2018 +0200

    Move tests.h to import dir and fix import test

 tests/Makefile.am                     | 1 -
 tests/converters/Makefile.am          | 4 +++-
 tests/converters/import/Makefile.am   | 4 +++-
 tests/{ => converters/import}/tests.h | 0
 4 files changed, 6 insertions(+), 3 deletions(-)

commit 72e1911aa4c8a259db3bc056d0fa00181b4dddca
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 15 15:08:14 2018 +0200

    Use std::string instead of std::stringstream

 src/converters/csv/csvstringfield.cc | 25 ++++++++++++-------------
 1 file changed, 12 insertions(+), 13 deletions(-)

commit 78633b148aa4fe7181e96ff15972a4d48a962b0e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 15 15:07:55 2018 +0200

    Use proper type for loop counter

 src/converters/csv/csvline.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6442f35b91a0c64a813b795c31fe11774065ffaf
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 15 14:56:30 2018 +0200

    Implement CSVLine

 src/converters/csv/Makefile.am         |   5 +-
 src/converters/csv/csvline.cc          | 126 +++++++++++++++++++++++
 src/converters/csv/csvline.hh          |  64 ++++++++++++
 src/converters/csv/csvstringfield.cc   |  35 ++++++-
 src/converters/csv/csvstringfield.hh   |  14 ++-
 tests/converters/csv/Makefile.am       |   3 +-
 tests/converters/csv/csvline.cc        | 143 ++++++++++++++++++++++++++
 tests/converters/csv/csvstringfield.cc | 182 +++++++++++++++++++++++++++++++++
 8 files changed, 563 insertions(+), 9 deletions(-)

commit 7adbf2e7830af56b7f8fb9285b4fc52303feb187
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 15 10:57:02 2018 +0200

    Remove sources built in csv/

 src/converters/csv2yapet/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a464ee6f3c40ee19d5641bab33b5f0bad034b49c
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Sep 15 10:49:37 2018 +0200

    Start implementing csv library

 configure.ac                           |   2 +
 src/converters/Makefile.am             |   2 +-
 src/converters/csv/Makefile.am         |  17 +++++
 src/converters/csv/csvstringfield.cc   | 122 ++++++++++++++++++++++++++++++
 src/converters/csv/csvstringfield.hh   |  51 +++++++++++++
 src/converters/csv2yapet/Makefile.am   |  14 ++--
 tests/converters/Makefile.am           |   7 +-
 tests/converters/csv/Makefile.am       |  19 +++++
 tests/converters/csv/csvstringfield.cc | 133 +++++++++++++++++++++++++++++++++
 9 files changed, 352 insertions(+), 15 deletions(-)

commit d7fe2015eabf617c3825f51368d415145bc90a5a
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Sep 15 09:25:49 2018 +0200

    Exclude emacs lock files

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit c9e3a00c9a9fc083c295f107b22b2b682e501dcf
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Sep 15 09:25:31 2018 +0200

    Whitespace cleanup in Makefile.am

 src/converters/yapet2csv/Makefile.am | 10 ++++------
 src/libs/crypt/Makefile.am           |  4 ++--
 src/libs/file/Makefile.am            |  2 +-
 src/libs/passwordrecord/Makefile.am  |  6 +++---
 src/libs/ui/Makefile.am              |  4 ++--
 src/libs/utils/Makefile.am           |  4 ++--
 src/yapet/Makefile.am                | 22 ++++++++++------------
 tests/cfg/Makefile.am                |  4 ++--
 tests/converters/import/Makefile.am  |  2 +-
 tests/file/Makefile.am               |  6 +++---
 tests/passwordrecord/Makefile.am     |  6 +++---
 tests/preload/Makefile.am            |  6 ++----
 12 files changed, 35 insertions(+), 41 deletions(-)

commit b0e0dc7d74d3c42ccf0b7cb7416c3cf5517541fc
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Sat Sep 15 09:07:00 2018 +0200

    Move tests/import to tests/converters/import

 configure.ac                                 | 4 ++--
 tests/Makefile.am                            | 2 +-
 tests/converters/Makefile.am                 | 2 ++
 tests/{ => converters}/import/Makefile.am    | 0
 tests/{ => converters}/import/import1.cc     | 0
 tests/{ => converters}/import/import10.cc    | 0
 tests/{ => converters}/import/import11.cc    | 0
 tests/{ => converters}/import/import12.cc    | 0
 tests/{ => converters}/import/import13.cc    | 0
 tests/{ => converters}/import/import14.cc    | 0
 tests/{ => converters}/import/import15.cc    | 0
 tests/{ => converters}/import/import2.cc     | 0
 tests/{ => converters}/import/import3.cc     | 0
 tests/{ => converters}/import/import4.cc     | 0
 tests/{ => converters}/import/import5.cc     | 0
 tests/{ => converters}/import/import6.cc     | 0
 tests/{ => converters}/import/import7.cc     | 0
 tests/{ => converters}/import/import8.cc     | 0
 tests/{ => converters}/import/import9.cc     | 0
 tests/{ => converters}/import/test1.csv      | 0
 tests/{ => converters}/import/test10.csv     | 0
 tests/{ => converters}/import/test2.csv      | 0
 tests/{ => converters}/import/test3.csv      | 0
 tests/{ => converters}/import/test4.csv      | 0
 tests/{ => converters}/import/test5.csv      | 0
 tests/{ => converters}/import/test6.csv      | 0
 tests/{ => converters}/import/test7.csv      | 0
 tests/{ => converters}/import/test8.csv      | 0
 tests/{ => converters}/import/test9.csv      | 0
 tests/{ => converters}/import/testpaths.h.in | 0
 30 files changed, 5 insertions(+), 3 deletions(-)

commit 80ef15047ad7cf92cb1e1075db9c379c73eb4b88
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Fri Sep 14 19:00:58 2018 +0200

    Replace two consecutive '__' by one '_'

 src/converters/yapet2csv/csvexport.cc | 10 +++++-----
 src/converters/yapet2csv/csvexport.h  |  8 ++++----
 src/libs/cfg/cfgfile.cc               |  8 ++++----
 src/libs/cfg/cfgfile.h                |  2 +-
 4 files changed, 14 insertions(+), 14 deletions(-)

commit 048fc0974054a5a07c4f64813a9e6aac973ff873
Merge: e59875a f65bb34
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Fri Sep 14 19:00:17 2018 +0200

    Merge branch 'development' of github.com:RafaelOstertag/yapet into development

commit e59875ac9b4f5f74ef24ae96fbee9d3aae9cf072
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Fri Sep 14 18:42:28 2018 +0200

    Translation updated

 po/POTFILES.in |   15 +-
 po/de.po       | 1408 +++++++++++++++++++++++++++++---------------------------
 po/yapet.pot   |  666 ++++++++++++++++++---------
 3 files changed, 1200 insertions(+), 889 deletions(-)

commit eae57062f2a24d446b86c3b8cee80e144b8c631c
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Fri Sep 14 06:34:42 2018 +0200

    Refactoring of constant

 src/converters/csv2yapet/csvimport.cc | 5 +++++
 src/converters/csv2yapet/csvimport.h  | 7 -------
 2 files changed, 5 insertions(+), 7 deletions(-)

commit f65bb345886f4deb4e8046b1bb6dec709ded8001
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Sep 13 23:01:36 2018 +0200

    Bump version to 2.0-dev

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a93ac9892b095f4c30c21506cdece962e007307d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Sep 13 23:01:01 2018 +0200

    Only generate ChangeLog on FreeBSD

 Jenkinsfile | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 390880cb4a0ac4fd812c4a3efd255379c6f0daf3
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Thu Sep 13 21:50:38 2018 +0200

    Use `snprintf()` to compose error messages

 src/converters/csv2yapet/csvimport.cc     |   21 +-
 src/converters/yapet2csv/csvexport.cc     |   19 +-
 src/converters/yapet2csv/csvexport.h      |   76 +-
 src/libs/cfg/cfg.cc                       |   20 +-
 src/libs/cfg/cfgfile.cc                   |   21 +-
 src/libs/cfg/cfgfile.h                    |   50 +-
 src/libs/consts/consts.h                  |    2 +
 src/libs/crypt/Makefile.am                |    4 +-
 src/libs/crypt/aes256.cc                  |   25 +-
 src/libs/crypt/blowfishfactory.hh         |    7 +-
 src/libs/crypt/crypto.cc                  |   22 +-
 src/libs/crypt/cryptofactoryhelper.cc     |    1 +
 src/libs/crypt/file.cc                    |    7 +-
 src/libs/crypt/key256.cc                  |   15 +-
 src/libs/crypt/key448.cc                  |    8 +-
 src/libs/file/Makefile.am                 |    4 +-
 src/libs/file/fileutils.cc                |   25 +-
 src/libs/file/header10.cc                 |   23 +-
 src/libs/file/headerversion.hh            |    9 +-
 src/libs/file/ods.hh                      |    2 +-
 src/libs/file/rawfile.cc                  |   56 +-
 src/libs/file/rawfile.hh                  |   10 +-
 src/libs/file/yapet10file.cc              |   31 +-
 src/libs/file/yapet10file.hh              |    2 +-
 src/libs/file/yapetfile.cc                |   11 +-
 src/libs/glue/changepassword.cc           |   12 +-
 src/libs/glue/createfile.cc               |    4 +-
 src/libs/glue/loadfile.cc                 |    4 +-
 src/libs/glue/promptpassword.cc           |    7 +-
 src/libs/passwordrecord/Makefile.am       |    4 +-
 src/libs/passwordrecord/passwordrecord.cc |   15 +-
 src/libs/pwgen/Makefile.am                |    9 +-
 src/libs/pwgen/charpool.cc                |  218 ++--
 src/libs/pwgen/charpool.h                 |  384 +++----
 src/libs/pwgen/pwgen.cc                   |  294 +++--
 src/libs/pwgen/pwgen.h                    |   98 +-
 src/libs/pwgen/pwgenexception.h           |  133 +--
 src/libs/pwgen/rng.cc                     |  266 ++---
 src/libs/pwgen/rng.h                      |  177 ++-
 src/libs/ui/Makefile.am                   |    2 -
 src/libs/ui/help.h                        |   74 +-
 src/libs/ui/mainwindowhotkeys.h           |  589 +++++-----
 src/libs/ui/passwordrecord.h              |    3 +-
 src/libs/ui/pwgendialog.h                 |   45 +-
 src/libs/utils/Makefile.am                |    9 +-
 src/libs/utils/securearray.cc             |    7 +-
 src/yapet/main.cc                         |  322 +++---
 tests/cfg/cfgfile1.cc                     |  406 +++----
 tests/crypt/Makefile.am                   |    3 +-
 tests/file/Makefile.am                    |    4 +-
 tests/file/ods.cc                         |   17 +-
 tests/file/rawfile.cc                     |    7 +-
 tests/import/Makefile.am                  |    3 +-
 tests/import/import1.cc                   |    2 +-
 tests/preload/Makefile.am                 |    8 +-
 tests/preload/checkmasterpwchange.cc      |    2 +-
 tests/preload/checkyapet.cc               |   61 +-
 tests/preload/istty.cc                    |    3 +-
 tests/preload/masterpwchange.cc           | 1753 ++++++++++++++++-------------
 tests/preload/pwrecord.cc                 | 1665 +++++++++++++++------------
 60 files changed, 3731 insertions(+), 3350 deletions(-)

commit 11849f0977912a3940dde143a7cd4cc345a2537e
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Thu Sep 13 06:56:17 2018 +0200

    Refactored constants

 src/converters/csv2yapet/main.cc | 156 +++++++--------
 src/converters/yapet2csv/main.cc |   6 +-
 src/libs/cfg/cfg.cc              | 341 +++++++++++++++------------------
 src/libs/cfg/cfgfile.cc          |  93 +++++----
 src/libs/consts/consts.cc        |   7 +-
 src/libs/consts/consts.h         |  42 ++---
 src/libs/glue/createfile.cc      |   2 +-
 tests/cfg/cfg1.cc                | 396 ++++++++++++++++++---------------------
 8 files changed, 478 insertions(+), 565 deletions(-)

commit e8c2d963a0260836e1192647bc68b02de6be6673
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Thu Sep 13 06:48:06 2018 +0200

    Change build order

 src/libs/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e4094f0a421cbe1050bb6be8a3ab047e14d35476
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Sep 12 22:42:57 2018 +0200

    Include typeinfo

 tests/import/import7.cc | 1 +
 1 file changed, 1 insertion(+)

commit c6b1ff4f7e1ed33ed49bf4b8fa815f005c9da0db
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Sep 12 22:30:56 2018 +0200

    Include typeinfo header

 tests/import/import1.cc  | 1 +
 tests/import/import10.cc | 1 +
 tests/import/import11.cc | 1 +
 tests/import/import12.cc | 1 +
 tests/import/import13.cc | 1 +
 tests/import/import14.cc | 1 +
 tests/import/import15.cc | 1 +
 tests/import/import2.cc  | 3 +++
 tests/import/import3.cc  | 1 +
 tests/import/import4.cc  | 1 +
 tests/import/import5.cc  | 1 +
 tests/import/import6.cc  | 1 +
 tests/import/import8.cc  | 1 +
 tests/import/import9.cc  | 1 +
 14 files changed, 16 insertions(+)

commit e6f33c7bcec82c059ef53aaf1c972a8569f2bdda
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Sep 12 22:26:29 2018 +0200

    Fix compiler warnings

 tests/crypt/file_aes256.cc   | 2 +-
 tests/crypt/file_blowfish.cc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 9c60318954e8a23887bec76db6444afd9a6eb472
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Sep 12 22:19:20 2018 +0200

    Rename stages

 Jenkinsfile | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 511b81c51e4557323becf26f6c595b50d5f1ed6b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Sep 12 22:14:52 2018 +0200

    Do not complain about unknown pragmas

 Jenkinsfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5b9f2cc94743dad44350faf330a9b4127b7dedbb
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Sep 12 21:07:52 2018 +0200

    Drop extraneous check

 src/libs/utils/securearray.cc | 4 ----
 1 file changed, 4 deletions(-)

commit 6c0bf64597558ef0d14d6ee2dc09a79dc2debcd7
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Sep 12 21:04:22 2018 +0200

    Remove extra `;`

 src/libs/file/yapet20file.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4957b80569bf6ba32878b330df4756a4e2e0765b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Sep 12 20:58:28 2018 +0200

    Fix/ignore warnings

 tests/crypt/aes256factory.cc       | 15 +++++++++++++--
 tests/crypt/blowfishfactory.cc     | 13 ++++++++++++-
 tests/crypt/cryptofactoryhelper.cc |  6 ++++++
 tests/crypt/key256.cc              |  2 +-
 tests/crypt/key448.cc              |  4 ++--
 5 files changed, 34 insertions(+), 6 deletions(-)

commit eff25d661211832a06a8a0db420435504cee007e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Sep 12 20:19:59 2018 +0200

    Removed extra `;`

 src/libs/exceptions/cryptoerror.hh | 11 ++++-------
 src/libs/file/yapet10file.cc       |  2 +-
 2 files changed, 5 insertions(+), 8 deletions(-)

commit b84b6dafd4d81a351fdc3f57791f0684c1b0d534
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Sep 12 20:04:43 2018 +0200

    Fix syntax error

 Jenkinsfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 37f5db4b9b93904803eb65c8f4d2765448f9bb80
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Sep 12 20:03:26 2018 +0200

    Fail on warnings

 Jenkinsfile | 28 ++++++++++++++++------------
 1 file changed, 16 insertions(+), 12 deletions(-)

commit 6c92385fc7ec86de2480f55ccff2fae83f6cb2a9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Sep 12 19:52:07 2018 +0200

    Update vscode settings

 .vscode/c_cpp_properties.json | 14 ++++++++++++++
 .vscode/tasks.json            | 29 +++++++++++++++--------------
 libyacurs                     |  2 +-
 3 files changed, 30 insertions(+), 15 deletions(-)

commit 2c46b6f55b0279f3b14237cc61e87df768686b86
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Sep 12 19:51:41 2018 +0200

    Use `const char*` for exception message

 src/libs/crypt/aes256.cc           | 13 +++++--------
 src/libs/crypt/crypto.cc           |  4 ++--
 src/libs/exceptions/cryptoerror.hh |  8 ++++----
 src/libs/exceptions/yapeterror.hh  |  9 +++------
 4 files changed, 14 insertions(+), 20 deletions(-)

commit 4b70e8f99949131ebb1857fea0bc6ea235f5f2ff
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Wed Sep 12 18:54:58 2018 +0200

    Remove crud from tests

 tests/import/import1.cc  | 37 ++++++-------------------------------
 tests/import/import10.cc | 29 -----------------------------
 tests/import/import11.cc | 37 ++++++-------------------------------
 tests/import/import12.cc | 29 -----------------------------
 tests/import/import13.cc | 40 ++++++++--------------------------------
 tests/import/import14.cc | 37 ++++++-------------------------------
 tests/import/import15.cc | 23 -----------------------
 tests/import/import2.cc  | 32 --------------------------------
 tests/import/import3.cc  | 44 +++++++++-----------------------------------
 tests/import/import4.cc  | 33 +++++----------------------------
 tests/import/import5.cc  | 37 ++++++-------------------------------
 tests/import/import6.cc  | 24 ------------------------
 tests/import/import7.cc  | 34 ++++++----------------------------
 tests/import/import8.cc  | 31 -------------------------------
 tests/import/import9.cc  | 37 ++++++-------------------------------
 tests/tests.h            | 22 ----------------------
 16 files changed, 58 insertions(+), 468 deletions(-)

commit 4df3265567047e835796ac4dc27966933b040b7d
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Wed Sep 12 18:23:06 2018 +0200

    Use AES 256 for import. Support old and new file format for export. Use gettext

 src/converters/csv2yapet/csvimport.cc |  22 ++--
 src/converters/csv2yapet/main.cc      |  44 +++----
 src/converters/yapet2csv/csvexport.cc |  10 +-
 src/converters/yapet2csv/main.cc      | 225 ++++++++++++++++------------------
 tests/import/import10.cc              |   4 +-
 tests/import/import12.cc              |   4 +-
 tests/import/import15.cc              |   4 +-
 tests/import/import2.cc               |   4 +-
 tests/import/import6.cc               |   4 +-
 tests/import/import8.cc               |   4 +-
 10 files changed, 153 insertions(+), 172 deletions(-)

commit e9e26a93463baa21cb2a0c30e3632c4e6ed7eb11
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Wed Sep 12 07:04:54 2018 +0200

    Refactor exceptions

 configure.ac                               |   1 +
 libyacurs                                  |   2 +-
 src/converters/csv2yapet/Makefile.am       |   3 +-
 src/converters/yapet2csv/Makefile.am       |   3 +-
 src/libs/Makefile.am                       |   2 +-
 src/libs/crypt/Makefile.am                 |   6 +-
 src/libs/crypt/aes256.cc                   |  35 ++---
 src/libs/crypt/aes256.hh                   |   1 -
 src/libs/crypt/blowfish.hh                 |   1 -
 src/libs/crypt/crypto.cc                   |  24 ++-
 src/libs/crypt/file.cc                     |  10 +-
 src/libs/crypt/file.h                      |   1 -
 src/libs/crypt/key256.cc                   |  32 +++-
 src/libs/crypt/key256.hh                   |  22 +--
 src/libs/crypt/key448.cc                   |  34 +++-
 src/libs/crypt/key448.hh                   |  24 +--
 src/libs/crypt/yapetexception.h            | 240 -----------------------------
 src/libs/exceptions/Makefile.am            |   1 +
 src/libs/exceptions/baseerror.hh           |  59 +++++++
 src/libs/exceptions/cryptoerror.hh         |  30 ++++
 src/libs/{file => exceptions}/fileerror.hh |  15 +-
 src/libs/exceptions/headererror.hh         |  13 ++
 src/libs/exceptions/yapeterror.hh          |  40 +++++
 src/libs/file/Makefile.am                  |   7 +-
 src/libs/file/fileerror.cc                 |  13 --
 src/libs/file/headererror.hh               |  13 --
 src/libs/glue/Makefile.am                  |   1 +
 src/libs/glue/changepassword.cc            |   8 +-
 src/libs/glue/promptpassword.cc            |   6 +-
 src/libs/ui/Makefile.am                    |   1 +
 src/libs/ui/passwordrecord.cc              |  13 +-
 src/yapet/Makefile.am                      |   3 +-
 tests/crypt/Makefile.am                    |   3 +-
 tests/crypt/aes256.cc                      |  10 +-
 tests/crypt/blowfish.cc                    |   9 +-
 tests/crypt/file_aes256.cc                 |  12 +-
 tests/crypt/file_blowfish.cc               |  21 +--
 tests/file/Makefile.am                     |   3 +-
 tests/import/Makefile.am                   |   3 +-
 tests/preload/Makefile.am                  |  25 +--
 tests/preload/checkmasterpwchange.cc       |   8 +-
 tests/preload/checktestpwrecord.cc         |   8 +-
 42 files changed, 344 insertions(+), 422 deletions(-)

commit 9d76a7f9fa96001b37c7aa723c1e8b72906cf4e8
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Sep 11 19:23:19 2018 +0200

    Reformated

 src/libs/consts/consts.h | 57 ++++++++++++++++++++++++------------------------
 1 file changed, 29 insertions(+), 28 deletions(-)

commit 46339a60681ba4883f31a2bab13b712423e46855
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Sep 11 19:11:36 2018 +0200

    Replace two consecutive underscores by one underscore

 src/libs/ui/yapetunlockdialog.cc | 84 ++++++++++++++++++++--------------------
 src/libs/ui/yapetunlockdialog.h  | 14 +++----
 2 files changed, 49 insertions(+), 49 deletions(-)

commit 18cdd696fbac7c53c8af8ccc64a3307a805d330e
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Sep 11 19:07:23 2018 +0200

    Use C++11 syntax

 src/libs/ui/help.cc              | 75 ++++++++++++++++++++--------------------
 src/libs/ui/newpassworddialog.cc | 14 ++++----
 src/libs/ui/passworddialog.cc    |  8 ++---
 src/libs/ui/passwordrecord.cc    |  8 ++---
 src/libs/ui/pwgendialog.cc       | 22 ++++++------
 src/libs/ui/yapetlockscreen.cc   |  4 +--
 6 files changed, 65 insertions(+), 66 deletions(-)

commit a6cc60b219e8be9c473a5c0bde9b542c7a8afa0c
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Sep 11 18:57:03 2018 +0200

    Use nullptr instead of `0'

 src/libs/glue/changepassword.cc  | 18 +++++++++---------
 src/libs/glue/createfile.cc      |  8 ++++----
 src/libs/glue/loadfile.cc        |  6 +++---
 src/libs/glue/promptpassword.cc  |  8 ++++----
 src/libs/ui/mainwindow.cc        |  4 ++--
 src/libs/ui/newpassworddialog.cc | 18 +++++++++---------
 src/libs/ui/passworddialog.cc    |  6 +++---
 src/libs/ui/passwordrecord.cc    | 14 +++++++-------
 src/libs/ui/yapetunlockdialog.cc | 18 +++++++++---------
 src/yapet/main.cc                |  2 +-
 10 files changed, 51 insertions(+), 51 deletions(-)

commit 94a3ee2ba56c73c17af659c146fd0ac4a75d8fed
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Sep 11 18:32:55 2018 +0200

    Use deleteAndZero()

 src/libs/glue/changepassword.cc  |  16 ++-
 src/libs/glue/createfile.cc      |  14 +--
 src/libs/glue/loadfile.cc        |  16 ++-
 src/libs/glue/opencmdlinefile.cc |  15 ++-
 src/libs/glue/promptpassword.cc  |  10 +-
 src/libs/ui/mainwindow.cc        |  17 ++--
 src/libs/ui/newpassworddialog.cc |   4 +-
 src/libs/ui/passwordrecord.cc    |  10 +-
 src/libs/ui/pwgendialog.cc       | 209 +++++++++++++++++++--------------------
 9 files changed, 144 insertions(+), 167 deletions(-)

commit 63c28d23df0359e3ef20c0851eb6608d50804dbe
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Sep 11 18:14:25 2018 +0200

    Add deleteAndZero() function

 src/libs/utils/Makefile.am |  2 +-
 src/libs/utils/utils.hh    | 14 ++++++++++++++
 tests/utils/Makefile.am    |  5 +++--
 tests/utils/utils.cc       | 40 ++++++++++++++++++++++++++++++++++++++++
 4 files changed, 58 insertions(+), 3 deletions(-)

commit 17a4f2f14e2215cb1e5526d36d552e506f4b642d
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Sep 11 18:01:47 2018 +0200

    Fix password check

 src/libs/glue/promptpassword.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 9704bcaac866b37066c864e0da28eb2f1b6a1c96
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Sep 11 06:46:37 2018 +0200

    Allow changing password on YAPET1.0 file

 src/libs/glue/changepassword.cc | 23 +++++++++++++++--------
 src/libs/glue/changepassword.h  |  4 ++++
 2 files changed, 19 insertions(+), 8 deletions(-)

commit 2d09368b5fb4896d868e71598917bce9d6b70ebb
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Sep 11 06:46:06 2018 +0200

    Handle null cryptoFactory gracefully

 src/libs/glue/opencmdlinefile.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 24c44cc0759283eb31f2548ee29389210515958a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Sep 10 20:57:16 2018 +0200

    Use getFactoryForFile()

 src/libs/glue/changepassword.cc  | 16 ++++++++++------
 src/libs/glue/createfile.cc      |  4 ++--
 src/libs/glue/opencmdlinefile.cc |  8 ++++----
 src/libs/glue/promptpassword.cc  |  8 ++++++--
 4 files changed, 22 insertions(+), 14 deletions(-)

commit 96f496d5e2d6796926a3084a65fa3dd73b9ce6ed
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Mon Sep 10 14:49:26 2018 +0200

    Add crypto factory helper

 src/libs/crypt/Makefile.am                   |  3 +-
 src/libs/crypt/aes256.cc                     |  7 +--
 src/libs/crypt/cryptofactoryhelper.cc        | 62 ++++++++++++++++++++++
 src/libs/crypt/cryptofactoryhelper.hh        | 11 ++++
 src/libs/file/yapet10file.cc                 | 10 ++--
 src/libs/file/yapet10file.hh                 |  4 ++
 src/libs/file/yapet20file.cc                 | 10 ++--
 src/libs/file/yapet20file.hh                 | 11 ++--
 tests/crypt/Makefile.am                      |  7 ++-
 tests/crypt/cryptofactoryhelper-1.0.pet      |  1 +
 tests/crypt/cryptofactoryhelper-2.0.pet      |  1 +
 tests/crypt/cryptofactoryhelper-tooshort.pet |  1 +
 tests/crypt/cryptofactoryhelper-unknown.pet  |  1 +
 tests/crypt/cryptofactoryhelper.cc           | 77 ++++++++++++++++++++++++++++
 14 files changed, 181 insertions(+), 25 deletions(-)

commit c6bc382626fa43c3467b8c2d4851e2c9f4a83576
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Mon Sep 10 12:53:49 2018 +0200

    Add toSecureArray function

 src/libs/utils/securearray.cc | 12 ++++++++++++
 src/libs/utils/securearray.hh |  1 +
 tests/utils/securearray.cc    |  4 ++++
 3 files changed, 17 insertions(+)

commit cbad01264cd3a699e076b958d1b167151de79413
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 21:52:40 2018 +0200

    Add test for AES256 file

 tests/crypt/Makefile.am                            |  15 +-
 tests/crypt/corrupt_aes256.pet.in                  | Bin 0 -> 14500 bytes
 .../{corrupt.pet.in => corrupt_blowfish.pet.in}    | Bin
 tests/crypt/file_aes256.cc                         | 488 +++++++++++++++++++++
 tests/crypt/{file.cc => file_blowfish.cc}          |  51 +--
 5 files changed, 523 insertions(+), 31 deletions(-)

commit b14a2253150b558957ac0002776bad5010be2d1d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 21:31:46 2018 +0200

    Add comments

 src/libs/crypt/aes256.hh | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

commit 1de8812240658790b34da7f71ba6a227e4b8f297
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 21:21:54 2018 +0200

    Aes256 uses random IV

 configure.ac             |   2 +-
 src/libs/crypt/aes256.cc | 174 +++++++++++++++++++++++++++++++++++++++++++++++
 src/libs/crypt/aes256.hh |  13 ++++
 src/libs/crypt/crypto.cc |  14 ++--
 src/libs/crypt/crypto.hh |  14 ++--
 tests/crypt/aes256.cc    |  18 ++---
 6 files changed, 214 insertions(+), 21 deletions(-)

commit 597006bf71785f12e3ba5a04e14d98a6d3967a2c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 21:16:14 2018 +0200

    Drop ivec generation from Key256

 src/libs/crypt/key256.cc | 15 +++------------
 src/libs/crypt/key256.hh | 33 ++++++++++-----------------------
 tests/crypt/key256.cc    | 11 +++--------
 3 files changed, 16 insertions(+), 43 deletions(-)

commit 8540833483ea5032913f7535bfa023016e728adc
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 20:20:33 2018 +0200

    Reorder declarations

 src/libs/crypt/crypto.hh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 9383c2c1cf5d9502c4a6a2dba22d77338b45e129
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 20:18:16 2018 +0200

    Further refactoring  for specialization

 src/libs/crypt/crypto.cc | 44 ++++++++++++++++++++++++--------------------
 src/libs/crypt/crypto.hh | 16 ++++++++--------
 2 files changed, 32 insertions(+), 28 deletions(-)

commit 133dcc9f4205375d60a1d561387f09aac009ead0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 20:17:27 2018 +0200

    Update comment

 src/libs/file/yapet20file.hh | 41 ++++++++++++++++++++++-------------------
 1 file changed, 22 insertions(+), 19 deletions(-)

commit 2146015330320405d4cb1cb10881b4d05d2fb414
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 19:45:49 2018 +0200

    Refactor to support inheritance

 src/libs/crypt/crypto.cc | 21 +++++++--------------
 src/libs/crypt/crypto.hh | 14 ++++++++++++++
 2 files changed, 21 insertions(+), 14 deletions(-)

commit 882195d49ab59e005f59746db33d914656294b94
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 18:52:18 2018 +0200

    Add Aes256Factory

 src/libs/crypt/Makefile.am      |  2 +-
 src/libs/crypt/aes256factory.cc | 23 ++++++++++++
 src/libs/crypt/aes256factory.hh | 34 +++++++++++++++++
 tests/crypt/Makefile.am         |  5 ++-
 tests/crypt/aes256factory.cc    | 83 +++++++++++++++++++++++++++++++++++++++++
 5 files changed, 144 insertions(+), 3 deletions(-)

commit 20dbc68fefb414b0dc2f6483882d9fce0f0e2c2a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 18:47:03 2018 +0200

    Add Yapet20File

 src/libs/file/Makefile.am                     |   2 +-
 src/libs/file/yapet20file.cc                  |  66 ++++++++
 src/libs/file/yapet20file.hh                  | 158 ++++++++++++++++++
 tests/file/Makefile.am                        |   7 +-
 tests/file/yapet20file-corrupt-identifier.dat |   1 +
 tests/file/yapet20file.cc                     | 223 ++++++++++++++++++++++++++
 6 files changed, 453 insertions(+), 4 deletions(-)

commit e4023a65a9c5ea3f89b883580766fae481a2d3be
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 18:46:43 2018 +0200

    Refactory YapetFile and Yapet10File to better suit inheritance

 src/libs/crypt/file.cc       |  3 ++
 src/libs/file/yapet10file.cc | 86 +++++++++++++++++++++++++-------------------
 src/libs/file/yapet10file.hh | 26 ++++----------
 src/libs/file/yapetfile.hh   |  7 ++--
 tests/file/yapet10file.cc    | 31 +++++++++++-----
 5 files changed, 87 insertions(+), 66 deletions(-)

commit f41486c6682a616698d7f03fd8b2dc4d4caf7858
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 16:23:37 2018 +0200

    Refactor error message

 src/libs/file/yapet10file.cc | 24 ++++++++++++++++++++----
 src/libs/file/yapet10file.hh |  1 +
 2 files changed, 21 insertions(+), 4 deletions(-)

commit d8b94803a4aa0406113ee70c2cab47f8ad760f6f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 15:56:19 2018 +0200

    Optimize

 src/libs/file/yapet10file.cc | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 32fc78fec0b0cb7713b539b5719b8f62d7fea762
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 15:50:49 2018 +0200

    Reorder functions

 src/libs/file/yapet10file.hh | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 59ffd90457132b24e4f2c4d9dba4d6364f22babd
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 15:49:00 2018 +0200

    Add check for aes and sha256

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8cab974ac885a56b02a47342f4983a3024e82f66
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 15:48:44 2018 +0200

    Use pure virtual function to retrieve recognition string

 src/libs/file/yapet10file.cc | 28 ++++++++++++----------------
 src/libs/file/yapet10file.hh |  9 ++++++---
 src/libs/file/yapetfile.hh   |  2 ++
 tests/file/yapetfile.cc      |  8 ++++++++
 4 files changed, 28 insertions(+), 19 deletions(-)

commit f51acba9298cbdfcac8cb46143e7b00b12c96673
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 15:33:28 2018 +0200

    Update comment

 src/libs/file/yapet10file.hh | 12 ------------
 1 file changed, 12 deletions(-)

commit fbbba67afd8ea68e60df0139b5e641fc11637e4d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 15:21:02 2018 +0200

    Add Aes256

 src/libs/crypt/Makefile.am |  2 +-
 src/libs/crypt/aes256.cc   | 57 ++++++++++++++++++++++++++++++
 src/libs/crypt/aes256.hh   | 66 ++++++++++++++++++++++++++++++++++
 tests/crypt/Makefile.am    |  3 +-
 tests/crypt/aes256.cc      | 88 ++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 214 insertions(+), 2 deletions(-)

commit 2718e487fd4db8f117012aae638b3103f4ca5334
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 15:14:02 2018 +0200

    Add Key256

 src/libs/crypt/Makefile.am |   2 +-
 src/libs/crypt/key256.cc   | 152 +++++++++++++++++++++++++++++++++++++++++++++
 src/libs/crypt/key256.hh   | 132 +++++++++++++++++++++++++++++++++++++++
 tests/crypt/Makefile.am    |   3 +-
 tests/crypt/key256.cc      |  65 +++++++++++++++++++
 5 files changed, 352 insertions(+), 2 deletions(-)

commit 74f9bbae454194a1ab55cded4969abf87adb139a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 15:13:33 2018 +0200

    Update copyright

 src/libs/crypt/blowfish.cc | 2 +-
 src/libs/crypt/blowfish.hh | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 4e7a22685c0e4b771976c08bec805d5c2c900436
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 14:59:57 2018 +0200

    Update name of test

 tests/crypt/key448.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b95ce5f3fd0f4ce2cdc40a3e54ffe6b999a46867
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 14:47:14 2018 +0200

    Update guard directives

 src/libs/crypt/key448.hh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit e062b10ee083a3fbaeb0766e0738bdf9601c3633
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 14:46:16 2018 +0200

    Update copyright

 src/libs/crypt/key448.cc | 2 +-
 src/libs/crypt/key448.hh | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 9a38c7a701e1a23f446dcb2ea0052b56fbbdd18d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 14:33:56 2018 +0200

    Drop support for Solaris

 Jenkinsfile | 63 -------------------------------------------------------------
 1 file changed, 63 deletions(-)

commit 5fcbc137b04fbf959d3e1299d6c016c8ed8d0180
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 11:15:14 2018 +0200

    Fix typo in function name

 src/libs/crypt/crypto.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit d964f6187303cd43d4d3cffa72ecb8da74c878d6
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 10:49:21 2018 +0200

    Use latest development version

 libyacurs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ff4d4c14e167e871c36761f8fb3d7a99eab497da
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 9 10:33:39 2018 +0200

    Speedup CI build (#11)
    
    Only build documentation on FreeBSD

 Jenkinsfile | 44 ++++++++++++++++++++++++--------------------
 1 file changed, 24 insertions(+), 20 deletions(-)

commit 2a61cfc37535cc618d5a8458d9ae49bb5b9147e5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 23:48:21 2018 +0200

    Tweak Jenkinsfile

 Jenkinsfile | 6 ++++++
 1 file changed, 6 insertions(+)

commit 04f8de8f016183fe071b07e1fc6a52eacbb7bb93
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 23:07:28 2018 +0200

    Update yapet pot template file

 po/yapet.pot | 842 +++++++++++++++++++++++++----------------------------------
 1 file changed, 353 insertions(+), 489 deletions(-)

commit 934d978c5d816d45c66fa58db417e18084d1fec1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 23:07:00 2018 +0200

    Fix configure options for Solaris

 Jenkinsfile | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c7d13a6ae4f6c311803d861263a8dea398fd5548
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 23:03:39 2018 +0200

    Update POTFILES.in

 po/POTFILES.in | 47 +++++++++++++++++++++--------------------------
 1 file changed, 21 insertions(+), 26 deletions(-)

commit b3f6a7f69226d09ec243a71239b79fba20494787
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 22:41:10 2018 +0200

    Use strncmp when comparing names in PasswordListItem

 src/libs/passwordrecord/passwordlistitem.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 59b356661b34c73658a71892649a89d5fa7d7cc1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 22:02:42 2018 +0200

    Fix tests

 tests/crypt/file.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6f7f93828e77e1ed0821613e7aa0d80e4741a911
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 21:54:49 2018 +0200

    Include cstdlib when using EVP_cipher_ctx_init()

 src/libs/crypt/crypto.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 8f9bc0ffec6fcc32f053fdc42a89149bbfdd5cfe
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 21:25:19 2018 +0200

    Drop inclusion of crypt.h from tests

 tests/import/import10.cc             | 1 -
 tests/import/import12.cc             | 1 -
 tests/import/import15.cc             | 1 -
 tests/import/import2.cc              | 1 -
 tests/import/import6.cc              | 1 -
 tests/import/import8.cc              | 1 -
 tests/preload/checkmasterpwchange.cc | 1 -
 tests/preload/checktestpwrecord.cc   | 1 -
 tests/tests.h                        | 1 -
 9 files changed, 9 deletions(-)

commit 7c003f68e71c67ceab13f3c0952e8d39c47e1033
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 21:04:44 2018 +0200

    Support OpenSSL_version()

 configure.ac        | 2 +-
 src/libs/ui/info.cc | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 64c1f960e970c1850ee70741d0265f9b5426d302
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 20:52:11 2018 +0200

    Include missing string

 src/libs/file/headerversion.hh | 2 ++
 1 file changed, 2 insertions(+)

commit 06e105f496f3e8a40b732b04f19e5445e4790704
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 20:50:08 2018 +0200

    Reformated

 src/libs/crypt/key448.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d6ec53f70a2a35d299fe22cd330657c5690e8004
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 20:38:46 2018 +0200

    Drop include of deleted crypt.h

 src/converters/yapet2csv/csvexport.cc | 1 -
 src/libs/ui/passwordrecord.cc         | 1 -
 2 files changed, 2 deletions(-)

commit a72fbb535933296c8ac84c957e543632391a3332
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 20:32:24 2018 +0200

    Fix handling of non-existing file

 src/libs/glue/opencmdlinefile.cc | 31 +++++++++++++++++--------------
 src/libs/glue/opencmdlinefile.h  |  1 +
 2 files changed, 18 insertions(+), 14 deletions(-)

commit 80d93234e46f38a75aac6fdd434dde23859b515d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 20:20:47 2018 +0200

    Reformat

 src/libs/ui/newpassworddialog.h | 71 ++++++++++++++++++++---------------------
 1 file changed, 35 insertions(+), 36 deletions(-)

commit 3a849b96f68ea522e54362617f0d2b4c2c5509f1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 20:13:42 2018 +0200

    Include typeinfo header

 src/libs/crypt/key448.hh | 2 ++
 1 file changed, 2 insertions(+)

commit b7ca2f53312f0ed3f27e2f5183ee0ffef88b02b3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 20:08:57 2018 +0200

    Use nullptr

 src/libs/ui/mainwindow.cc | 69 ++++++++++++++++++++++++-----------------------
 1 file changed, 35 insertions(+), 34 deletions(-)

commit bd5ecae2b6adf5d01e17435616e14e5fcb7412b6
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 20:08:49 2018 +0200

    Fix bug in initializing _cryptoFactory

 src/libs/ui/passwordrecord.cc | 4 ++--
 src/libs/ui/passwordrecord.h  | 3 +--
 2 files changed, 3 insertions(+), 4 deletions(-)

commit f0a6c0c104d7184d28eb10065e46568c763951cb
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 19:33:13 2018 +0200

    Use stdc++11 syntax

 src/libs/ui/passwordrecord.cc | 48 +++++++++++++++++++++----------------------
 1 file changed, 24 insertions(+), 24 deletions(-)

commit 64a365097cec7c8ba33474bdf3d2ab3f7fe6d497
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 19:24:33 2018 +0200

    Drop cryptoFactory from globals

 src/yapet/globals.cc | 1 -
 src/yapet/globals.h  | 1 -
 2 files changed, 2 deletions(-)

commit 91bdd1e278818ddd9b6e3d85f5143d26b3af0c8e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 19:18:40 2018 +0200

    Fix build error after removing structs.h

 src/converters/csv2yapet/csvimport.cc | 9 +++++----
 src/converters/yapet2csv/csvexport.cc | 1 -
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 6f5a381ebdb8888de119195ddfbd6fbafed98c07
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 19:13:46 2018 +0200

    Fix import check build and remove structs.h

 src/libs/crypt/Makefile.am |   2 +-
 src/libs/crypt/structs.h   | 231 -----------------------
 tests/import/Makefile.am   |   6 +-
 tests/import/import10.cc   |  34 ++--
 tests/import/import12.cc   |  33 ++--
 tests/import/import15.cc   | 453 ++++++++++++++++++++++++---------------------
 tests/import/import2.cc    |  35 ++--
 tests/import/import6.cc    |  41 ++--
 tests/import/import8.cc    |  32 ++--
 tests/tests.h              | 202 ++++++++++----------
 10 files changed, 441 insertions(+), 628 deletions(-)

commit 96d7ce7243d3cc7eb8c777f475570c98a406b490
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 18:22:35 2018 +0200

    Fix compiler warnings

 tests/pwgen/charpool2.cc | 117 +++++++++++++++++++----------------------------
 1 file changed, 47 insertions(+), 70 deletions(-)

commit 470afb02c1d8162a2fd8e3b698de622189a15967
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 18:21:18 2018 +0200

    Handle password provided to Key properly

 src/libs/crypt/key.hh    | 8 ++++++++
 src/libs/crypt/key448.cc | 9 ++++++---
 tests/crypt/key448.cc    | 5 +----
 3 files changed, 15 insertions(+), 7 deletions(-)

commit c723e80dfa91dee13660e63f08f89c46908ec168
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 18:05:32 2018 +0200

    Compiles

 src/converters/csv2yapet/Makefile.am  |   7 +-
 src/converters/csv2yapet/csvimport.cc | 175 +++++++++++++++++-----------------
 src/converters/csv2yapet/csvimport.h  | 163 ++++++++++++++-----------------
 src/converters/yapet2csv/Makefile.am  |   5 +-
 src/converters/yapet2csv/csvexport.cc | 128 +++++++++++++------------
 src/libs/ui/info.cc                   | 109 +++++++++++----------
 src/libs/ui/info.h                    |  61 ++++++------
 src/libs/ui/mainwindow.cc             |  42 +++++++-
 src/libs/ui/mainwindow.h              |   8 ++
 src/libs/ui/passworddialog.cc         |  27 +++---
 src/libs/ui/passworddialog.h          |   2 +-
 src/libs/ui/passwordrecord.cc         |   8 +-
 src/libs/ui/yapetlockscreen.cc        |  61 +++++-------
 src/libs/ui/yapetlockscreen.h         |  26 ++---
 src/libs/ui/yapetunlockdialog.cc      | 102 ++++++++------------
 src/libs/ui/yapetunlockdialog.h       |  58 +++++------
 src/yapet/Makefile.am                 |   3 +
 tests/preload/Makefile.am             |   6 ++
 tests/preload/checkmasterpwchange.cc  | 102 ++++++++++----------
 tests/preload/checktestpwrecord.cc    | 102 ++++++++++----------
 20 files changed, 613 insertions(+), 582 deletions(-)

commit bc58eac038085214717c82a5319a1cb24efef278
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 13:23:47 2018 +0200

    Add default constructor and cast operator

 src/libs/passwordrecord/passwordlistitem.cc |  6 ++++++
 src/libs/passwordrecord/passwordlistitem.hh |  3 +++
 tests/passwordrecord/passwordlistitem.cc    | 22 ++++++++++++++++++++++
 3 files changed, 31 insertions(+)

commit 3c16c7e581d41e48843fb4883c4973fde6623939
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 12:40:14 2018 +0200

    Add comperators

 src/libs/passwordrecord/passwordlistitem.cc | 10 ++++++++++
 src/libs/passwordrecord/passwordlistitem.hh |  1 +
 tests/passwordrecord/passwordlistitem.cc    |  7 +++++--
 3 files changed, 16 insertions(+), 2 deletions(-)

commit 4f934bd4d7496e2355fd3125ad3f686a10ac0428
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 12:33:55 2018 +0200

    Fix handling of C-strings

 src/libs/passwordrecord/passwordlistitem.cc | 15 ++++++++
 src/libs/passwordrecord/passwordlistitem.hh |  9 +++++
 src/libs/ui/mainwindow.cc                   | 60 ++++++++++++-----------------
 src/libs/ui/mainwindow.h                    |  8 ++--
 src/libs/utils/securearray.cc               | 16 ++------
 tests/passwordrecord/passwordlistitem.cc    | 29 +++++++++++++-
 tests/utils/securearray.cc                  | 54 ++++++++++++++------------
 7 files changed, 114 insertions(+), 77 deletions(-)

commit d299c93aeb49ead2e64fdb46ec08343f6f823662
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 11:02:35 2018 +0200

    Fix compiler warnings and tests

 tests/crypt/corrupt.pet.in | Bin 14244 -> 14244 bytes
 tests/crypt/file.cc        |  17 ++++++++++-------
 tests/crypt/foreign.cc     |   4 ++--
 tests/crypt/key448.cc      |   3 ++-
 4 files changed, 14 insertions(+), 10 deletions(-)

commit e86ff7bb4b26f25ac611c25e9dd5ab0ad440c11a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 8 10:22:46 2018 +0200

    Fix compiler errors

 src/libs/crypt/crypto.cc      |  3 +--
 src/libs/crypt/key448.cc      | 14 +-------------
 src/libs/utils/securearray.cc | 31 +++++++++++++++++++++++++++++--
 src/libs/utils/securearray.hh |  6 ++++--
 tests/utils/securearray.cc    |  9 +++++++++
 5 files changed, 44 insertions(+), 19 deletions(-)

commit 746774bbb2edc60713ebdad2124848fc02fbd020
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Fri Sep 7 21:17:16 2018 +0200

    WIP

 src/libs/crypt/file.cc           |  11 +-
 src/libs/crypt/file.h            |   5 +-
 src/libs/glue/Makefile.am        |   2 +
 src/libs/glue/changepassword.cc  | 308 ++++++++-------
 src/libs/glue/changepassword.h   |  39 +-
 src/libs/glue/createfile.cc      | 250 ++++++------
 src/libs/glue/createfile.h       |  40 +-
 src/libs/glue/loadfile.cc        | 206 +++++-----
 src/libs/glue/loadfile.h         |   9 +-
 src/libs/glue/opencmdlinefile.cc | 250 ++++++------
 src/libs/glue/opencmdlinefile.h  |  44 +--
 src/libs/glue/promptpassword.cc  | 172 ++++-----
 src/libs/glue/promptpassword.h   |  60 ++-
 src/libs/ui/Makefile.am          |   2 +
 src/libs/ui/mainwindow.cc        | 809 +++++++++++++++++++++------------------
 src/libs/ui/mainwindow.h         | 293 +++++---------
 src/libs/ui/passworddialog.h     |  33 +-
 src/libs/ui/passwordrecord.cc    | 345 +++++++----------
 src/libs/ui/passwordrecord.h     | 205 +++++-----
 src/yapet/globals.cc             |   5 +-
 src/yapet/globals.h              |  47 ++-
 src/yapet/main.cc                |   2 +-
 22 files changed, 1481 insertions(+), 1656 deletions(-)

commit 84ccb331727a7c77948d4ddd34684b295c9202c5
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Thu Sep 6 18:28:51 2018 +0200

    Expose size_type

 src/libs/passwordrecord/passwordlistitem.hh | 1 +
 1 file changed, 1 insertion(+)

commit e13b2d150e21733a24fc85d991421265f92de95d
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Wed Sep 5 21:20:12 2018 +0200

    AbstractCryptoFactory refactoring

 src/libs/crypt/Makefile.am              |  2 +-
 src/libs/crypt/abstractcryptofactory.hh | 11 ++++-
 src/libs/crypt/blowfishfactory.cc       | 25 ++++++++++
 src/libs/crypt/blowfishfactory.hh       | 22 +++++----
 src/libs/crypt/file.cc                  | 19 ++++----
 src/libs/crypt/file.h                   |  3 +-
 tests/crypt/Makefile.am                 |  6 +--
 tests/crypt/blowfishfactory.cc          | 83 +++++++++++++++++++++++++++++++++
 tests/crypt/file.cc                     | 78 +++++++++++++++----------------
 tests/crypt/foreign.cc                  |  6 +--
 10 files changed, 188 insertions(+), 67 deletions(-)

commit 30dcf6d4ccdafc0494eea0b583af53b3b3ce4895
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Sep 4 20:45:16 2018 +0200

    Return unique_ptr from AbstractCryptFactor member functions

 src/libs/crypt/abstractcryptofactory.hh |  6 ++----
 src/libs/crypt/blowfishfactory.hh       |  8 ++++----
 src/libs/crypt/file.cc                  |  4 ++--
 src/libs/crypt/file.h                   | 10 +++++-----
 tests/crypt/file.cc                     |  2 +-
 5 files changed, 14 insertions(+), 16 deletions(-)

commit 588838c65aca6e3a4f9fddbb2506b8138f9318ba
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Sep 4 20:34:40 2018 +0200

    Refactored foreign.cc test

 tests/crypt/foreign.cc | 517 ++++++++++++++-----------------------------------
 1 file changed, 145 insertions(+), 372 deletions(-)

commit 3e310a4fc9a172a5e2b79b6a49f02d48f7e7bfbd
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Sep 4 20:29:22 2018 +0200

    Improved detection of invalid password

 src/libs/crypt/crypto.cc   |   4 ++--
 src/libs/crypt/file.cc     |   8 +++++++-
 tests/crypt/blowfish.cc    |   8 ++++++--
 tests/crypt/corrupt.pet.in | Bin 44 -> 14244 bytes
 tests/crypt/file.cc        |  11 +++++++----
 5 files changed, 22 insertions(+), 9 deletions(-)

commit cb7046887d20f051ddcaac30d1fe11eb7725e1c8
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Sep 4 19:28:31 2018 +0200

    Read identifier upon open the file

 src/libs/file/yapet10file.cc                  | 44 +++++++++++++++------------
 src/libs/file/yapet10file.hh                  |  4 +--
 tests/file/Makefile.am                        |  3 +-
 tests/file/yapet10file-corrupt-identifier.dat |  1 +
 tests/file/yapet10file.cc                     | 36 +++++++++++++++-------
 5 files changed, 54 insertions(+), 34 deletions(-)

commit c3a89e533dc06d1d77843afb8144fe54c20c33d3
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Sep 4 18:49:42 2018 +0200

    Refactoring

 src/libs/file/header10.cc | 27 +++++++++++++++------------
 src/libs/file/header10.hh |  1 +
 tests/file/header10.cc    | 21 ++++++++++++++++++---
 3 files changed, 34 insertions(+), 15 deletions(-)

commit 84b539a5a06529d8cafa0e7e88905b6d8fd080fb
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Sep 4 17:54:26 2018 +0200

    Allow for pre-refactoring header with padding

 src/libs/file/header10.cc | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 678512093359a899277e915b5abc39f12659a15f
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Mon Sep 3 21:17:39 2018 +0200

    Refactor to allow for parallel tests

 tests/file/Makefile.am    |  6 ++----
 tests/file/fileutils.cc   | 10 ++++++----
 tests/file/rawfile.cc     |  2 +-
 tests/file/yapet10file.cc |  2 +-
 tests/file/yapetfile.cc   |  2 +-
 5 files changed, 11 insertions(+), 11 deletions(-)

commit 10ea89b484f0c38573846d2218e4c4963a8a3618
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Mon Sep 3 21:06:21 2018 +0200

    Refactor YAPET::File

 src/libs/crypt/file.cc  | 165 +++++------------
 src/libs/crypt/file.h   |  23 ++-
 tests/crypt/Makefile.am |  20 +-
 tests/crypt/corrupt.cc  |  47 -----
 tests/crypt/file.cc     | 479 ++++++++++++++++++++++++++++++++++++++++++++++++
 tests/crypt/file1.cc    | 260 --------------------------
 tests/crypt/file4.cc    |  74 --------
 tests/crypt/file5.cc    |  76 --------
 tests/crypt/file6.cc    | 155 ----------------
 9 files changed, 546 insertions(+), 753 deletions(-)

commit b6ace6262227b5d3c875e4ed2780b0a417e0d835
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Mon Sep 3 20:49:03 2018 +0200

    Add todoS

 src/libs/crypt/abstractcryptofactory.hh | 2 ++
 1 file changed, 2 insertions(+)

commit dabd72d9f4412ff8a8b9a2d5acde15c874842c35
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Mon Sep 3 20:21:49 2018 +0200

    Use int64_t for time values

 src/libs/file/fileutils.cc | 2 +-
 src/libs/file/fileutils.hh | 2 +-
 src/libs/file/header10.hh  | 6 +++---
 3 files changed, 5 insertions(+), 5 deletions(-)

commit eb694ac25c0ad95fcbcae7ebb74d26b8040f548b
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Mon Sep 3 07:04:29 2018 +0200

    Implement deserialization of PasswordRecord

 src/libs/passwordrecord/passwordrecord.cc | 38 ++++++++++++++++++++++++++++++-
 src/libs/passwordrecord/passwordrecord.hh |  7 ++++++
 tests/passwordrecord/passwordrecord.cc    | 32 ++++++++++++++++++++++++--
 3 files changed, 74 insertions(+), 3 deletions(-)

commit 378611f37c46752ebf374f02b80129a7e27d2702
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 2 20:27:22 2018 +0200

    Add crypto factories, drop unused files. Implement crypt/file

 .vscode/settings.json                   |   3 +-
 src/libs/crypt/Makefile.am              |   8 +-
 src/libs/crypt/abstractcryptofactory.hh |  20 +++
 src/libs/crypt/blowfish.hh              |   2 -
 src/libs/crypt/blowfishfactory.hh       |  29 ++++
 src/libs/crypt/file.cc                  | 256 +++++++++--------------------
 src/libs/crypt/file.h                   |  39 +++--
 src/libs/crypt/partdec.cc               |  95 -----------
 src/libs/crypt/partdec.h                | 144 -----------------
 tests/crypt/Makefile.am                 |  13 +-
 tests/crypt/file1.cc                    | 278 ++++++++++++++++++++++++++++----
 tests/crypt/file2.cc                    |  57 -------
 tests/crypt/file3.cc                    |  89 ----------
 tests/crypt/partdec.cc                  |  88 ----------
 14 files changed, 403 insertions(+), 718 deletions(-)

commit 57086253da4a0d0a10cef8abefab175c486ca8a4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 2 20:13:59 2018 +0200

    Fix error handling

 src/libs/file/rawfile.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 89f476519bc837ecaa5b2da0c751a46c0852ad68
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 2 19:11:18 2018 +0200

    Use flush data to disk after critical operations

 src/libs/file/yapet10file.cc | 3 +++
 1 file changed, 3 insertions(+)

commit f9c3534c9f78b9b792fdea3dc8f31c7cce5f5105
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 2 19:10:18 2018 +0200

    Throw YAPETInvalidPasswordException on error when finalizing decryption

 src/libs/crypt/crypto.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 13b8ba83e777fbf542cf34f2e5c2ca0f19af1608
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 2 19:08:17 2018 +0200

    Add flush() member function

 src/libs/file/rawfile.cc | 7 +++++++
 src/libs/file/rawfile.hh | 5 +++++
 2 files changed, 12 insertions(+)

commit 0e475d738ba1302ffdf0bc6e18baaa017556503a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 2 18:39:34 2018 +0200

    Test invalid password

 tests/crypt/blowfish.cc | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

commit 66d866ef0df1d558f928e06d07c2ae23f129c655
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 2 18:33:06 2018 +0200

    Test throwing of exception on invalid control string

 tests/file/header10.cc | 8 ++++++++
 1 file changed, 8 insertions(+)

commit fa3dd0f56c72c39602833d61e5befa25c698df44
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 2 18:26:08 2018 +0200

    Drop InvalidPasswordError, throw HeaderError

 src/libs/file/header10.cc    | 2 +-
 src/libs/file/headererror.hh | 5 -----
 2 files changed, 1 insertion(+), 6 deletions(-)

commit 94ce7988696462a4d336d21b3b7859863bcebe99
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 2 16:54:06 2018 +0200

    Add function to convert int to HEADER_VERSION

 src/libs/file/headerversion.hh | 20 ++++++++++++++++++++
 tests/file/Makefile.am         |  5 +++--
 tests/file/headerversion.cc    | 37 +++++++++++++++++++++++++++++++++++++
 3 files changed, 60 insertions(+), 2 deletions(-)

commit 17f3783040665e531ee728a1a5491143279a29f8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 2 14:58:12 2018 +0200

    Move PasswordRecord implement PasswordListItem

 configure.ac                                       |  2 +
 src/libs/Makefile.am                               |  2 +-
 src/libs/file/Makefile.am                          |  2 +-
 src/libs/passwordrecord/Makefile.am                | 19 +++++
 src/libs/passwordrecord/passwordlistitem.cc        | 44 ++++++++++
 src/libs/passwordrecord/passwordlistitem.hh        | 25 ++++++
 .../{file => passwordrecord}/passwordrecord.cc     |  0
 .../{file => passwordrecord}/passwordrecord.hh     |  0
 tests/Makefile.am                                  |  2 +-
 tests/file/Makefile.am                             |  5 +-
 tests/passwordrecord/Makefile.am                   | 20 +++++
 tests/passwordrecord/passwordlistitem.cc           | 99 ++++++++++++++++++++++
 tests/{file => passwordrecord}/passwordrecord.cc   |  0
 13 files changed, 214 insertions(+), 6 deletions(-)

commit 269d557c7bc38c1ddf9a48922faca10c1511d4c7
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 2 14:30:26 2018 +0200

    Move assignment/ctor sets other size to zero

 src/libs/utils/securearray.cc |  2 ++
 tests/utils/securearray.cc    | 10 ++++++++--
 2 files changed, 10 insertions(+), 2 deletions(-)

commit 42f747e2be499e3dc50d2659aa3dd25c52493c0e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 2 14:22:16 2018 +0200

    Do not call memcmp on nullptr

 src/libs/utils/securearray.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 7b04f5228a32ba04021695ff2c84b640053fecbc
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 2 12:49:49 2018 +0200

    Implement PasswordRecord

 src/libs/file/Makefile.am       |   2 +-
 src/libs/file/passwordrecord.cc | 136 +++++++++++++++++++++++++
 src/libs/file/passwordrecord.hh |  82 +++++++++++++++
 tests/file/Makefile.am          |   5 +-
 tests/file/passwordrecord.cc    | 215 ++++++++++++++++++++++++++++++++++++++++
 5 files changed, 437 insertions(+), 3 deletions(-)

commit 188eb3a4b10313c2a52b178f7e07c1a32f0fbb74
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Sep 2 11:22:08 2018 +0200

    Rename test classes

 tests/crypt/blowfish.cc | 16 ++++++++--------
 tests/crypt/key448.cc   | 12 ++++++------
 2 files changed, 14 insertions(+), 14 deletions(-)

commit f3a07e7bbd960759bbaa3954151e161fd334544c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 1 19:04:56 2018 +0200

    Drop record

 src/libs/crypt/Makefile.am |   2 +-
 src/libs/crypt/record.h    | 298 ---------------------------------------------
 tests/crypt/Makefile.am    |   4 +-
 tests/crypt/record.cc      |  74 -----------
 4 files changed, 2 insertions(+), 376 deletions(-)

commit f443b7a724d43357c3be6da9f2d3cb848209c91c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 1 19:01:04 2018 +0200

    Drop bdbuffer

 src/libs/crypt/Makefile.am |   4 +-
 src/libs/crypt/bdbuffer.cc | 209 ---------------------------------------------
 src/libs/crypt/bdbuffer.h  | 145 -------------------------------
 tests/crypt/Makefile.am    |   4 +-
 tests/crypt/bdbuffer.cc    |  99 ---------------------
 5 files changed, 3 insertions(+), 458 deletions(-)

commit 08c74202dece94cabbcef806dd33e6c2e2c31451
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 1 18:56:42 2018 +0200

    Test blowfish

 tests/crypt/Makefile.am |  4 +++-
 tests/crypt/blowfish.cc | 53 +++++++++++++++++++++++++++++++++----------------
 2 files changed, 39 insertions(+), 18 deletions(-)

commit 16641cf4218814894e916c241482099e296ef285
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 1 18:38:59 2018 +0200

    Free cipher context

 src/libs/crypt/crypto.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit ea3f0a8193b8b4a4f9dce581cf80be8c8ba0fadd
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 1 18:38:00 2018 +0200

    Remove comment

 src/libs/crypt/blowfish.cc | 13 -------------
 1 file changed, 13 deletions(-)

commit 36f80812d36989678d6ebd28880f4fb77b56110e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 1 18:28:36 2018 +0200

    Return empty SecureArray on empty string

 src/libs/utils/securearray.cc | 12 ++++++++++--
 tests/utils/securearray.cc    | 11 +++++++++++
 2 files changed, 21 insertions(+), 2 deletions(-)

commit a89de793df884e456fd2621f1f22d92c51539b1c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 1 18:18:24 2018 +0200

    Throw exception on empty cipher/plain text

 src/libs/crypt/crypto.cc | 41 +++++++++++++++++++++--------------------
 src/libs/crypt/crypto.hh | 26 ++++++++++++++++++++++++++
 2 files changed, 47 insertions(+), 20 deletions(-)

commit 9af79dfc48ce0b39c3052ce455c2e29da1ba08f7
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 1 17:33:46 2018 +0200

    Move Blowfish into yapet namespace

 src/libs/crypt/Makefile.am                 |  2 +-
 src/libs/crypt/blowfish.cc                 | 15 +++++++--------
 src/libs/crypt/{blowfish.h => blowfish.hh} | 14 +++++++-------
 3 files changed, 15 insertions(+), 16 deletions(-)

commit 406172ebbc69eb63ce1ff412f0e651bf981532e0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 1 16:32:06 2018 +0200

    Fix building of crypt/

 src/libs/crypt/file.cc    |  13 +-
 src/libs/crypt/file.h     |  14 +-
 src/libs/crypt/key448.cc  |  22 +-
 src/libs/crypt/key448.hh  |  18 +-
 src/libs/crypt/partdec.cc |  64 ++---
 src/libs/crypt/partdec.h  |   8 +-
 tests/crypt/Makefile.am   |   4 +-
 tests/crypt/blowfish.cc   |  51 ++++
 tests/crypt/corrupt.cc    |  30 +-
 tests/crypt/enc.cc        |  60 ----
 tests/crypt/file1.cc      |  35 +--
 tests/crypt/file2.cc      |  41 +--
 tests/crypt/file3.cc      | 130 ++++-----
 tests/crypt/file4.cc      |  77 ++---
 tests/crypt/file5.cc      |  84 +++---
 tests/crypt/file6.cc      | 226 +++++++--------
 tests/crypt/foreign.cc    | 703 +++++++++++++++++++++++-----------------------
 tests/crypt/key448.cc     |   6 +-
 tests/crypt/partdec.cc    |  61 ++--
 tests/tests.h             | 201 ++++++-------
 20 files changed, 931 insertions(+), 917 deletions(-)

commit b11a7b1ffe5e45774cb57d2b0d51f4b65facdbb6
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 1 15:50:04 2018 +0200

    Refactored encryption/decryption

 src/libs/crypt/blowfish.cc |  75 ++----------
 src/libs/crypt/blowfish.h  | 291 +++++----------------------------------------
 src/libs/crypt/crypto.cc   | 174 +++++++++++++++++++++++++++
 src/libs/crypt/crypto.hh   |  27 ++++-
 4 files changed, 236 insertions(+), 331 deletions(-)

commit 3b99903896dcaba63b1774a17c5014ff12fa7535
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 1 15:45:34 2018 +0200

    Introduce Key interface

 src/libs/crypt/Makefile.am           |  6 +++---
 src/libs/crypt/key.hh                | 25 ++++++++++++++++++++++
 src/libs/crypt/{key.cc => key448.cc} | 28 ++++++++++++------------
 src/libs/crypt/{key.h => key448.hh}  | 41 ++++++++++++++++++------------------
 tests/crypt/Makefile.am              |  4 ++--
 tests/crypt/{key.cc => key448.cc}    |  6 +++---
 6 files changed, 69 insertions(+), 41 deletions(-)

commit 57a15f764c3ff6eab61cb0cde346cc53655e395c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 1 15:16:18 2018 +0200

    Add copy operator to SecureArray

 src/libs/utils/securearray.cc | 38 ++++++++++++++++++++++++++++++--------
 src/libs/utils/securearray.hh | 15 +++++++++++++++
 tests/utils/securearray.cc    | 42 ++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 87 insertions(+), 8 deletions(-)

commit 2d7ec381c0d01ba96f0c1785583b909c2f05fd71
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 1 14:41:49 2018 +0200

    Add missing string include

 src/libs/utils/securearray.hh | 1 +
 1 file changed, 1 insertion(+)

commit e8be415c5c01daa4d308b3552247a7281371f3b8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Sep 1 10:16:34 2018 +0200

    Add convenience functions

 src/libs/utils/securearray.cc | 15 +++++++++++++++
 src/libs/utils/securearray.hh |  3 +++
 tests/utils/securearray.cc    |  9 +++++++++
 3 files changed, 27 insertions(+)

commit 844e791ce8420d67c762bd5582c3fa9c53268886
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Aug 31 21:55:11 2018 +0200

    Refactored key

 src/libs/crypt/key.cc   | 259 +++++++++---------------------------------------
 src/libs/crypt/key.h    |  11 +-
 tests/crypt/Makefile.am |   6 +-
 tests/crypt/key.cc      | 145 +++++++++------------------
 4 files changed, 107 insertions(+), 314 deletions(-)

commit f9cf19e0379724d328c99025791d6a3ca2cdc702
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Aug 31 21:11:08 2018 +0200

    Drop endianess_SOURCES

 tests/crypt/Makefile.am | 2 --
 1 file changed, 2 deletions(-)

commit ddb05bd4d1fad9d35630d8c49e12a976970104fa
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Aug 31 21:10:46 2018 +0200

    Use EXTRA_DIST

 src/libs/interfaces/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5436c4ca7a5ad1c1964b51896676fc459b14d209
Merge: 91e19da 7e6c62f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Aug 31 19:57:08 2018 +0200

    Merge branch 'development' of github.com:RafaelOstertag/yapet into development

commit 7e6c62fad90bf960e08edeab7e9d345ad11ae1d7
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Fri Aug 31 19:54:31 2018 +0200

    WIP commit

 src/libs/crypt/blowfish.cc | 120 ++++++++++++++++++
 src/libs/crypt/blowfish.h  | 305 +++++++++++++++++++++++++++++++++++++++++++++
 src/libs/crypt/crypto.hh   |  19 +++
 3 files changed, 444 insertions(+)

commit 91e19da47df4be0b5201c206be199c4109b2712e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Aug 31 19:11:58 2018 +0200

    Add concatenation of secure arrays using `+`

 src/libs/utils/securearray.cc | 12 ++++++++++++
 src/libs/utils/securearray.hh |  2 ++
 tests/utils/securearray.cc    | 16 ++++++++++++++++
 3 files changed, 30 insertions(+)

commit a4964418904ef1ce5e82c533ec75b3aee2c42602
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Fri Aug 31 18:49:41 2018 +0200

    WIP commit

 src/libs/crypt/Makefile.am |   4 +-
 src/libs/crypt/crypt.cc    | 120 ------------------
 src/libs/crypt/crypt.h     | 304 ---------------------------------------------
 src/libs/crypt/key.cc      | 167 +++++++++++++------------
 src/libs/crypt/key.h       | 268 ++++++++-------------------------------
 5 files changed, 144 insertions(+), 719 deletions(-)

commit da20738f5cf948325d669fc9485f7bd3e05beb6e
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Fri Aug 31 18:01:43 2018 +0200

    Introduce serializable interface

 configure.ac                        |  1 +
 src/libs/Makefile.am                |  2 +-
 src/libs/crypt/Makefile.am          |  1 +
 src/libs/file/Makefile.am           | 12 ++++++++++--
 src/libs/file/header10.cc           |  2 +-
 src/libs/file/header10.hh           | 14 +++++++++-----
 src/libs/interfaces/Makefile.am     |  1 +
 src/libs/interfaces/serializable.hh | 14 ++++++++++++++
 tests/file/Makefile.am              |  5 ++++-
 tests/file/header10.cc              |  4 ++--
 10 files changed, 44 insertions(+), 12 deletions(-)

commit 97d744071b5a5cb587a7543f37fef8070e13caf5
Merge: c36594d df62467
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Fri Aug 31 15:20:29 2018 +0200

    Merge branch 'development' of github.com:RafaelOstertag/yapet into development

commit c36594de5b4e689b289873a7e69afc48c862f0a9
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Fri Aug 31 06:50:34 2018 +0200

    Drop endianess test, covered and tested by ods.h

 tests/crypt/endianess.cc   | 109 ---------------------------------------------
 tests/crypt/endianess.test |   1 -
 2 files changed, 110 deletions(-)

commit 73701dfddc931a8d0047e72b02a3d4b5526d71fc
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Fri Aug 31 06:49:54 2018 +0200

    Build without error
    
    file.[cc|h] not implemented. Tests failing

 src/converters/csv2yapet/Makefile.am |    6 +-
 src/converters/yapet2csv/Makefile.am |    6 +-
 src/libs/crypt/Makefile.am           |   11 +-
 src/libs/crypt/file.cc               | 1010 +++++++---------------------------
 src/libs/crypt/file.h                |  384 ++-----------
 src/libs/glue/Makefile.am            |   17 +-
 src/libs/ui/Makefile.am              |    2 +
 src/yapet/Makefile.am                |    6 +-
 tests/crypt/Makefile.am              |   12 +-
 tests/import/Makefile.am             |    2 +
 tests/preload/Makefile.am            |   16 +-
 11 files changed, 293 insertions(+), 1179 deletions(-)

commit df62467194a7d97b1dac4413741bd1d466d6f835
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Aug 30 21:35:54 2018 +0200

    Fix solaris build

 Jenkinsfile | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

commit dd95d63766aa3f887aa201a0593e25d4b9e7ebfb
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Thu Aug 30 19:09:27 2018 +0200

    Fix syntax error

 src/libs/crypt/yapetexception.h | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 94f61d52e8bbe96d854d1c0bd0c521beeb1d326a
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Thu Aug 30 18:53:34 2018 +0200

    Add comment

 src/libs/file/header10.hh | 2 ++
 1 file changed, 2 insertions(+)

commit 3cd569ac1ddc60f3c073cf79bd0844596ee7d71b
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Thu Aug 30 06:53:50 2018 +0200

    Add header10

 configure.ac                   |  5 +--
 src/libs/file/Makefile.am      |  2 +-
 src/libs/file/header10.cc      | 92 ++++++++++++++++++++++++++++++++++++++++++
 src/libs/file/header10.hh      | 69 +++++++++++++++++++++++++++++++
 src/libs/file/headererror.hh   | 18 +++++++++
 src/libs/file/headerversion.hh | 17 ++++++++
 tests/file/Makefile.am         |  5 ++-
 tests/file/header10.cc         | 52 ++++++++++++++++++++++++
 8 files changed, 254 insertions(+), 6 deletions(-)

commit 37d24311ae31c776a348eaa6535ccff9e37d447f
Merge: f6e5d65 29f6b8d
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Wed Aug 29 07:31:32 2018 +0200

    Merge branch 'development' of github.com:RafaelOstertag/yapet into development

commit f6e5d653baf120e66b769743c639d633d7020471
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Aug 28 19:52:30 2018 +0200

    Use memset(), memcpy(), and memcmp()

 src/libs/utils/securearray.cc | 16 +++++-----------
 1 file changed, 5 insertions(+), 11 deletions(-)

commit b80862b5a1b3cdd54cdde489075ce59109fa2a3a
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Aug 28 19:33:00 2018 +0200

    Add SIZE_MISSMATCH and NULLPOINTER

 src/libs/crypt/yapetexception.h | 2 ++
 1 file changed, 2 insertions(+)

commit 7dcbf21f7d397c4f8710e3ab7c7a66ab99172452
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Aug 28 19:29:44 2018 +0200

    Make stdc++14 ready

 src/libs/crypt/yapetexception.h | 339 ++++++++++++++++++++++------------------
 1 file changed, 188 insertions(+), 151 deletions(-)

commit 872db7dfb3d4679bb49e7a9ab6db93c08a56dd48
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Aug 28 07:52:59 2018 +0200

    Add function retrieving file size

 src/libs/file/fileutils.cc |  7 ++++
 src/libs/file/fileutils.hh |  1 +
 tests/file/fileutils.cc    | 92 +++++++++++++++++++++++++++-------------------
 3 files changed, 63 insertions(+), 37 deletions(-)

commit 29f6b8d11de80276fc8e7909c582a0f729922103
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Aug 27 20:44:04 2018 +0200

    Include /usr/share/aclocal on solaris

 Jenkinsfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 49a82f8841b1530f8ca04bf6eb1b4a6480912af3
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Mon Aug 27 18:15:25 2018 +0200

    Add getter for filename

 src/libs/file/yapetfile.hh |  2 ++
 tests/file/yapetfile.cc    | 10 ++++++++++
 2 files changed, 12 insertions(+)

commit caa6b6a5d0df54a4a0b65e51784aab7cdcc29bf7
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Mon Aug 27 18:12:08 2018 +0200

    Test filename retrieval

 tests/file/rawfile.cc | 23 +++++++++++++++++------
 1 file changed, 17 insertions(+), 6 deletions(-)

commit 6d36a09dd7f40f416792719ab7e2c8cb23a100de
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Aug 26 21:55:32 2018 +0200

    Drop --disable-silent-rules add flags for OpenSSL on NetBSD

 Jenkinsfile | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 2b6c5e96a503a06a69c41509aa8e4169f43f6e49
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Aug 26 20:46:06 2018 +0200

    Name stages according OS

 Jenkinsfile | 50 +++++++++++++++++++++++++-------------------------
 1 file changed, 25 insertions(+), 25 deletions(-)

commit 55c4f8b9574b86594eceb4b50a5054cfc208c230
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Aug 26 20:19:23 2018 +0200

    Code reorganization and drop of --disable-converters (#10)

 Makefile.am                                        |  10 +-
 NEWS                                               |   3 +
 configure.ac                                       |  53 +-
 crypt/Makefile.am                                  |  18 -
 csv2yapet/Makefile.am                              |  22 -
 doc/Makefile.am                                    |  13 +-
 doc/Makefile.doc.am                                |   7 +-
 doc/README.DOC                                     |   2 -
 glue/Makefile.am                                   |   6 -
 glue/README                                        |  10 -
 po/POTFILES.in                                     | 128 +--
 po/de.po                                           | 957 ++++++++++++---------
 po/yapet.pot                                       | 762 +++++++++-------
 pwgen/Makefile.am                                  |   4 -
 src/Makefile.am                                    |   1 +
 src/converters/Makefile.am                         |   1 +
 src/converters/csv2yapet/Makefile.am               |  28 +
 .../converters/csv2yapet}/csvimport.cc             |   0
 .../converters/csv2yapet}/csvimport.h              |   0
 {csv2yapet => src/converters/csv2yapet}/main.cc    |   0
 src/converters/yapet2csv/Makefile.am               |  30 +
 .../converters/yapet2csv}/csvexport.cc             |   0
 .../converters/yapet2csv}/csvexport.h              |   0
 {yapet2csv => src/converters/yapet2csv}/main.cc    |   0
 src/libs/Makefile.am                               |   1 +
 src/libs/cfg/Makefile.am                           |  13 +
 {yapet => src/libs/cfg}/cfg.cc                     |   0
 src/libs/cfg/cfg.h                                 | 312 +++++++
 {yapet => src/libs/cfg}/cfgfile.cc                 |   0
 {yapet => src/libs/cfg}/cfgfile.h                  |   0
 src/libs/consts/Makefile.am                        |  12 +
 {yapet => src/libs/consts}/consts.cc               |   0
 {yapet => src/libs/consts}/consts.h                |   0
 src/libs/crypt/Makefile.am                         |  14 +
 {crypt => src/libs/crypt}/bdbuffer.cc              |   0
 {crypt => src/libs/crypt}/bdbuffer.h               |   0
 {crypt => src/libs/crypt}/crypt.cc                 |   0
 {crypt => src/libs/crypt}/crypt.h                  |   0
 {crypt => src/libs/crypt}/file.cc                  |   0
 {crypt => src/libs/crypt}/file.h                   |   0
 {crypt => src/libs/crypt}/key.cc                   |   0
 {crypt => src/libs/crypt}/key.h                    |   0
 {crypt => src/libs/crypt}/partdec.cc               |   0
 {crypt => src/libs/crypt}/partdec.h                |   0
 {crypt => src/libs/crypt}/record.h                 |   0
 {crypt => src/libs/crypt}/structs.h                |   0
 {crypt => src/libs/crypt}/yapetexception.h         |   0
 {file => src/libs/file}/Makefile.am                |  18 +-
 {file => src/libs/file}/README.md                  |   0
 {file => src/libs/file}/fileerror.cc               |   0
 {file => src/libs/file}/fileerror.hh               |   0
 {file => src/libs/file}/fileutils.cc               |   0
 {file => src/libs/file}/fileutils.hh               |   0
 {file => src/libs/file}/ods.hh                     |   0
 {file => src/libs/file}/rawfile.cc                 |   0
 {file => src/libs/file}/rawfile.hh                 |   0
 {file => src/libs/file}/yapet10file.cc             |   0
 {file => src/libs/file}/yapet10file.hh             |   0
 {file => src/libs/file}/yapetfile.cc               |   0
 {file => src/libs/file}/yapetfile.hh               |   0
 src/libs/glue/Makefile.am                          |  24 +
 {glue => src/libs/glue}/changepassword.cc          |   0
 {glue => src/libs/glue}/changepassword.h           |   0
 {glue => src/libs/glue}/createfile.cc              |   0
 {glue => src/libs/glue}/createfile.h               |   0
 {glue => src/libs/glue}/loadfile.cc                |   0
 {glue => src/libs/glue}/loadfile.h                 |  34 +-
 {glue => src/libs/glue}/opencmdlinefile.cc         |   0
 {glue => src/libs/glue}/opencmdlinefile.h          |   0
 {glue => src/libs/glue}/promptpassword.cc          |   0
 {glue => src/libs/glue}/promptpassword.h           |   0
 src/libs/pwgen/Makefile.am                         |  13 +
 {pwgen => src/libs/pwgen}/charpool.cc              |   0
 {pwgen => src/libs/pwgen}/charpool.h               |   0
 {pwgen => src/libs/pwgen}/pwgen.cc                 |   0
 {pwgen => src/libs/pwgen}/pwgen.h                  |   0
 {pwgen => src/libs/pwgen}/pwgenexception.h         |   0
 {pwgen => src/libs/pwgen}/rng.cc                   |   0
 {pwgen => src/libs/pwgen}/rng.h                    |   0
 src/libs/ui/Makefile.am                            |  33 +
 {ui => src/libs/ui}/help.cc                        |   0
 {ui => src/libs/ui}/help.h                         |   0
 {ui => src/libs/ui}/info.cc                        |   0
 {ui => src/libs/ui}/info.h                         |   0
 {ui => src/libs/ui}/mainwindow.cc                  |   0
 {ui => src/libs/ui}/mainwindow.h                   |   0
 {ui => src/libs/ui}/mainwindowhotkeys.h            |   0
 src/libs/ui/newpassworddialog.cc                   | 121 +++
 {ui => src/libs/ui}/newpassworddialog.h            |   0
 {ui => src/libs/ui}/passworddialog.cc              |   0
 {ui => src/libs/ui}/passworddialog.h               |   0
 {ui => src/libs/ui}/passwordrecord.cc              |   0
 {ui => src/libs/ui}/passwordrecord.h               |   0
 {ui => src/libs/ui}/pwgendialog.cc                 |   0
 {ui => src/libs/ui}/pwgendialog.h                  |   0
 {ui => src/libs/ui}/yapetlockscreen.cc             |   0
 {ui => src/libs/ui}/yapetlockscreen.h              |   0
 {ui => src/libs/ui}/yapetunlockdialog.cc           |   0
 {ui => src/libs/ui}/yapetunlockdialog.h            |   0
 src/libs/utils/Makefile.am                         |  10 +
 {utils => src/libs/utils}/securearray.cc           |   0
 {utils => src/libs/utils}/securearray.hh           |   0
 src/yapet/Makefile.am                              |  39 +
 {yapet => src/yapet}/globals.cc                    |   0
 {yapet => src/yapet}/globals.h                     |   0
 {yapet => src/yapet}/main.cc                       |   0
 tests/Makefile.am                                  | 194 +----
 tests/cfg/Makefile.am                              |  23 +
 tests/{ => cfg}/cfg1.cc                            |   0
 tests/{ => cfg}/cfgfile1.cc                        |   0
 tests/{ => cfg}/cfgfile1.rc                        |   0
 tests/{ => cfg}/cfgfile2.rc                        |   0
 tests/{ => cfg}/cfgfile3.rc                        |   0
 tests/{ => cfg}/testpaths.h.in                     |   0
 tests/converters/Makefile.am                       |  11 +
 tests/{ => converters}/testimport.csv              |   0
 tests/crypt/Makefile.am                            |  89 ++
 tests/{ => crypt}/bdbuffer.cc                      |   0
 tests/{ => crypt}/corrupt.cc                       |   0
 tests/{ => crypt}/corrupt.pet.in                   | Bin
 tests/{ => crypt}/enc.cc                           |   0
 tests/{ => crypt}/endianess.cc                     |   0
 tests/{ => crypt}/endianess.test                   |   0
 tests/{ => crypt}/f32be0.5.pet.in                  | Bin
 tests/{ => crypt}/f32be0.6.pet.in                  | Bin
 tests/{ => crypt}/f32le0.5.pet.in                  | Bin
 tests/{ => crypt}/f32le0.6.pet.in                  | Bin
 tests/{ => crypt}/f64be0.5.pet.in                  | Bin
 tests/{ => crypt}/f64be0.6.pet.in                  | Bin
 tests/{ => crypt}/f64le0.5.pet.in                  | Bin
 tests/{ => crypt}/f64le0.6.pet.in                  | Bin
 tests/{ => crypt}/file1.cc                         |   0
 tests/{ => crypt}/file2.cc                         |   0
 tests/{ => crypt}/file3.cc                         |   0
 tests/{ => crypt}/file4.cc                         |   0
 tests/{ => crypt}/file5.cc                         |   0
 tests/{ => crypt}/file6.cc                         |   0
 tests/{ => crypt}/foreign.cc                       |   0
 tests/{ => crypt}/key.cc                           |   0
 tests/{ => crypt}/partdec.cc                       |   0
 tests/{ => crypt}/record.cc                        |   0
 tests/crypt/testpaths.h.in                         |  12 +
 tests/file/Makefile.am                             |  18 +-
 tests/import/Makefile.am                           |  45 +
 tests/{ => import}/import1.cc                      |   0
 tests/{ => import}/import10.cc                     |   0
 tests/{ => import}/import11.cc                     |   0
 tests/{ => import}/import12.cc                     |   0
 tests/{ => import}/import13.cc                     |   0
 tests/{ => import}/import14.cc                     |   0
 tests/{ => import}/import15.cc                     |   0
 tests/{ => import}/import2.cc                      |   0
 tests/{ => import}/import3.cc                      |   0
 tests/{ => import}/import4.cc                      |   0
 tests/{ => import}/import5.cc                      |   0
 tests/{ => import}/import6.cc                      |   0
 tests/{ => import}/import7.cc                      |   0
 tests/{ => import}/import8.cc                      |   0
 tests/{ => import}/import9.cc                      |   0
 tests/{ => import}/test1.csv                       |   0
 tests/{ => import}/test10.csv                      |   0
 tests/{ => import}/test2.csv                       |   0
 tests/{ => import}/test3.csv                       |   0
 tests/{ => import}/test4.csv                       |   0
 tests/{ => import}/test5.csv                       |   0
 tests/{ => import}/test6.csv                       |   0
 tests/{ => import}/test7.csv                       |   0
 tests/{ => import}/test8.csv                       |   0
 tests/{ => import}/test9.csv                       |   0
 tests/import/testpaths.h.in                        |  12 +
 tests/preload/Makefile.am                          |  36 +-
 tests/pwgen/Makefile.am                            |  18 +
 tests/{ => pwgen}/charpool1.cc                     | 105 +--
 tests/{ => pwgen}/charpool2.cc                     |   2 -
 tests/pwgen/pwgen1.cc                              | 179 ++++
 tests/{ => pwgen}/rng1.cc                          |  56 +-
 tests/pwgen1.cc                                    | 177 ----
 tests/utils/Makefile.am                            |   8 +-
 ui/Makefile.am                                     |   7 -
 ui/newpassworddialog.cc                            | 127 ---
 utils/Makefile.am                                  |  11 -
 yapet/Makefile.am                                  |  39 -
 yapet/cfg.h                                        | 330 -------
 yapet2csv/Makefile.am                              |  18 -
 184 files changed, 2277 insertions(+), 1939 deletions(-)

commit 6458f97d548616519ee9951a8db903bb3cc8af73
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Fri Aug 24 18:03:48 2018 +0200

    Move securearray to utils

 Makefile.am                          |  2 +-
 configure.ac                         |  2 ++
 file/Makefile.am                     |  4 ++--
 tests/utils/Makefile.am              |  8 ++++++++
 tests/{file => utils}/securearray.cc |  0
 utils/Makefile.am                    | 11 +++++++++++
 {file => utils}/securearray.cc       |  0
 {file => utils}/securearray.hh       |  0
 8 files changed, 24 insertions(+), 3 deletions(-)

commit 2ba4d2d64357353974f005192824ab70ebb2c28d
Merge: 173631e f55491e
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Fri Aug 24 07:02:49 2018 +0200

    Merge branch 'development' of github.com:RafaelOstertag/yapet into development

commit 173631eca22054bea034fe303844fb1422fe44b8
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Thu Aug 23 20:36:15 2018 +0200

    Implement yapet10file

 file/yapet10file.cc       |  39 ++++++
 file/yapet10file.hh       | 329 +++++++++++++++++++++++-----------------------
 file/yapetfile.hh         |   5 +
 tests/file/Makefile.am    |   5 +-
 tests/file/yapet10file.cc | 194 +++++++++++++++++++++++++++
 tests/file/yapetfile.cc   |   3 +-
 6 files changed, 410 insertions(+), 165 deletions(-)

commit b48164541df078c3eeb26408320ad2ae3cd93f38
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Wed Aug 22 07:09:25 2018 +0200

    Add getPosition() member

 file/rawfile.cc       |  9 +++++++++
 file/rawfile.hh       |  5 +++++
 tests/file/rawfile.cc | 16 ++++++++++++++++
 3 files changed, 30 insertions(+)

commit 937fb85c0183e3881fb6142cae7b3929707f1e8f
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Wed Aug 22 06:57:33 2018 +0200

    Add reopen() member function

 file/rawfile.cc       | 14 +++++++++++++-
 file/rawfile.hh       |  5 +++++
 tests/file/rawfile.cc | 24 ++++++++++++++++++++++--
 3 files changed, 40 insertions(+), 3 deletions(-)

commit f55491e2a2b08ab4802620f0abe8ae2b469784e0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Aug 21 22:50:56 2018 +0200

    Revert "Use new docbook cdn"
    
    This reverts commit b3babf9e2a691cfa2ce1240c36230aff03a2cd20.

 doc/Makefile.doc.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b3babf9e2a691cfa2ce1240c36230aff03a2cd20
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Aug 21 22:38:34 2018 +0200

    Use new docbook cdn

 doc/Makefile.doc.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 95d40911ba3d8a9a09070bc7b872a2ce7dd1a978
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Aug 21 21:41:34 2018 +0200

    Fix build

 file/fileerror.hh   |  6 +++++
 file/yapet10file.cc | 72 +++++++++++++++++++++++++++++++++++++++++++++--------
 2 files changed, 68 insertions(+), 10 deletions(-)

commit 8d732d148d4e995149d41ddbbd7f4ed1498fe37b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Aug 21 21:40:20 2018 +0200

    Only one Jenkinsfile
    
    Use one Jenkinsfile for all OSes

 Jenkinsfile         | 272 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 Jenkinsfile.FreeBSD |  67 -------------
 Jenkinsfile.Linux   |  22 -----
 Jenkinsfile.NetBSD  |  22 -----
 Jenkinsfile.OpenBSD |  22 -----
 Jenkinsfile.Solaris |  22 -----
 6 files changed, 272 insertions(+), 155 deletions(-)

commit eec3485c6647ad843c48564dbbe492bd12523dd4
Author: Ostertag Rafael <rafi@guengel.ch>
Date:   Tue Aug 21 19:52:03 2018 +0200

    Commit missing code for close() member function

 file/rawfile.cc       |  8 ++------
 tests/file/rawfile.cc | 10 ++++++++++
 2 files changed, 12 insertions(+), 6 deletions(-)

commit 0495979b1bac2f1ef2a0bd0db59e622c68739328
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Aug 21 19:46:23 2018 +0200

    Start working on next release

 .clang-format                 |   4 +
 .gitignore                    |   4 +-
 .vscode/settings.json         |  75 ++++
 .vscode/tasks.json            |  15 +
 Jenkinsfile.FreeBSD           |  89 +++-
 Makefile.am                   |   6 +-
 configure.ac                  |  21 +-
 crypt/Makefile.am             |   2 -
 crypt/file.h                  |   2 +-
 file/Makefile.am              |  13 +
 file/README.md                |   1 +
 file/fileerror.cc             |  13 +
 file/fileerror.hh             |  28 ++
 file/fileutils.cc             |  76 ++++
 file/fileutils.hh             |  14 +
 file/ods.hh                   |  61 +++
 file/rawfile.cc               | 166 +++++++
 file/rawfile.hh               |  82 ++++
 file/securearray.cc           | 101 +++++
 file/securearray.hh           |  49 +++
 file/yapet10file.cc           |  80 ++++
 file/yapet10file.hh           | 209 +++++++++
 file/yapetfile.cc             |  75 ++++
 file/yapetfile.hh             | 113 +++++
 m4/ax_cxx_compile_stdcxx.m4   | 982 ++++++++++++++++++++++++++++++++++++++++++
 m4/ax_cxx_header_stdcxx_98.m4 |  87 ----
 pwgen/pwgen.cc                |   4 +-
 tests/Makefile.am             |   8 +-
 tests/file/Makefile.am        |  13 +
 tests/file/fileutils.cc       | 145 +++++++
 tests/file/ods.cc             | 100 +++++
 tests/file/rawfile.cc         | 167 +++++++
 tests/file/securearray.cc     | 216 ++++++++++
 tests/file/testpaths.h.in     |  12 +
 tests/file/yapetfile.cc       | 135 ++++++
 tests/{file.cc => file1.cc}   |   0
 36 files changed, 3032 insertions(+), 136 deletions(-)

commit 11b41522395f8fa6d5e5129da3d4d8a0d48c6f36
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Feb 19 16:28:48 2018 +0100

    Dropped uncrustifyrc.

 uncrustifyrc | 1578 ----------------------------------------------------------
 1 file changed, 1578 deletions(-)

commit 6f8b5e90bc06d1caafaca7681339ede7c5133eab
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 13 13:01:01 2018 +0100

    Added "GithubProjectProperty".

 Jenkinsfile.FreeBSD | 3 ++-
 Jenkinsfile.Linux   | 3 ++-
 Jenkinsfile.NetBSD  | 3 ++-
 Jenkinsfile.OpenBSD | 3 ++-
 Jenkinsfile.Solaris | 3 ++-
 5 files changed, 10 insertions(+), 5 deletions(-)

commit 71718db830690162144287f5c115d0f8a1437179
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Feb 12 13:14:16 2018 +0100

    Prepared dev branch.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d6fda3183c42115ed668599da1a7a08e78eea2c1
Merge: 2e145d5 037d174
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Feb 12 13:13:31 2018 +0100

    Merge branch 'master' into development

commit 037d1747598118c8344f5b357d7ed4987ffd12fe
Merge: 997216f 6e0ab54
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 11 21:17:55 2018 +0100

    Merge branch 'release/1.1'

commit 6e0ab54b5bd17b561f22dbb68a118f862e6bc0fd
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 11 15:56:00 2018 +0100

    Include yapet_colors.html and yapet_config.html in distribution tarball.

 doc/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 85493d39dca20a7a302a03cd21b8f3941141b0c2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 11 00:36:05 2018 +0100

    Make year ranges.

 doc/Makefile.doc.am | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit e3afc916f2cf648f42634c31bdb11818f3ad7ec5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 10 22:09:23 2018 +0100

    Link dist to dist-xz.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e60161889dd47694d2196d9623f80758fe3a132e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 10 22:02:10 2018 +0100

    Set default distribution types.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4f05d5bf0b59401ff3ad6f1d7b5374621c2a80f5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 10 20:26:09 2018 +0100

    Updated copyright year.

 doc/copyright.sgml | 1 +
 1 file changed, 1 insertion(+)

commit bea9c6bb85ae8ccde0a8ee049a76a1fb85a05ca6
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 10 20:14:23 2018 +0100

    Adjust anchor text to https as well.

 doc/bugreport.sgml | 2 +-
 doc/yapet.sgml.in  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 955dbb17ecdbe9be36983ab0e8b705a68b178834
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 10 20:04:00 2018 +0100

    Use https in links.

 doc/yapet.sgml.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a4db33770c83743302ab60b641b41bd159e100d7
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 10 17:19:04 2018 +0100

    Updated documentation.

 LICENSE            | 7 +------
 doc/bugreport.sgml | 2 +-
 doc/license.sgml   | 2 +-
 3 files changed, 3 insertions(+), 8 deletions(-)

commit d2f1756949eda58b129d3589ad9aa13611ce1534
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 10 17:09:00 2018 +0100

    Use markdown.

 NEWS | 168 +++++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 87 insertions(+), 81 deletions(-)

commit 96452d41bdc251e43d08bf3688a1c77ebb3d6ac1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 10 15:17:05 2018 +0100

    Fixed bug 116.
    
    We must not use `subdir-objects`, even though `autoreconf` complains about `subdir-objects` not being set.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9cbff1be92370885d5f7b050718c9ccd194e17e8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 10 12:47:41 2018 +0100

    Prepared release 1.1

 NEWS | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2e145d554849098f8925a8fa88ebc11fb9855759
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 10 11:48:14 2018 +0100

    Keep only 5 builds.

 Jenkinsfile.FreeBSD | 2 +-
 Jenkinsfile.Linux   | 2 +-
 Jenkinsfile.NetBSD  | 2 +-
 Jenkinsfile.OpenBSD | 2 +-
 Jenkinsfile.Solaris | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

commit 73066d6f090c2a8949ce764032d89f92fd5d42d2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 10 11:41:11 2018 +0100

    Ignore obj* directories.

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 11e8d927b86dd77052633d5f472ea96d7c701eca
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 10 11:40:02 2018 +0100

    Added pipelineTriggers

 Jenkinsfile.FreeBSD | 3 ++-
 Jenkinsfile.Linux   | 3 ++-
 Jenkinsfile.NetBSD  | 3 ++-
 Jenkinsfile.OpenBSD | 3 ++-
 Jenkinsfile.Solaris | 3 ++-
 5 files changed, 10 insertions(+), 5 deletions(-)

commit 0f7e18e75c117a4d218a376a69efc808219bc938
Merge: 23d5375 294d110
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 10 11:26:43 2018 +0100

    Merge pull request #6 from RafaelOstertag/remove_dynamic_exception_spec
    
    Remove dynamic exception spec

commit 294d1107b35d694d1da9001bdf2b4718eb38eb03
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 10 11:20:34 2018 +0100

    Use libyacurs 0.4.
    
    libyacurs fixes build failures on Solaris.

 libyacurs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 68e611df83f00494d612f3b4c1994d50f9167bd2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Feb 9 19:03:11 2018 +0100

    Cleaned some missed spots.

 pwgen/charpool.cc | 12 ++++++------
 pwgen/pwgen.cc    | 16 ++++++++--------
 pwgen/rng.cc      | 12 ++++++------
 3 files changed, 20 insertions(+), 20 deletions(-)

commit 23d5375a6b55aaa5e0152c7da0a06d6430470b43
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Feb 9 18:14:39 2018 +0100

    Added `Jenkinsfile.Solaris`.

 Jenkinsfile.Solaris | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 421af946460f9971bb94f2ff1d0580c6b72e4b17
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Feb 9 18:07:42 2018 +0100

    Removed dynamic exception specifications.

 crypt/bdbuffer.cc      | 12 +++++------
 crypt/bdbuffer.h       | 12 +++++------
 crypt/crypt.cc         |  2 +-
 crypt/crypt.h          |  8 +++-----
 crypt/file.cc          | 54 +++++++++++++++++++++++-------------------------
 crypt/file.h           | 56 +++++++++++++++++++++++---------------------------
 crypt/key.cc           |  2 +-
 crypt/key.h            |  2 +-
 crypt/partdec.cc       |  7 +++----
 crypt/partdec.h        |  6 +++---
 crypt/record.h         | 16 +++++++--------
 csv2yapet/csvimport.cc |  4 ++--
 csv2yapet/csvimport.h  |  4 ++--
 pwgen/charpool.h       | 14 ++++++-------
 pwgen/pwgen.h          | 16 +++++++--------
 pwgen/rng.h            | 14 ++++++-------
 16 files changed, 110 insertions(+), 119 deletions(-)

commit 80511ab839f6e16031e79d4f17875b2185a2ed95
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 6 21:21:43 2018 +0100

    Added `release.roll()`.

 Jenkinsfile.FreeBSD | 1 +
 1 file changed, 1 insertion(+)

commit 12cbe591d87464ac79652ab5b4c5fd77298dfd25
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 4 12:33:49 2018 +0100

    Readme formatting (#5)
    
    Properly formatted README.

 README.md | 66 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 33 insertions(+), 33 deletions(-)

commit 7d50e07723d03f100cf7e3478c8e54ab83345e32
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 4 12:25:03 2018 +0100

    Reformatted README.md

 README.md | 29 ++++++++++++++++++++++-------
 1 file changed, 22 insertions(+), 7 deletions(-)

commit 4fc9511ead4d86f36b1ef9659279cacfd479df07
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 4 12:23:33 2018 +0100

    Added README.md

 README.md | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

commit c9601afbe8d0947fc10a8935f8ec6637d72840de
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 4 11:03:52 2018 +0100

    Use libyacurs 0.3.

 NEWS      | 2 +-
 libyacurs | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 75bac1373bfecd890ea31e95feaadc0d7c7dcdd4
Merge: f45f0f5 8e34247
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 4 10:29:11 2018 +0100

    Merge pull request #4 from RafaelOstertag/revive_news
    
    Revive news

commit 8e342476d637741bbd96b9988d7f5fd56974c91a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 4 10:01:41 2018 +0100

    Use jenkins shared library functions to create ChangeLogs upon checkout

 Jenkinsfile.FreeBSD | 2 ++
 Jenkinsfile.Linux   | 2 ++
 Jenkinsfile.NetBSD  | 2 ++
 Jenkinsfile.OpenBSD | 2 ++
 4 files changed, 8 insertions(+)

commit f38521048642205ae6af41ace81b79ecf25b00c8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 4 08:49:37 2018 +0100

    Updated .gitignore

 .gitignore | 3 +++
 1 file changed, 3 insertions(+)

commit 9647940a0e5f9e06343ba73e04e8f36bed85bda9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 4 08:49:15 2018 +0100

    Move ChangeLog back to NEWS
    
    Changing distribution tarball might break downstream.

 ChangeLog => NEWS | 2 --
 configure.ac      | 2 +-
 2 files changed, 1 insertion(+), 3 deletions(-)

commit f45f0f50d2c741343cef6b43a280012cacaa6596
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 3 17:27:45 2018 +0100

    Use libyacurs 0.2.

 ChangeLog | 2 ++
 libyacurs | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 775d931234a566d6447f89720206dc24a088dde4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 3 17:23:22 2018 +0100

    Make automake not insist on NEWS file.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7fc4e4ac7100df57772e8175a8b1378f771d5ad5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 3 17:04:33 2018 +0100

    Dropped old directories.

 scripts/checkall.sh                        | 870 -----------------------------
 scripts/runcheckall.sh                     |  40 --
 support/Makefile                           |  40 --
 support/buildenv.gcc_GUENGEL               |   8 -
 support/buildenv.solstudio_CURSES          |   8 -
 support/buildenv.solstudio_GUENGEL         |   8 -
 support/buildenv.solstudio_XCURSES         |   8 -
 support/disttest/compiler.profiles.freebsd |  48 --
 support/disttest/compiler.profiles.linux   |  33 --
 support/disttest/compiler.profiles.solaris | 121 ----
 support/disttest/disttest                  | 288 ----------
 support/disttest/toggle.pl                 |  28 -
 support/makesolpackages                    | 194 -------
 support/prepare_test_directories.sh        |  18 -
 14 files changed, 1712 deletions(-)

commit 022046d4e238b36a2e39b80d444ec106ae614b43
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 3 16:51:00 2018 +0100

    Moved NEWS to ChangeLog.

 .gitignore        | 1 -
 NEWS => ChangeLog | 4 +++-
 Makefile.am       | 2 +-
 3 files changed, 4 insertions(+), 3 deletions(-)

commit 8ba9b145ca9e133474e1cc9c95004b45b6758fab
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 3 14:55:48 2018 +0100

    Use yapet.notify.

 Jenkinsfile.FreeBSD | 16 +++++++++-------
 Jenkinsfile.Linux   | 16 +++++++++-------
 Jenkinsfile.NetBSD  | 16 +++++++++-------
 Jenkinsfile.OpenBSD | 16 +++++++++-------
 4 files changed, 36 insertions(+), 28 deletions(-)

commit 7d06a5924b873e11ac2afb7c51cb74b2edacdea3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 3 11:27:06 2018 +0100

    Jenkinsfile (#2)
    
    Use new jenkins library functions.

 Jenkinsfile.FreeBSD | 6 +++++-
 Jenkinsfile.Linux   | 6 +++++-
 Jenkinsfile.NetBSD  | 6 +++++-
 Jenkinsfile.OpenBSD | 6 +++++-
 4 files changed, 20 insertions(+), 4 deletions(-)

commit cee4233b9bf2133a23b53065aa604f2d67a8703a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jan 31 14:47:48 2018 +0100

    Jenkinsfile (#1)
    
    CI on FreeBSD, OpenBSD, NetBSD, and Linux

 .gitmodules         |  2 +-
 Jenkinsfile.FreeBSD | 11 +++++++++++
 Jenkinsfile.Linux   | 12 ++++++++++++
 Jenkinsfile.NetBSD  | 12 ++++++++++++
 Jenkinsfile.OpenBSD | 12 ++++++++++++
 5 files changed, 48 insertions(+), 1 deletion(-)

commit 3122d345582ae79501419a057410ad0ad3d56385
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jan 28 13:28:19 2018 +0100

    Updated .gitignore.

 .gitignore | 68 +++++++++++++++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 59 insertions(+), 9 deletions(-)

commit 3f5ebd8ec001ff4b1fe483ae4e71ab91e9094354
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jan 28 12:56:06 2018 +0100

    Use 0.1 tag.

 libyacurs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6581cc4a3f5e4a6976cea737c2bd4422151332b7
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jan 28 12:54:55 2018 +0100

    Added .gitignore.

 .gitignore | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit d997927749ce0f46cf81b54453aa6e73f87679c9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jan 28 12:54:39 2018 +0100

    Added libyacurs submodule.

 .gitmodules | 3 +++
 libyacurs   | 1 +
 2 files changed, 4 insertions(+)

commit 997216f5ea763b20e370b28fbc057f05a2c576df
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 9 20:30:48 2016 +0000

    Updated po files.

 po/de.po     | 2 +-
 po/yapet.pot | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 9655accbea696b7883728d75ed18f1c8327ee060
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 9 20:30:34 2016 +0000

    Bumped version to 1.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ab4907027acf55f78a2b7362b87a536e3240b774
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 9 20:30:22 2016 +0000

    Updated NEWS.

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit 90902a6b59707d1f78d329d19d5a4911bf51c7a9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 9 20:27:47 2016 +0000

    Updated copyright.sgml.

 doc/copyright.sgml | 1 +
 1 file changed, 1 insertion(+)

commit 17f66263ce04b92c7ce847febd65374da7dfeede
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 9 20:08:08 2016 +0000

    Support openssl 1.1, see also bug 113.

 configure.ac              |  3 +-
 crypt/crypt.cc            | 42 +++++++++++++++-----
 crypt/crypt.h             | 45 +++++++++++-----------
 crypt/key.cc              | 97 +++++++++++++++++++++++++++++------------------
 crypt/key.h               |  4 ++
 po/de.po                  | 67 ++++++++++++++++----------------
 po/yapet.pot              | 69 +++++++++++++++++----------------
 tests/preload/Makefile.am |  4 +-
 8 files changed, 191 insertions(+), 140 deletions(-)

commit 8a8fc243f740be84b1ed1aa22280c25fd2eae66f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 1 19:17:03 2016 +0000

    Applied fix for bug 112.

 yapet/cfg.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a17a5acb89f0b8e63aa9f08c7fa38b68fa5213de
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Feb 26 21:09:57 2014 +0000

    Updated to reflect latest implementation.

 doc/DESIGN.sgml.in | 22 ++++------------------
 1 file changed, 4 insertions(+), 18 deletions(-)

commit cb9f9794b8a9cc3aea69ad2b28c929298375eb9b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Feb 26 21:06:59 2014 +0000

    Added missing reference to yapet2csv.html.

 doc/INSTALL.sgml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2530a58ef6e0b7bfdf27392a085ee0551282abd0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 25 21:13:05 2014 +0000

    Updated years.

 LICENSE | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f406d21966b9030fc9f2c023bd72d5591a63859b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Feb 24 20:46:54 2014 +0000

    Continued work

 iconv/yaiconv.cc | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 16584350c7df7caaa732c1092b6ec15f6808577b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 23 15:30:17 2014 +0000

    Using tagged libyacurs 0.1 in svn:externals.

commit 89ea7866a540b8db89e6cfb8136c0ecfe830fbe3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 23 14:53:56 2014 +0000

    use std::exit().

 tests/preload/istty.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b307fa335c00b86e42340fdec3b2adc5692863df
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 23 14:52:26 2014 +0000

    Mentioned experimental multi-byte characters.

 doc/README.sgml.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit db58b7c53635ef9dab6d4e0e3265b327055c7504
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 23 14:51:12 2014 +0000

    Updated.

 NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit ac04a83604f394110c08c68b0fdbbda70963bf54
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 23 14:42:57 2014 +0000

    Spell checking. Fixed some issues when using xsl profiles.

 doc/README.sgml.in       |  6 +++---
 doc/yapet.sgml.in        | 10 +++++-----
 doc/yapet2csv.sgml.in    | 10 ++++++----
 doc/yapet_config.sgml.in |  4 ++--
 4 files changed, 16 insertions(+), 14 deletions(-)

commit ec5a47b7359f1736b53893371e833d92c50d2e78
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 23 14:41:46 2014 +0000

    Updated THANKS.

 THANKS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 54d4968897df693de5f50cbb120b4d0432e68f78
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 23 14:41:29 2014 +0000

    Included and install yapet_config.1 man page.

 doc/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 85dcba0c287c7e23dac5c7c1ca9e226677cfc0f8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 23 14:40:30 2014 +0000

    Install NEWS files to docdir.

 Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0ebdd6314a75a3a715abe753ea778b4771a9c556
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 22 11:37:07 2014 +0000

    only run if istty returns 0.

 tests/preload/Makefile.am | 24 ++++++++++++++----------
 tests/preload/istty.cc    | 10 ++++++++++
 2 files changed, 24 insertions(+), 10 deletions(-)

commit 4c20af587468f5aec3ed054dd97fa10f30463f1c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 22 08:05:18 2014 +0000

    wait 3 second before launching check on remote machine.

 scripts/runcheckall.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 16d5424898f49a13519a62159dd959864f3caa84
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 22 08:04:56 2014 +0000

    Use DOCBOOK_BASE instead of DOCBOOK_XSL.

 scripts/checkall.sh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 2b4e2e9d8b7c195ef69406087484177433214975
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 18 21:21:29 2014 +0000

    Updated comments.

 doc/Makefile.doc.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 728157dca9b5dc2eff475f843e5c553a790fc136
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 18 21:02:40 2014 +0000

    Named test function for grimreaper properly.

 scripts/checkall.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d0ae15dd28534163390e50131fbb38ad326887da
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 18 20:55:32 2014 +0000

    Added grimreaper to checkall.sh. Added ion, and grimreaper to runcheckall.sh

 scripts/checkall.sh    | 87 ++++++++++++++++++++++++++++++++++++++++++++++++++
 scripts/runcheckall.sh |  2 +-
 2 files changed, 88 insertions(+), 1 deletion(-)

commit 13e5f077c147f26808c4335fc850568d4ed0b460
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 18 20:08:24 2014 +0000

    Updated documentation.

 MAINTAINER            | 15 ++++++++++-----
 doc/INSTALL.sgml.in   |  3 +++
 doc/Makefile.doc.am   |  2 +-
 doc/README.sgml.in    |  5 +----
 doc/yapet.sgml.in     |  4 ++--
 doc/yapet2csv.sgml.in | 16 ++++++++--------
 6 files changed, 25 insertions(+), 20 deletions(-)

commit 4e1ddb5c49d2236c9b1ec67ac8286d819f93035f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 18 20:08:07 2014 +0000

    Updated.

 po/de.po     | 26 +++++++++++++-------------
 po/yapet.pot | 26 +++++++++++++-------------
 2 files changed, 26 insertions(+), 26 deletions(-)

commit 4128486a169111c53cc0eab248bf67c0ed877d70
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Feb 17 20:53:03 2014 +0000

    Updated docs.

 doc/README.sgml.in | 10 ++--------
 1 file changed, 2 insertions(+), 8 deletions(-)

commit bc0d87f8ae25457676d6ed2f7851355e89972b49
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 16 16:39:44 2014 +0000

    Properly fixed default compiler for ion.

 scripts/checkall.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 164b098cc0660643ebf08ae4725e2ced04a6f69f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 16 16:38:50 2014 +0000

    Fixed default compiler for ion.

 scripts/checkall.sh | 13 +++----------
 1 file changed, 3 insertions(+), 10 deletions(-)

commit a3fa7ed00f20481395cf23eaed20c39582f32408
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 16 16:11:02 2014 +0000

    Added host ion.

 scripts/checkall.sh | 94 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 94 insertions(+)

commit f5874009df3fd81897729c436ab9d810ff5deba1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 11 19:18:49 2014 +0000

    Some updates.

 doc/INSTALL.sgml.in      | 24 ++++++++++--------------
 doc/README.sgml.in       |  9 +--------
 doc/yapet.sgml.in        |  2 +-
 doc/yapet2csv.sgml.in    |  4 ++--
 doc/yapet_config.sgml.in |  2 +-
 5 files changed, 15 insertions(+), 26 deletions(-)

commit 00ac8ad3f5f674e38f33a2d111cf0c2491cbc879
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 11 06:36:07 2014 +0000

    Updated.

 NEWS              |  8 +++++---
 doc/yapet.sgml.in | 24 ++++++++++++++++++++++++
 2 files changed, 29 insertions(+), 3 deletions(-)

commit aaf17a62a75e5d948273f0d534495650ca23f165
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 11 06:35:50 2014 +0000

    Pressing Control-T reveals password without leaving read-only mode.

 ui/passwordrecord.cc | 35 ++++++++++++++++++++++++++++++++++-
 ui/passwordrecord.h  |  7 +++++++
 2 files changed, 41 insertions(+), 1 deletion(-)

commit 9128d6db25a9440ba7b92f8dc9f2b8748ca5a5e8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 8 07:35:30 2014 +0000

    Started working on iconv class.

 iconv/Makefile.am | 16 ++++++++++++
 iconv/yaiconv.cc  | 71 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 iconv/yaiconv.h   | 75 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 162 insertions(+)

commit 8505aca70b36753cf829b34c15c232f483afc11c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 1 14:56:30 2014 +0000

    Line numbers updated.

 po/de.po     | 38 +++++++++++++++++++-------------------
 po/yapet.pot | 38 +++++++++++++++++++-------------------
 2 files changed, 38 insertions(+), 38 deletions(-)

commit cbca7a3cdcc5c28710cc43335b747302aa7f4d62
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jan 29 21:53:53 2014 +0000

    Added necessary files to EXTRA_DISTS.

 tests/preload/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cbdb69bb45f699ae6314da88faca21d68f230c09
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jan 29 17:58:45 2014 +0000

    Added two more yapet tests.

 tests/preload/Makefile.am            |  34 +-
 tests/preload/checkmasterpwchange.cc |  94 ++++
 tests/preload/checkyapet.cc          |  89 ++++
 tests/preload/masterpwchange.cc      | 826 +++++++++++++++++++++++++++++++++++
 4 files changed, 1041 insertions(+), 2 deletions(-)

commit 7ab8f70630f679be2c2473803c3d43282004f8a1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jan 27 17:29:38 2014 +0000

    Incorporated second batch of Anic's suggestions.

 doc/yapet.sgml.in        | 21 +++++++++++----------
 doc/yapet_colors.sgml.in |  8 +++-----
 doc/yapet_config.sgml.in | 14 +++++++-------
 3 files changed, 21 insertions(+), 22 deletions(-)

commit cc83477533cfe26100a62250ab5ddad3b20a4711
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jan 26 16:11:46 2014 +0000

    Incorporated first batch of Anic's suggestions.

 doc/INSTALL.sgml.in       |  8 ++++----
 doc/README.Cygwin.sgml.in |  7 ++++---
 doc/README.sgml.in        | 15 ++++++++-------
 doc/csv2yapet.sgml.in     | 10 +++++-----
 doc/yapet2csv.sgml.in     |  4 ++--
 doc/yapet_config.sgml.in  |  3 ++-
 6 files changed, 25 insertions(+), 22 deletions(-)

commit e779a2a5c42eb9373c2083c15cd03ab489c64475
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jan 26 13:51:22 2014 +0000

    Updated.

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 00861618f12a679a71f32a337a70565f32501c98
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jan 26 13:38:16 2014 +0000

    Revert changes made in r5912: All hosts use now the xsl stylesheets
    located on http://gizmo.kruemel.home/docbook-xsl-1.78.1.

 scripts/checkall.sh | 32 ++++++++++++++------------------
 1 file changed, 14 insertions(+), 18 deletions(-)

commit f27b4dfca56ff43029072054c87e994384d6e5bf
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jan 26 13:08:20 2014 +0000

    Removed 'DOCBOOK_BASE=/usr/local/share/xsl/docbook' on OpenBSD hosts,
    since it is missing the profiling part.

 scripts/checkall.sh | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit d643b558b3a0584f91a3a54fd615eb4c851f25c1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jan 26 12:57:34 2014 +0000

    Updated on --disable-converters.

 doc/INSTALL.sgml.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 42b6ce7b97ec9b035c3199010a9927f51d179f09
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jan 26 12:53:59 2014 +0000

    Added configure switch --disable-converters.c

 scripts/checkall.sh | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

commit 8336f9fd6e0dfefc2246e08303c4e749a458d1ba
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jan 26 12:51:27 2014 +0000

    Continued work on documentation.

 doc/DESIGN.sgml.in        |  5 ++---
 doc/INSTALL.sgml.in       | 20 +++++++++++---------
 doc/README.Cygwin.sgml.in |  5 ++---
 doc/README.sgml.in        | 12 +++++++++---
 doc/copyright.sgml        |  1 -
 doc/csv2yapet.sgml.in     |  9 ++++-----
 doc/license.sgml          |  2 +-
 doc/yapet.sgml.in         | 22 ++++++++++------------
 doc/yapet2csv.sgml.in     |  5 ++---
 doc/yapet_colors.sgml.in  |  7 +++----
 doc/yapet_config.sgml.in  |  7 +++----
 11 files changed, 47 insertions(+), 48 deletions(-)

commit 8c79f6feae0009bbf906319bba5eaf111f59e1fb
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jan 26 12:46:43 2014 +0000

    Using xsl profiling instead of 'sed' for processing conditional text.

 doc/Makefile.doc.am | 47 +++++++++++++++++++++++++----------------------
 1 file changed, 25 insertions(+), 22 deletions(-)

commit 87d58fcee89134a7984f3d5584a1a774a4abf2b5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jan 26 12:46:03 2014 +0000

    Renamed --disable-csv2yapet to --disable-converters in configure.ac. The conditional BUILDCSV2YAPET has been renamed to BUILDCONVERTS accordingly.

 Makefile.am       |  2 +-
 configure.ac      | 12 ++++++------
 doc/Makefile.am   |  8 ++++----
 tests/Makefile.am |  6 +++---
 4 files changed, 14 insertions(+), 14 deletions(-)

commit 3330977be525302dd2bdcdcba6d27ff0df067031
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jan 26 12:44:06 2014 +0000

    Updated Copyright years.

 crypt/file.cc           | 2 +-
 crypt/partdec.h         | 2 +-
 csv2yapet/main.cc       | 2 +-
 ui/help.cc              | 2 +-
 ui/info.cc              | 2 +-
 ui/mainwindow.cc        | 2 +-
 ui/passwordrecord.cc    | 2 +-
 ui/pwgendialog.cc       | 2 +-
 ui/yapetlockscreen.cc   | 2 +-
 ui/yapetunlockdialog.cc | 2 +-
 yapet/cfg.cc            | 2 +-
 yapet/cfg.h             | 2 +-
 yapet/cfgfile.cc        | 2 +-
 yapet/cfgfile.h         | 2 +-
 yapet/main.cc           | 4 ++--
 15 files changed, 16 insertions(+), 16 deletions(-)

commit 34493b4c10d92d519356dc1d49dbbace1dc8a3ef
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jan 25 21:38:22 2014 +0000

    Updated user documentation.

 doc/README.sgml.in | 14 ++------------
 1 file changed, 2 insertions(+), 12 deletions(-)

commit 9486a5a7873840d760fd8657fb30f76e01b3f21a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jan 25 21:38:02 2014 +0000

    Use -no-graph when invoking w3m.

 doc/Makefile.doc.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fe17a878ca01bf02a18f20dce1bd79358ecc26d2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jan 22 18:06:33 2014 +0000

    Continued work on end user documentation.

 doc/INSTALL.sgml.in       | 274 ++++++++++++++-----------------
 doc/README.Cygwin.sgml.in |  51 ++----
 doc/README.sgml.in        | 223 ++++++++++++++++----------
 doc/yapet.sgml.in         |  28 ++--
 doc/yapet2csv.sgml.in     |   6 +-
 doc/yapet_colors.sgml.in  |  12 +-
 doc/yapet_config.sgml.in  | 398 +++++++++++++++++++++++++++++-----------------
 7 files changed, 543 insertions(+), 449 deletions(-)

commit 1d533a6476164a49ab822a922249656efb3d998a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jan 18 12:18:09 2014 +0000

    Continued work on documentation.

 doc/csv2yapet.sgml.in | 138 ++++++++++++++++++++-----------
 doc/yapet.sgml.in     | 225 +++++++++++++++++++++++++++++++++++++-------------
 2 files changed, 257 insertions(+), 106 deletions(-)

commit 11b04beeb370b8d14c753f6a360c96c70ec150c8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jan 16 18:40:50 2014 +0000

    Fixed bug when adding `.pet' suffix to src file.

 yapet2csv/main.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 09f130e47ee2944562cbdbc7cb3375fa35b0925b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jan 16 18:39:52 2014 +0000

    Use basename() when printing help.

 yapet/main.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit d90956b23fd89fa441cf307d16c69fe2c5b13a5e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jan 16 18:39:25 2014 +0000

    Key labels are now lowercase.

 ui/help.cc | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 5760e93f961ac2b11c565bb378f0992b86fd0c52
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jan 16 18:38:47 2014 +0000

    Continued work on documentation.

 doc/Makefile.doc.am |   4 +-
 doc/yapet.sgml.in   | 347 +++++++++++++++++++++++++++++++++++++++++++++++-----
 2 files changed, 319 insertions(+), 32 deletions(-)

commit 38fee41a168cd4ae9e67b594acc124109ba3df3d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jan 14 18:28:41 2014 +0000

    Continued working on manpages.

 doc/bugreport.sgml       |   2 +-
 doc/yapet.sgml.in        | 532 ++---------------------------------------------
 doc/yapet_colors.sgml.in | 146 ++++++++-----
 doc/yapet_config.sgml.in |  38 ++--
 4 files changed, 135 insertions(+), 583 deletions(-)

commit e483642f0300bbf8e67622e24e98b33988fe5177
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jan 11 18:55:41 2014 +0000

    Minor changes.

 doc/csv2yapet.sgml.in | 14 +++++++-----
 doc/yapet2csv.sgml.in | 62 +++++++++++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 68 insertions(+), 8 deletions(-)

commit e1045c67a8268fd64cbace13354f759c0e6f819f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jan 11 18:51:22 2014 +0000

    Added yapet_colors.sgml.in. Moved description of config file options to newly added yapet_config.sgml.in.

 doc/Makefile.am          |   1 +
 doc/Makefile.doc.am      |   9 +-
 doc/yapet.sgml.in        | 321 ++----------------------------------
 doc/yapet_colors.sgml.in | 224 +++++++++++++++++++++++++
 doc/yapet_config.sgml.in | 418 +++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 664 insertions(+), 309 deletions(-)

commit ff0d1c9910349b78f969303a57333165815cc96f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jan 9 18:42:06 2014 +0000

    Started working on the man pages for csv2yapet and yapet2csv.

 doc/copyright.sgml          |   4 +
 doc/csv2yapet.sgml.in       | 229 ++++++++++++++++++--------------------------
 doc/supportedplatforms.sgml |  22 ++---
 doc/yapet.sgml.in           |  13 +--
 doc/yapet2csv.sgml.in       | 174 ++++++++++++++++++++++++++-------
 5 files changed, 250 insertions(+), 192 deletions(-)

commit 82b861bfe273eae487a36fb0c1d1e41eaf2074c1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jan 9 18:41:17 2014 +0000

    Removed new line when printing version of csv2yapet. Minor changes in main.cc. Some updates/changes in help output.

 csv2yapet/main.cc | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit 4029fffdb5822af81ff1af46a0253ed60bbb6233
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jan 9 18:38:18 2014 +0000

    CSVExport can optionally output csv column labels. Removed unused return codes from main.cc. Added cmd line switch enabling csv column labels to yapet2csv. Removed blank line when printing version of yapet2csv. Some minor changes in main.cc.

 yapet2csv/csvexport.cc | 17 +++++++++--
 yapet2csv/csvexport.h  |  7 ++++-
 yapet2csv/main.cc      | 82 ++++++++++++++++++++++++++------------------------
 3 files changed, 63 insertions(+), 43 deletions(-)

commit cbcf9433c68c315ae3e30f37bd5d693d5b4050fa
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jan 9 18:33:06 2014 +0000

    Updated svn:ignore.

commit 0fd568dfc84a529d8a9ffaabf52335fda765b837
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jan 8 16:10:56 2014 +0000

    re-added 'export LD_OPTIONS' on starchild

 scripts/checkall.sh | 1 +
 1 file changed, 1 insertion(+)

commit 2f008185a1415cc14c143b1eb76bdc860338c49c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jan 7 20:14:08 2014 +0000

    Added CPPFLAGS to configure on starchild

 scripts/checkall.sh | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 597da7310930b2f2875de00680fcb6b9aa670d49
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jan 7 19:29:49 2014 +0000

    Fixed LDFLAGS/LD_OPTIONS for starchild (again)

 scripts/checkall.sh | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit a61ae0dc298ead5c38958ddf80397ff1285237f0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jan 5 19:34:30 2014 +0000

    Fixed spelling in man pages.

 doc/csv2yapet.sgml.in | 2 +-
 doc/yapet2csv.sgml.in | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 83e0c5d6f7b31efeb7c71bb61cdaa8f914a57a6b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jan 5 10:24:50 2014 +0000

    Pass LDFLAGS to configure on starchild.

 scripts/checkall.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 27d32ae58c1c2a5d41075a8f11fbb98119bdc771
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jan 4 22:36:08 2014 +0000

    Use LIBS for GCC from ports on FreeBSD.

 scripts/checkall.sh | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

commit 722e048d474fc3527318298cb287cb592ae5623d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jan 4 18:47:56 2014 +0000

    Dropped support for GCC 44 on FreeBSD, added support for GCC 4.9 on FreeBSD.

 scripts/checkall.sh | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit d04fc96e2d87e5eae2c9a25f7008de8bdbf5d8b5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jan 4 18:33:54 2014 +0000

    GCC 4.2 will not be checked on FreeBSD anymore.

 scripts/checkall.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 409e873e00c4b284c395e445c058f075f80a361f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jan 4 13:06:42 2014 +0000

    Added merlin.

 scripts/runcheckall.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2ccec506b46c476f71647d547cdbf4bf153f39e2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jan 4 12:23:51 2014 +0000

    Fixed bug #87 (https://bugs.guengel.ch/show_bug.cgi?id=87): Missing keywords in desktop file.

 yapet.desktop.in | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 1788d33e45e8a0b96b64537283a490e081b55633
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jan 4 11:40:15 2014 +0000

    Prepared for documenting yapet2csv.

 doc/Makefile.am       |   7 +-
 doc/Makefile.doc.am   |   5 +-
 doc/csv2yapet.sgml.in |   4 ++
 doc/yapet.sgml.in     |   4 ++
 doc/yapet2csv.sgml.in | 191 ++++++++++++++++++++++++++++++++++++++++++++++++++
 po/de.po              |  18 ++---
 po/yapet.pot          |  18 ++---
 7 files changed, 224 insertions(+), 23 deletions(-)

commit aca33eb454795ab9aaa9f508367a7cc3b08b5174
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jan 4 10:45:53 2014 +0000

    Added --enable-debug to config flags for tests.

 scripts/checkall.sh | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit 299faacdbd4926012011bb2a225f6022863d294a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jan 4 10:39:23 2014 +0000

    Reset CPPFLAGS when running tests on odin.

 scripts/checkall.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5f2b2eea5191a41aed355e2edfb17536849d046e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jan 4 09:02:59 2014 +0000

    Added host merlin. Use DOCBOOK_BASE when generating docu.

 scripts/checkall.sh | 48 ++++++++++++++++++++++++++++++++++++------------
 1 file changed, 36 insertions(+), 12 deletions(-)

commit 5b401ccc2f82854d04fe776aad99443f5b5dbc8f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jan 4 08:41:03 2014 +0000

    Docbook base can now be specified by passing DOCBOOK_BASE to Makefile.doc.

 doc/Makefile.doc.am | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 726a605d415dbb75602169beca537a013fa1b8a9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Jan 4 08:22:17 2014 +0000

    Fixed trim() in cfg.cc.

 yapet/cfg.cc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit f2a96189b67bc976a512f73059eb1fa9dbbc6f34
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 21:26:11 2014 +0000

    Added some more spaces to bool value tests to make sure trim() is
    working properly.

 tests/cfg1.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 1888d3855a504202e1ae4f03c251f095e1065c8f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 20:42:51 2014 +0000

    Fixed assertion in cfg.cc.

 yapet/cfg.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4a9847ad02f25e10fce2f52178f77ad6fc4c896a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 20:41:45 2014 +0000

    Fixed expression yielding always true.

 yapet/cfg.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 34cc810f1c9fbe4c3f6b6d4f7ab234a1a1003008
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 17:48:57 2014 +0000

    Removed -pedantic, see comment in checkall.sh.

 scripts/checkall.sh | 35 +++++++++++++++++++----------------
 1 file changed, 19 insertions(+), 16 deletions(-)

commit eb88e80cfdd8353cc0594861f37b647829f6d95c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 17:46:46 2014 +0000

    removed #pragma from endianess.cc, can't disabled warnings about
    C99/C++0x long long types.

 tests/endianess.cc | 4 ----
 1 file changed, 4 deletions(-)

commit 9aff6e9d0884ef550863d584e8d82ed3e6a5d83d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 17:02:30 2014 +0000

    Added pragma to ignore -Wc++0x-compat in endianess.cc test.

 tests/endianess.cc | 1 +
 1 file changed, 1 insertion(+)

commit 5a43be69798df6697f4eb3b0bfc9a1566f4525de
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 16:49:17 2014 +0000

    use #pragma to supress warning about long long in endianess.cc test.

 tests/endianess.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 038933525a3e97a89b9c68c03860df52bef24ba8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 16:27:39 2014 +0000

    Updated svn:keywords.

commit 9f84d7e097626794da41fd40c44f32f41bd60dde
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 16:25:25 2014 +0000

    Use std:: namespace for wint_t in pwrecord.cc.

 tests/preload/pwrecord.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ceb41756aff63a95fd9df3c91823b2957f7dfeb8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 16:20:45 2014 +0000

    moved #pragma outside main().

 tests/record.cc | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit f073cdabf03b1b7241c32a47c36852b5b6a0e32b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 16:16:53 2014 +0000

    #pragma only used on GCC 4.4+.

 tests/record.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 02566b8eb6ba34fede4a94aef8243d651a8dc85a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 16:05:36 2014 +0000

    Use #pragma to silence GCC warning.

 tests/record.cc | 8 ++++++++
 1 file changed, 8 insertions(+)

commit adee28d258c34845ac0d6c7381739c919c043efc
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 15:21:32 2014 +0000

    Invocation of w3m is retried with -s if call using -S fails.

 doc/Makefile.doc.am | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit d75c8f326cbbf5e969388507a7e32fe3c9b0e047
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 15:10:34 2014 +0000

    Removed ignore_unsaved_file field from glue/changepassword.h.

 glue/changepassword.cc | 4 +---
 glue/changepassword.h  | 1 -
 2 files changed, 1 insertion(+), 4 deletions(-)

commit 79e5db7bede633168c6c74df834e76883130c838
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 14:53:32 2014 +0000

    Use LD_OPTIONS for solaris checks in checkall.sh.

 scripts/checkall.sh | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

commit 7a70429fa0e943ea9afed296b65aa2b47677932a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 13:27:49 2014 +0000

    Added LC_ALL export to checkall.sh.

 scripts/checkall.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit afce67d85e1b85c4888e51589f2fa5c0f8bf229a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 13:16:44 2014 +0000

    Added proper LD and CPP flags to solaris curses.

 scripts/checkall.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 6d34b9b664e20a1bda113236094892092be20c0d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 13:13:57 2014 +0000

    Updated LD and CPP flags for starchild.

 scripts/checkall.sh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit bd008fbd2c5d6d8f2af39909791ad63d4037f186
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 12:56:23 2014 +0000

    Added $(LIBINTL) to LDADD for checktestpwrecord.

 tests/preload/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bdff8f5ca76731342eb9948cbd092e26d6175a29
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 12:35:28 2014 +0000

    Proper invocation of make in checkall.sh.

 scripts/checkall.sh | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

commit b2e5fdbd6261b7c6a4a09e0d31e18025da4bb3eb
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 12:28:40 2014 +0000

    Build docs before anything else when running checkall.sh

 scripts/checkall.sh | 42 +++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 41 insertions(+), 1 deletion(-)

commit fba4a6a28baecbc0092f10c0b875d1429f4bb595
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 12:03:10 2014 +0000

    touching libyacurs/{ChangeLog,README} in runcheckall.sh in order to make autoreconf succeed.

 scripts/runcheckall.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f6628f5f65713e2e7018a14b9077ed9798afafbb
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 11:56:08 2014 +0000

    Copied check ./scripts from libyacurs and adjusted.

 scripts/checkall.sh    | 588 +++++++++++++++++++++++++++++++++++++++++++++++++
 scripts/runcheckall.sh |  40 ++++
 2 files changed, 628 insertions(+)

commit 80b8e55454b6c6870a12b9df5c923d6124787efc
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 11:45:00 2014 +0000

    Adding information on yapet2csv to NEWS.

 NEWS | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 29f2c7613b94148b624ac816abd1bb15e14b0e1b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jan 3 11:33:42 2014 +0000

    Implemented enhancement #77 (https://bugs.guengel.ch/show_bug.cgi?id=77): export of pet files. Added tests for export.

 Makefile.am            |    5 +-
 configure.ac           |    1 +
 csv2yapet/main.cc      |    8 +-
 tests/Makefile.am      |    8 +-
 tests/testimport.csv   | 3007 ++++++++++++++++++++++++++++++++++++++++++++++++
 yapet2csv/Makefile.am  |   18 +
 yapet2csv/csvexport.cc |  138 +++
 yapet2csv/csvexport.h  |   74 ++
 yapet2csv/main.cc      |  292 +++++
 9 files changed, 3543 insertions(+), 8 deletions(-)

commit 747f286e393d74013c92d981a56bb71d9d4c0db4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jan 2 20:07:37 2014 +0000

    Ironed out the wrinkles brought in with r5829: renamed targets to *.la and removed compiler specific flags from libtool invocation.

 tests/preload/Makefile.am | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 3fb282da7ec2ceb114ab15110d3af5710d84a416
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jan 2 19:49:08 2014 +0000

    Fixed test: comparing ptr_pw->username to USERV, not NAMEV. Fixed off
    by one when initializing test data.

 tests/file6.cc | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 340d97879bad73b65783123d9963d72a0fb4f922
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jan 2 14:36:52 2014 +0000

    Removed support for getopt_long(). Updated csv2yapet man page to reflect changes.

 csv2yapet/main.cc     | 42 ++++++++++++++----------------------------
 doc/csv2yapet.sgml.in | 15 ++++++---------
 2 files changed, 20 insertions(+), 37 deletions(-)

commit d1933a7ba29038db012c42797c6cf8aa99eaaba6
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jan 2 14:25:30 2014 +0000

    Build system now only installs what should be installed. Preload libraries are now built outside the regular build flow.

 doc/Makefile.am           |   3 +
 po/de.po                  | 949 +++++++++++++++++++++++-----------------------
 po/yapet.pot              | 681 +++++++++++++++------------------
 tests/preload/Makefile.am |  30 +-
 4 files changed, 803 insertions(+), 860 deletions(-)

commit 850fd4305bb4be2ce2e7afb9b0d7b0339eede0c9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jan 2 12:58:37 2014 +0000

    Removed leftover from pre YAPET 1.0 sources and updated POTFILES.in.

 po/POTFILES.in    |  2 --
 yapet/secstring.h | 69 -------------------------------------------------------
 2 files changed, 71 deletions(-)

commit 5406ee757dbf3f1abb5a7c8361103411343a0d7e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jan 2 12:42:50 2014 +0000

    Re-generated POTFILES.in.

 po/POTFILES.in | 138 ++++++++++++++++++++++++++++-----------------------------
 1 file changed, 68 insertions(+), 70 deletions(-)

commit ca39e6c240949353157ff2a3d2e3b18955a58740
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jan 2 10:24:20 2014 +0000

    updated svn:ignore.

commit 8580ad623996112db98058b39d7615110bf4c652
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jan 1 18:10:51 2014 +0000

    When configuring libyacurs, pass --disable-install so that libyacurs won't be installed.

 configure.ac | 2 ++
 1 file changed, 2 insertions(+)

commit 5d9b866f7a4e6cf770a37219667838638f85c6a2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jan 1 09:14:13 2014 +0000

    Fixed bug #84 (https://bugs.guengel.ch/show_bug.cgi?id=84) and added test.

 csv2yapet/csvimport.cc |  21 ++++-
 tests/import15.cc      | 225 +++++++++++++++++++++++++++++++++++++++++++++----
 tests/test10.csv       |   4 +
 3 files changed, 234 insertions(+), 16 deletions(-)

commit eadffbad17bb7e426518dabba682bd18ba048ee2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jan 1 08:35:06 2014 +0000

    Return 1 on error detection.

 tests/file6.cc | 5 +++++
 1 file changed, 5 insertions(+)

commit 3731cf9e6edc9c9b79033c590b2e756dde86186d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jan 1 08:30:31 2014 +0000

    Renamed variable crypt to yacrypt in order to avoid name clash on Solaris11.

 tests/preload/checktestpwrecord.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 95dbdbec7f7aab947fca182855f29a1facba20f2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Dec 30 19:29:44 2013 +0000

    Added new test for testing bug #84 (https://bugs.guengel.ch/show_bug.cgi?id=84).

 tests/Makefile.am | 23 ++++++++++++++---------
 tests/import15.cc | 52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/test10.csv  |  3 +++
 3 files changed, 69 insertions(+), 9 deletions(-)

commit f321b17d640ded33d5ef31fed0f7a6980a7cc17b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Dec 30 17:47:17 2013 +0000

    Added new test testing maximum record size.

 tests/Makefile.am |   7 ++-
 tests/file6.cc    | 150 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 155 insertions(+), 2 deletions(-)

commit 011234ecc2b4f429f9e6cc1c9b0ad5dda926758c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Dec 30 14:06:32 2013 +0000

    A

 tests/record.cc | 35 ++++++++++++++++++++++++++++++-----
 1 file changed, 30 insertions(+), 5 deletions(-)

commit 589fa8ba24cdf8dcfc3200cc2a845d3b4a262cf6
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Dec 28 19:00:12 2013 +0000

    Updated po files.

 po/de.po     | 122 ++++++++++++++++++++++++++++-------------------------------
 po/yapet.pot | 102 ++++++++++++++++++++++++++-----------------------
 2 files changed, 113 insertions(+), 111 deletions(-)

commit b5d5f0a5ca15def9cf1633e3adb5856945aa1b2c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Dec 28 18:38:10 2013 +0000

    Only save to file if there are outstanding changes needing to be saved.

 ui/mainwindow.cc | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit 0cade38f241e245d80121b594ab81526566334a6
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Dec 28 18:35:28 2013 +0000

    Fixed bug #90 (https://bugs.guengel.ch/show_bug.cgi?id=90).

 glue/createfile.cc | 28 +++++++++++++++-------------
 1 file changed, 15 insertions(+), 13 deletions(-)

commit 85ce509395c3ffba4209e84b5d9f8cb2aa5fcc10
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Dec 28 18:13:50 2013 +0000

    Fixed bug #89 (https://bugs.guengel.ch/show_bug.cgi?id=89).

 glue/loadfile.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 8ca30aab3b2ad0d347ebc7667112013d2f4b4e2a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Dec 23 17:50:55 2013 +0000

    Implemented checktestpwrecord.cc.

 tests/preload/checktestpwrecord.cc | 100 ++++++++++++++++++++++++++-----------
 1 file changed, 71 insertions(+), 29 deletions(-)

commit 550a825507eed620c2ad6e7dbc91d01d96c76918
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Dec 23 17:50:23 2013 +0000

    Only perform deletion when records are available.

 ui/mainwindow.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 98c2beb6159bd4cc4b6cd9c20521e21b7dc68528
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Dec 21 20:46:35 2013 +0000

    Check the result of libpwrecord.so.

 tests/preload/checktestpwrecord.cc | 52 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

commit e12ec86df7df9f97701a45ab5d0e1ce85342da42
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Dec 20 19:13:35 2013 +0000

    Changes due to added preload test for yapet.

 configure.ac      | 1 +
 tests/Makefile.am | 2 ++
 2 files changed, 3 insertions(+)

commit 719724f3417dd2a7650c3e536b61ae7c133b6203
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Dec 20 19:12:52 2013 +0000

    Added first preload test for yapet.

 tests/preload/Makefile.am |  24 ++
 tests/preload/pwrecord.cc | 793 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 817 insertions(+)

commit c00aa8658733e54ad05bb692ac46a5ea1a43b4ac
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Dec 20 19:09:15 2013 +0000

    Change password only when new password is different from old password; fixes bug #100 (https://bugs.guengel.ch/show_bug.cgi?id=100)

 glue/changepassword.cc | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit c6066a0915aea46b30fe70d312a029c10a3dbecb
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Dec 20 19:06:39 2013 +0000

    Don't open password record on Enter Key Press if no password records are available.

 ui/mainwindow.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 388099cebefb6d67451bc43a8e25d47851f62b5c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Dec 20 19:05:08 2013 +0000

    Added spacer pwgen button.

 ui/pwgendialog.cc | 2 ++
 ui/pwgendialog.h  | 1 +
 2 files changed, 3 insertions(+)

commit 7e7ea4e5468cb6e724ea93797e4d4698818ba08c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 15 17:09:04 2013 +0000

    Do not touch text targets in Makefile.doc.am.

 doc/Makefile.doc.am | 1 -
 1 file changed, 1 deletion(-)

commit a19ba052f31e47d877c530064d67024607cd52a1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 15 13:40:28 2013 +0000

    Using YACURS::Spacer for Dialogs.

 ui/passwordrecord.cc    |  3 +++
 ui/passwordrecord.h     |  1 +
 ui/yapetunlockdialog.cc | 21 +++++++++++----------
 ui/yapetunlockdialog.h  |  1 +
 4 files changed, 16 insertions(+), 10 deletions(-)

commit 8b537eb189584174dac4c457a88bb752941544bd
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 15 12:23:21 2013 +0000

    Fixed but #91 (https://bugs.guengel.ch/show_bug.cgi?id=91).

 ui/pwgendialog.cc | 7 +++++++
 1 file changed, 7 insertions(+)

commit c94975f6972cafa9f6ea96e04b12090d1d93722d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Dec 14 15:14:57 2013 +0000

    Tuned build system some more. Documentation is now built outside the regular build sequence and the maintainer is responsible for building the documentation before rolling the distribution tarball. Adjusted all doc/*.sgml.in in order to cope with the new documentation build. Not using subdir-objects of automake, despite the warning it might not work in future releases without subdir-objects; was unable to make it work properly, i.e. make clean/distclean failed. Using AX_CHECK_OPENSSL as provided by m4/ax_check_openssl.m4 to check openssl and removed home grown openssl check stuff.

 Makefile.am               |   4 +-
 configure.ac              |  30 +++++------
 crypt/Makefile.am         |   4 +-
 csv2yapet/Makefile.am     |  11 ++--
 doc/DESIGN.sgml.in        |   6 +--
 doc/INSTALL.sgml.in       |   6 +--
 doc/Makefile.am           | 126 ++--------------------------------------------
 doc/Makefile.doc.am       |  92 +++++++++++++++++++++++++++++++++
 doc/README.Cygwin.sgml.in |   6 +--
 doc/README.DOC            |   6 ---
 doc/README.sgml.in        |   8 +--
 doc/csv2yapet.sgml.in     |  12 ++---
 doc/yapet.sgml.in         |  12 ++---
 m4/ax_check_openssl.m4    | 124 +++++++++++++++++++++++++++++++++++++++++++++
 tests/Makefile.am         | 117 +++++++++++++++++++++---------------------
 yapet/Makefile.am         |  26 +++++-----
 16 files changed, 341 insertions(+), 249 deletions(-)

commit 1c5706964abbc3e157a61072861d11f4e66d49fe
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Dec 14 10:11:51 2013 +0000

    Set svn:keywords on README.DOC.

commit 9f7ba2245a4eb4e4ff2fbdb81ca034e969d53391
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Dec 14 10:10:56 2013 +0000

    Added README.DOC explaining how the documentation is built and
    distribution is prepared.

 doc/README.DOC | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 5402bdf79aa4f65dc3988b8353dc92ffe6eaa395
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Dec 13 16:26:46 2013 +0000

    Some changes to configure.ac.

 configure.ac | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit bb144f6af1ef219e42fd2114caecfb9e34f74ea9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Dec 13 14:14:27 2013 +0000

    Ignore aux/ directory.

commit b671d9cb53ea1723db1d6f95608d96a9637fd5b2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Dec 13 13:35:29 2013 +0000

    Fixed bug #99 (https://bugs.guengel.ch/show_bug.cgi?id=99).

 glue/changepassword.cc | 73 +++++++++++++++++++++++++++++++++++++++++++++-----
 glue/changepassword.h  |  7 ++++-
 2 files changed, 72 insertions(+), 8 deletions(-)

commit e1a8436ce9ca528065f414cca783ac45705b2ab1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Dec 13 13:33:18 2013 +0000

    Fixed bug #101 (https://bugs.guengel.ch/show_bug.cgi?id=101).

 ui/mainwindow.cc | 28 +++++++++++-----------------
 1 file changed, 11 insertions(+), 17 deletions(-)

commit c7aea62b6ece4a544894d537ab52d9743841550f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Dec 13 13:29:12 2013 +0000

    Adjusted DISTCHECK_CONFIGURE_FLAGS to reflect changes made earlier in configure.ac.

 Makefile.am | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 8a7bd52f15f1a843b600cacaa2ffef84c5978f4b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Dec 13 13:28:29 2013 +0000

    Updated po files.

 po/de.po     | 169 +++++++++++++++++++++++++++++++----------------------------
 po/yapet.pot | 155 ++++++++++++++++++++++++++----------------------------
 2 files changed, 162 insertions(+), 162 deletions(-)

commit 49601f6936ab543843d5b3fcc42c62ab7bea0772
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Dec 13 13:28:03 2013 +0000

    Removed tests/testpaths.h which is not in distribution (will be generated by configure) and causes distcheck to fail.

 po/POTFILES.in | 1 -
 1 file changed, 1 deletion(-)

commit bb0961fa30fbdb805be8ad100c1094029aeed8e2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Dec 13 13:26:43 2013 +0000

    Do not use static libraries for glue, pwgen, and ui.

 glue/Makefile.am  | 24 +++---------------------
 pwgen/Makefile.am | 16 ++--------------
 ui/Makefile.am    | 24 ++----------------------
 yapet/Makefile.am | 25 +++++++++++++++++++------
 4 files changed, 26 insertions(+), 63 deletions(-)

commit e1d7ea7a3c3a48b73eeab900449335025a1c4759
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Dec 11 18:43:47 2013 +0000

    createfile.cc makes now use of FileDialog::suffix() in order to append suffix.

 glue/createfile.cc | 2 ++
 1 file changed, 2 insertions(+)

commit e5084d6076935b141490d16f75ee06b7668524fa
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Dec 9 21:08:41 2013 +0000

    VPATH build now supported.

 crypt/Makefile.am     |  2 +-
 csv2yapet/Makefile.am |  2 +-
 glue/Makefile.am      |  5 +++--
 pwgen/Makefile.am     |  2 +-
 ui/Makefile.am        | 10 ++++++----
 yapet/Makefile.am     |  7 ++++---
 6 files changed, 16 insertions(+), 12 deletions(-)

commit 0477e9b593b80fbd22c9418b733daa6106df1826
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Dec 9 19:49:56 2013 +0000

    Removed std-options from AM_INIT_AUTOMAKE in configure.ac.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 24f206b41a44580fcc5bff3cca24eeb91f48a42c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Dec 9 19:42:02 2013 +0000

    Removed
    
     --with-docbook-xsl
     --build-doc
     --source-doc
     --enable-terminal-title
     --enable-pwgen
    
    from configure.ac. Adjusted sources to changes in configure.ac. doc/Makefile.am still needs some work, though.

 Makefile.am            |  13 ++---
 configure.ac           |  66 +-----------------------
 crypt/Makefile.am      |   4 --
 doc/Makefile.am        |  61 ++++------------------
 doc/yapet.sgml.in      |  82 -----------------------------
 glue/Makefile.am       |   6 +--
 po/de.po               | 137 +++++++++++++++++++++++++------------------------
 po/yapet.pot           | 132 +++++++++++++++++++++++------------------------
 tests/Makefile.am      |  22 ++------
 ui/Makefile.am         |  15 ++----
 ui/help.cc             |   6 ---
 ui/help.h              |   3 --
 ui/info.cc             |  25 +--------
 ui/info.h              |   6 ---
 ui/mainwindow.cc       |  15 +-----
 ui/mainwindow.h        |   7 ---
 ui/mainwindowhotkeys.h |   2 -
 ui/passwordrecord.cc   |  17 ------
 ui/passwordrecord.h    |   9 +---
 ui/yapetlockscreen.cc  |   4 --
 yapet/Makefile.am      |  12 ++---
 21 files changed, 167 insertions(+), 477 deletions(-)

commit f21940db1d6f0ceb1b65b7c22582a7ad9dbd824e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 8 12:34:36 2013 +0000

    Ignore *.out and *.pet files.

commit 71a2c175a77827989b5740084a01bc33b4cfbf64
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 8 12:32:07 2013 +0000

    Added DIST_SUBDIRS to trunk/Makefile.am.

 Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 8fb46edbc7b7e492ad579a345fa694346ade0eb1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Dec 5 20:43:08 2013 +0000

    Removed ISSUES

 ISSUES | 3 ---
 1 file changed, 3 deletions(-)

commit d3d12045566783524ab31b2c17e8b82893dd1249
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Dec 5 18:28:06 2013 +0000

    Fixed change of masterpassword.

 ui/mainwindow.cc | 3 +++
 1 file changed, 3 insertions(+)

commit d06d269ad7c938563d868843881fdc7e5142dfd3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Dec 3 20:19:01 2013 +0000

    Updated; removed issue 1 (aka bug 105).

 ISSUES | 11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

commit e085ddc88eb94a5daa8dad0293ec39225a6efe4a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 1 13:47:43 2013 +0000

    Checkout latest sources to host specific directories and run autoreconf on them.

 support/prepare_test_directories.sh | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit c49b87208faed44b654a92a7a0f72d2246626fdf
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 1 09:40:27 2013 +0000

    Added issue file.

 ISSUES | 8 ++++++++
 1 file changed, 8 insertions(+)

commit c30404b352a4e4b2d73de9cbf357b27fab745c0b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Dec 1 09:40:09 2013 +0000

    Added asserts.

 glue/createfile.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 55977d9f5313ff26a16dc73e806ff289d7080038
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Nov 27 18:27:47 2013 +0000

    Using static allocation for widgets.

 ui/info.cc | 268 +++++++++++++++++++++++++++----------------------------------
 ui/info.h  |  58 ++++++-------
 2 files changed, 146 insertions(+), 180 deletions(-)

commit a14fbc7d9ddf054781e238ba8dd692bb28ba2410
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 26 19:31:18 2013 +0000

    Updated svn:ignore.

commit 8c67568543394f345e4862d10de313b502462983
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 26 18:21:20 2013 +0000

    Now using File*Dialog with chdir() as was implemented in libyacurs r5702. See also https://bugs.guengel.ch/show_bug.cgi?id=98.

 glue/createfile.cc | 3 ++-
 glue/loadfile.cc   | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 9ef2a91b632d34c3ea12d1e2897ba2bee4cd3aef
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Nov 26 18:14:05 2013 +0000

    Using DynLabel in order to display loaded yapet file. This prevents the label from being larger than the available space and in turn not displaying any information.

 ui/info.cc | 11 ++++++++---
 ui/info.h  |  2 +-
 2 files changed, 9 insertions(+), 4 deletions(-)

commit 7212a5b548aec745dbd59d6bb37c7766e4f36f03
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Nov 25 18:17:09 2013 +0000

    Updated German translation and POTFILES.in.

 po/POTFILES.in |  121 ++++---
 po/de.po       | 1070 ++++++++++++++++++++++++++++++--------------------------
 po/yapet.pot   |  784 +++++++++++++++++++++++------------------
 3 files changed, 1100 insertions(+), 875 deletions(-)

commit 28eacb096ac7d0cc4eec4f2322a4400909a4c335
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 18:41:12 2013 +0000

    Updated.

 NEWS | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 57701dc54770feddc8ce3e1936ad65a0d20f4341
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 18:29:43 2013 +0000

    Removed option for getopt_long (non-posix). Removed long options. Show help when argument is missing. Removed `Check if optarg is null before using it' commited r5692.

 configure.ac  |  5 ++---
 yapet/main.cc | 67 ++++++++++++++---------------------------------------------
 2 files changed, 18 insertions(+), 54 deletions(-)

commit c3b718191dc9a9ad618132940309158f2d55bd47
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 17:34:18 2013 +0000

    show_help() does not show version anymore. Check if optarg is null before using it. sscanf() replaced by atoi(). uncrustified.

 yapet/main.cc | 133 +++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 75 insertions(+), 58 deletions(-)

commit 942f009e438bc88a595041e200b52823632dc369
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 15:44:58 2013 +0000

    Emit apoptosis events to prevent memory leaks.

 glue/createfile.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 61b3dfda6a9379fc34ae35f4afaa01123794a31a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 15:32:21 2013 +0000

    Emit apoptosis events to prevent memory leaks.

 glue/opencmdlinefile.cc | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit 7786f6437e34339127e7dbd75b9241a3691cf90e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 14:38:03 2013 +0000

    removed warning, since it works after complete rebuild.

 ui/info.cc | 1 -
 1 file changed, 1 deletion(-)

commit 3bece8afc610c5957b96408f746ac5e4c5dbfa04
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 14:36:45 2013 +0000

    Changed order of initializing attributes of CfgVal to silence gcc's
    `-Wall -pedantic'

 yapet/cfg.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8d5ad5de7602702c62784a42d2f9153c78c73d21
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 13:59:28 2013 +0000

    Updated svn:ignore.

commit 417b880a3339cd0a31ae4129121d55fab0a34bad
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 13:52:14 2013 +0000

    Re-enabled opening file provided on command line or in config file.

 ui/mainwindow.cc | 65 +++++++++++++++++++++++++++++++++++++++++++++-----------
 ui/mainwindow.h  |  6 ++++--
 yapet/main.cc    |  2 +-
 3 files changed, 58 insertions(+), 15 deletions(-)

commit f7335661c49d58786e8245ddf132b18f952d2443
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 13:51:29 2013 +0000

    Glue class implementing opening of a file specified on command line or in configuration file.

 glue/Makefile.am        |   6 +-
 glue/opencmdlinefile.cc | 201 ++++++++++++++++++++++++++++++++++++++++++++++++
 glue/opencmdlinefile.h  |  73 ++++++++++++++++++
 3 files changed, 277 insertions(+), 3 deletions(-)

commit 2a17c13a4dea81dafb8df6c2a3bd8f159360f09a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 13:49:30 2013 +0000

    Removed ConfigFile::getHomeDir() and placed it as a function into YAPET::CONFIG namespace. CfgValPetFile does now expand `~'.

 yapet/cfg.cc     | 47 +++++++++++++++++++++++++++++++++++++++++++++--
 yapet/cfg.h      |  1 +
 yapet/cfgfile.cc | 33 ---------------------------------
 yapet/cfgfile.h  |  2 --
 4 files changed, 46 insertions(+), 37 deletions(-)

commit eb84bed3eda4ac42bc9c6ed91352f4b93d9a142e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 13:23:37 2013 +0000

    Updated comment. Added assert().

 glue/createfile.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit a01ad34a27aa8fd57c818bb6768bce63d8ea79d5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 11:41:03 2013 +0000

    Implemented enhancement https://bugs.guengel.ch/show_bug.cgi?id=102 (colors in yapet config file).

 yapet/cfg.cc  | 10 ++++++++--
 yapet/cfg.h   |  8 ++++++++
 yapet/main.cc | 15 +++++++++++++--
 3 files changed, 29 insertions(+), 4 deletions(-)

commit 72e77d772a078a69e22f6fec505a961b6b644af3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 11:20:00 2013 +0000

    Reformatting code. Use YAPET::Globals::config.petfile in order to append suffix to file.

 glue/createfile.cc | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 5e0bc07accbc7f0430632beff70aa20209259e40
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 10:26:38 2013 +0000

    Updated

 TODO | 21 +--------------------
 1 file changed, 1 insertion(+), 20 deletions(-)

commit 9b42152232be70aa92a797cfd41c11c1f2941f8f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 09:24:31 2013 +0000

    use exit(0) on success.

 tests/cfgfile1.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bc7c42043abdd7b2fb2b2995b4178e62a299900f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Nov 24 09:22:58 2013 +0000

    Use abort() instead of return 1 if test fails.

 tests/cfgfile1.cc | 75 ++++++++++++++++++++++++++++---------------------------
 1 file changed, 38 insertions(+), 37 deletions(-)

commit e5056c5cb005f9b68b25f5203a84fcb4ae76226c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 23 19:32:38 2013 +0000

    Use getopt() by default. Re-enabled some commented out code. Command line parsing and configuration file not tested.

 yapet/main.cc | 27 ++++++++++++++-------------
 1 file changed, 14 insertions(+), 13 deletions(-)

commit aac4e564f4ee8341cc69c87e848b8fb1ff4c24b2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 23 19:31:08 2013 +0000

    Added warning for pw_input_timeout label.

 ui/info.cc | 1 +
 1 file changed, 1 insertion(+)

commit 2867b0218fa9ebf7690d1d115809a341310d72f4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 23 19:11:21 2013 +0000

    Re-added ignorerc which is used in yapet/main.cc

 tests/cfg1.cc | 271 ++++++++++++++++++++++++++++++----------------------------
 yapet/cfg.cc  |  12 ++-
 yapet/cfg.h   |   1 +
 3 files changed, 149 insertions(+), 135 deletions(-)

commit 33064f1d0b65153e9470b85a9c473a25baab19e6
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 23 18:50:52 2013 +0000

    Check for getopt since we use getopt by default and query #ifndef HAVE_GETOPT.

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 0c5b55af54c169f82af4c30c9737f8e0811a0da5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 23 18:15:24 2013 +0000

    Fixed compilation errors.

 tests/cfg1.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 76486e323d426a2a9ba41175634ddbe7f4e7805e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 23 17:32:36 2013 +0000

    Implemented all tests (I hope).

 tests/cfg1.cc | 285 ++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 266 insertions(+), 19 deletions(-)

commit 17f9cae0271217790b482e499617326f5338a740
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 23 17:22:18 2013 +0000

    provide default values in ctor, thus rendering previous commits obsolete.

 yapet/cfg.h | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 950834c4251b0717ffd019f199b4f6a503be0a19
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Nov 23 17:20:24 2013 +0000

    default value for v of CfgValInt provided.

 yapet/cfg.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ff76e9cd51df41cf9677dca16d567a1762006035
